/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         nft_parse
#define yylex           nft_lex
#define yyerror         nft_error
#define yydebug         nft_debug
#define yynerrs         nft_nerrs


/* Copy the first part of user declarations.  */
#line 11 "parser_bison.y" /* yacc.c:339  */


#include <ctype.h>
#include <stddef.h>
#include <stdio.h>
#include <inttypes.h>
#include <syslog.h>
#include <netinet/ip.h>
#include <netinet/tcp.h>
#include <netinet/if_ether.h>
#include <linux/netfilter.h>
#include <linux/netfilter/nf_tables.h>
#include <linux/netfilter/nf_conntrack_tuple_common.h>
#include <linux/netfilter/nf_nat.h>
#include <linux/netfilter/nf_log.h>
#include <linux/netfilter/nfnetlink_osf.h>
#include <linux/netfilter/nf_synproxy.h>
#include <linux/xfrm.h>
#include <netinet/ip_icmp.h>
#include <netinet/icmp6.h>
#include <libnftnl/common.h>
#include <libnftnl/set.h>
#include <libnftnl/udata.h>

#include <rule.h>
#include <statement.h>
#include <expression.h>
#include <headers.h>
#include <utils.h>
#include <parser.h>
#include <erec.h>
#include <sctp_chunk.h>

#include "parser_bison.h"

void parser_init(struct nft_ctx *nft, struct parser_state *state,
		 struct list_head *msgs, struct list_head *cmds,
		 struct scope *top_scope)
{
	memset(state, 0, sizeof(*state));
	state->msgs = msgs;
	state->cmds = cmds;
	state->scopes[0] = scope_init(top_scope, NULL);
	init_list_head(&state->indesc_list);
}

static void yyerror(struct location *loc, struct nft_ctx *nft, void *scanner,
		    struct parser_state *state, const char *s)
{
	erec_queue(error(loc, "%s", s), state->msgs);
}

static struct scope *current_scope(const struct parser_state *state)
{
	return state->scopes[state->scope];
}

static void open_scope(struct parser_state *state, struct scope *scope)
{
	assert(state->scope < array_size(state->scopes) - 1);
	scope_init(scope, current_scope(state));
	state->scopes[++state->scope] = scope;
}

static void close_scope(struct parser_state *state)
{
	assert(state->scope > 0);
	state->scope--;
}

static void location_init(void *scanner, struct parser_state *state,
			  struct location *loc)
{
	memset(loc, 0, sizeof(*loc));
	loc->indesc = state->indesc;
}

static void location_update(struct location *loc, struct location *rhs, int n)
{
	if (n) {
		loc->indesc       = rhs[n].indesc;
		loc->token_offset = rhs[1].token_offset;
		loc->line_offset  = rhs[1].line_offset;
		loc->first_line   = rhs[1].first_line;
		loc->first_column = rhs[1].first_column;
		loc->last_line    = rhs[n].last_line;
		loc->last_column  = rhs[n].last_column;
	} else {
		loc->indesc       = rhs[0].indesc;
		loc->token_offset = rhs[0].token_offset;
		loc->line_offset  = rhs[0].line_offset;
		loc->first_line   = loc->last_line   = rhs[0].last_line;
		loc->first_column = loc->last_column = rhs[0].last_column;
	}
}

static struct expr *handle_concat_expr(const struct location *loc,
					 struct expr *expr,
					 struct expr *expr_l, struct expr *expr_r,
					 struct location loc_rhs[3])
{
	if (expr->etype != EXPR_CONCAT) {
		expr = concat_expr_alloc(loc);
		compound_expr_add(expr, expr_l);
	} else {
		location_update(&expr_r->location, loc_rhs, 2);

		expr = expr_l;
		expr->location = *loc;
	}

	compound_expr_add(expr, expr_r);
	return expr;
}

#define YYLLOC_DEFAULT(Current, Rhs, N)	location_update(&Current, Rhs, N)

#define symbol_value(loc, str) \
	symbol_expr_alloc(loc, SYMBOL_VALUE, current_scope(state), str)

/* Declare those here to avoid compiler warnings */
void nft_set_debug(int, void *);
int nft_lex(void *, void *, void *);

#line 197 "parser_bison.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 1
#endif

/* In a future release of Bison, this section will be replaced
   by #include "y.tab.h".  */
#ifndef YY_NFT_PARSER_BISON_H_INCLUDED
# define YY_NFT_PARSER_BISON_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 1
#endif
#if YYDEBUG
extern int nft_debug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    TOKEN_EOF = 0,
    JUNK = 258,
    NEWLINE = 259,
    COLON = 260,
    SEMICOLON = 261,
    COMMA = 262,
    DOT = 263,
    EQ = 264,
    NEQ = 265,
    LT = 266,
    GT = 267,
    GTE = 268,
    LTE = 269,
    LSHIFT = 270,
    RSHIFT = 271,
    AMPERSAND = 272,
    CARET = 273,
    NOT = 274,
    SLASH = 275,
    ASTERISK = 276,
    DASH = 277,
    AT = 278,
    VMAP = 279,
    PLUS = 280,
    INCLUDE = 281,
    DEFINE = 282,
    REDEFINE = 283,
    UNDEFINE = 284,
    FIB = 285,
    SOCKET = 286,
    TRANSPARENT = 287,
    TPROXY = 288,
    OSF = 289,
    SYNPROXY = 290,
    MSS = 291,
    WSCALE = 292,
    HOOK = 293,
    DEVICE = 294,
    DEVICES = 295,
    TABLE = 296,
    TABLES = 297,
    CHAIN = 298,
    CHAINS = 299,
    RULE = 300,
    RULES = 301,
    SETS = 302,
    SET = 303,
    ELEMENT = 304,
    MAP = 305,
    MAPS = 306,
    FLOWTABLE = 307,
    HANDLE = 308,
    RULESET = 309,
    TRACE = 310,
    INET = 311,
    NETDEV = 312,
    ADD = 313,
    UPDATE = 314,
    REPLACE = 315,
    CREATE = 316,
    INSERT = 317,
    DELETE = 318,
    GET = 319,
    LIST = 320,
    RESET = 321,
    FLUSH = 322,
    RENAME = 323,
    DESCRIBE = 324,
    IMPORT = 325,
    EXPORT = 326,
    MONITOR = 327,
    ALL = 328,
    ACCEPT = 329,
    DROP = 330,
    CONTINUE = 331,
    JUMP = 332,
    GOTO = 333,
    RETURN = 334,
    TO = 335,
    CONSTANT = 336,
    INTERVAL = 337,
    DYNAMIC = 338,
    AUTOMERGE = 339,
    TIMEOUT = 340,
    GC_INTERVAL = 341,
    ELEMENTS = 342,
    EXPIRES = 343,
    POLICY = 344,
    MEMORY = 345,
    PERFORMANCE = 346,
    SIZE = 347,
    FLOW = 348,
    OFFLOAD = 349,
    METER = 350,
    METERS = 351,
    FLOWTABLES = 352,
    NUM = 353,
    STRING = 354,
    QUOTED_STRING = 355,
    ASTERISK_STRING = 356,
    LL_HDR = 357,
    NETWORK_HDR = 358,
    TRANSPORT_HDR = 359,
    BRIDGE = 360,
    ETHER = 361,
    SADDR = 362,
    DADDR = 363,
    TYPE = 364,
    VLAN = 365,
    ID = 366,
    CFI = 367,
    PCP = 368,
    ARP = 369,
    HTYPE = 370,
    PTYPE = 371,
    HLEN = 372,
    PLEN = 373,
    OPERATION = 374,
    IP = 375,
    HDRVERSION = 376,
    HDRLENGTH = 377,
    DSCP = 378,
    ECN = 379,
    LENGTH = 380,
    FRAG_OFF = 381,
    TTL = 382,
    PROTOCOL = 383,
    CHECKSUM = 384,
    PTR = 385,
    VALUE = 386,
    LSRR = 387,
    RR = 388,
    SSRR = 389,
    RA = 390,
    ICMP = 391,
    CODE = 392,
    SEQUENCE = 393,
    GATEWAY = 394,
    MTU = 395,
    IGMP = 396,
    MRT = 397,
    OPTIONS = 398,
    IP6 = 399,
    PRIORITY = 400,
    FLOWLABEL = 401,
    NEXTHDR = 402,
    HOPLIMIT = 403,
    ICMP6 = 404,
    PPTR = 405,
    MAXDELAY = 406,
    AH = 407,
    RESERVED = 408,
    SPI = 409,
    ESP = 410,
    COMP = 411,
    FLAGS = 412,
    CPI = 413,
    UDP = 414,
    SPORT = 415,
    DPORT = 416,
    UDPLITE = 417,
    CSUMCOV = 418,
    TCP = 419,
    ACKSEQ = 420,
    DOFF = 421,
    WINDOW = 422,
    URGPTR = 423,
    OPTION = 424,
    ECHO = 425,
    EOL = 426,
    NOP = 427,
    SACK = 428,
    SACK0 = 429,
    SACK1 = 430,
    SACK2 = 431,
    SACK3 = 432,
    SACK_PERM = 433,
    TIMESTAMP = 434,
    KIND = 435,
    COUNT = 436,
    LEFT = 437,
    RIGHT = 438,
    TSVAL = 439,
    TSECR = 440,
    DCCP = 441,
    SCTP = 442,
    CHUNK = 443,
    DATA = 444,
    INIT = 445,
    INIT_ACK = 446,
    HEARTBEAT = 447,
    HEARTBEAT_ACK = 448,
    ABORT = 449,
    SHUTDOWN = 450,
    SHUTDOWN_ACK = 451,
    ERROR = 452,
    COOKIE_ECHO = 453,
    COOKIE_ACK = 454,
    ECNE = 455,
    CWR = 456,
    SHUTDOWN_COMPLETE = 457,
    ASCONF_ACK = 458,
    FORWARD_TSN = 459,
    ASCONF = 460,
    TSN = 461,
    STREAM = 462,
    SSN = 463,
    PPID = 464,
    INIT_TAG = 465,
    A_RWND = 466,
    NUM_OSTREAMS = 467,
    NUM_ISTREAMS = 468,
    INIT_TSN = 469,
    CUM_TSN_ACK = 470,
    NUM_GACK_BLOCKS = 471,
    NUM_DUP_TSNS = 472,
    LOWEST_TSN = 473,
    SEQNO = 474,
    NEW_CUM_TSN = 475,
    VTAG = 476,
    RT = 477,
    RT0 = 478,
    RT2 = 479,
    RT4 = 480,
    SEG_LEFT = 481,
    ADDR = 482,
    LAST_ENT = 483,
    TAG = 484,
    SID = 485,
    HBH = 486,
    FRAG = 487,
    RESERVED2 = 488,
    MORE_FRAGMENTS = 489,
    DST = 490,
    MH = 491,
    META = 492,
    MARK = 493,
    IIF = 494,
    IIFNAME = 495,
    IIFTYPE = 496,
    OIF = 497,
    OIFNAME = 498,
    OIFTYPE = 499,
    SKUID = 500,
    SKGID = 501,
    NFTRACE = 502,
    RTCLASSID = 503,
    IBRIPORT = 504,
    OBRIPORT = 505,
    IBRIDGENAME = 506,
    OBRIDGENAME = 507,
    PKTTYPE = 508,
    CPU = 509,
    IIFGROUP = 510,
    OIFGROUP = 511,
    CGROUP = 512,
    TIME = 513,
    CLASSID = 514,
    NEXTHOP = 515,
    CT = 516,
    L3PROTOCOL = 517,
    PROTO_SRC = 518,
    PROTO_DST = 519,
    ZONE = 520,
    DIRECTION = 521,
    EVENT = 522,
    EXPECTATION = 523,
    EXPIRATION = 524,
    HELPER = 525,
    LABEL = 526,
    STATE = 527,
    STATUS = 528,
    ORIGINAL = 529,
    REPLY = 530,
    COUNTER = 531,
    NAME = 532,
    PACKETS = 533,
    BYTES = 534,
    AVGPKT = 535,
    COUNTERS = 536,
    QUOTAS = 537,
    LIMITS = 538,
    SYNPROXYS = 539,
    HELPERS = 540,
    LOG = 541,
    PREFIX = 542,
    GROUP = 543,
    SNAPLEN = 544,
    QUEUE_THRESHOLD = 545,
    LEVEL = 546,
    LIMIT = 547,
    RATE = 548,
    BURST = 549,
    OVER = 550,
    UNTIL = 551,
    QUOTA = 552,
    USED = 553,
    SECMARK = 554,
    SECMARKS = 555,
    NANOSECOND = 556,
    MICROSECOND = 557,
    MILLISECOND = 558,
    SECOND = 559,
    MINUTE = 560,
    HOUR = 561,
    DAY = 562,
    WEEK = 563,
    _REJECT = 564,
    WITH = 565,
    ICMPX = 566,
    SNAT = 567,
    DNAT = 568,
    MASQUERADE = 569,
    REDIRECT = 570,
    RANDOM = 571,
    FULLY_RANDOM = 572,
    PERSISTENT = 573,
    QUEUE = 574,
    QUEUENUM = 575,
    BYPASS = 576,
    FANOUT = 577,
    DUP = 578,
    FWD = 579,
    NUMGEN = 580,
    INC = 581,
    MOD = 582,
    OFFSET = 583,
    JHASH = 584,
    SYMHASH = 585,
    SEED = 586,
    POSITION = 587,
    INDEX = 588,
    COMMENT = 589,
    XML = 590,
    JSON = 591,
    VM = 592,
    NOTRACK = 593,
    EXISTS = 594,
    MISSING = 595,
    EXTHDR = 596,
    IPSEC = 597,
    MODE = 598,
    REQID = 599,
    SPNUM = 600,
    TRANSPORT = 601,
    TUNNEL = 602,
    IN = 603,
    OUT = 604
  };
#endif
/* Tokens.  */
#define TOKEN_EOF 0
#define JUNK 258
#define NEWLINE 259
#define COLON 260
#define SEMICOLON 261
#define COMMA 262
#define DOT 263
#define EQ 264
#define NEQ 265
#define LT 266
#define GT 267
#define GTE 268
#define LTE 269
#define LSHIFT 270
#define RSHIFT 271
#define AMPERSAND 272
#define CARET 273
#define NOT 274
#define SLASH 275
#define ASTERISK 276
#define DASH 277
#define AT 278
#define VMAP 279
#define PLUS 280
#define INCLUDE 281
#define DEFINE 282
#define REDEFINE 283
#define UNDEFINE 284
#define FIB 285
#define SOCKET 286
#define TRANSPARENT 287
#define TPROXY 288
#define OSF 289
#define SYNPROXY 290
#define MSS 291
#define WSCALE 292
#define HOOK 293
#define DEVICE 294
#define DEVICES 295
#define TABLE 296
#define TABLES 297
#define CHAIN 298
#define CHAINS 299
#define RULE 300
#define RULES 301
#define SETS 302
#define SET 303
#define ELEMENT 304
#define MAP 305
#define MAPS 306
#define FLOWTABLE 307
#define HANDLE 308
#define RULESET 309
#define TRACE 310
#define INET 311
#define NETDEV 312
#define ADD 313
#define UPDATE 314
#define REPLACE 315
#define CREATE 316
#define INSERT 317
#define DELETE 318
#define GET 319
#define LIST 320
#define RESET 321
#define FLUSH 322
#define RENAME 323
#define DESCRIBE 324
#define IMPORT 325
#define EXPORT 326
#define MONITOR 327
#define ALL 328
#define ACCEPT 329
#define DROP 330
#define CONTINUE 331
#define JUMP 332
#define GOTO 333
#define RETURN 334
#define TO 335
#define CONSTANT 336
#define INTERVAL 337
#define DYNAMIC 338
#define AUTOMERGE 339
#define TIMEOUT 340
#define GC_INTERVAL 341
#define ELEMENTS 342
#define EXPIRES 343
#define POLICY 344
#define MEMORY 345
#define PERFORMANCE 346
#define SIZE 347
#define FLOW 348
#define OFFLOAD 349
#define METER 350
#define METERS 351
#define FLOWTABLES 352
#define NUM 353
#define STRING 354
#define QUOTED_STRING 355
#define ASTERISK_STRING 356
#define LL_HDR 357
#define NETWORK_HDR 358
#define TRANSPORT_HDR 359
#define BRIDGE 360
#define ETHER 361
#define SADDR 362
#define DADDR 363
#define TYPE 364
#define VLAN 365
#define ID 366
#define CFI 367
#define PCP 368
#define ARP 369
#define HTYPE 370
#define PTYPE 371
#define HLEN 372
#define PLEN 373
#define OPERATION 374
#define IP 375
#define HDRVERSION 376
#define HDRLENGTH 377
#define DSCP 378
#define ECN 379
#define LENGTH 380
#define FRAG_OFF 381
#define TTL 382
#define PROTOCOL 383
#define CHECKSUM 384
#define PTR 385
#define VALUE 386
#define LSRR 387
#define RR 388
#define SSRR 389
#define RA 390
#define ICMP 391
#define CODE 392
#define SEQUENCE 393
#define GATEWAY 394
#define MTU 395
#define IGMP 396
#define MRT 397
#define OPTIONS 398
#define IP6 399
#define PRIORITY 400
#define FLOWLABEL 401
#define NEXTHDR 402
#define HOPLIMIT 403
#define ICMP6 404
#define PPTR 405
#define MAXDELAY 406
#define AH 407
#define RESERVED 408
#define SPI 409
#define ESP 410
#define COMP 411
#define FLAGS 412
#define CPI 413
#define UDP 414
#define SPORT 415
#define DPORT 416
#define UDPLITE 417
#define CSUMCOV 418
#define TCP 419
#define ACKSEQ 420
#define DOFF 421
#define WINDOW 422
#define URGPTR 423
#define OPTION 424
#define ECHO 425
#define EOL 426
#define NOP 427
#define SACK 428
#define SACK0 429
#define SACK1 430
#define SACK2 431
#define SACK3 432
#define SACK_PERM 433
#define TIMESTAMP 434
#define KIND 435
#define COUNT 436
#define LEFT 437
#define RIGHT 438
#define TSVAL 439
#define TSECR 440
#define DCCP 441
#define SCTP 442
#define CHUNK 443
#define DATA 444
#define INIT 445
#define INIT_ACK 446
#define HEARTBEAT 447
#define HEARTBEAT_ACK 448
#define ABORT 449
#define SHUTDOWN 450
#define SHUTDOWN_ACK 451
#define ERROR 452
#define COOKIE_ECHO 453
#define COOKIE_ACK 454
#define ECNE 455
#define CWR 456
#define SHUTDOWN_COMPLETE 457
#define ASCONF_ACK 458
#define FORWARD_TSN 459
#define ASCONF 460
#define TSN 461
#define STREAM 462
#define SSN 463
#define PPID 464
#define INIT_TAG 465
#define A_RWND 466
#define NUM_OSTREAMS 467
#define NUM_ISTREAMS 468
#define INIT_TSN 469
#define CUM_TSN_ACK 470
#define NUM_GACK_BLOCKS 471
#define NUM_DUP_TSNS 472
#define LOWEST_TSN 473
#define SEQNO 474
#define NEW_CUM_TSN 475
#define VTAG 476
#define RT 477
#define RT0 478
#define RT2 479
#define RT4 480
#define SEG_LEFT 481
#define ADDR 482
#define LAST_ENT 483
#define TAG 484
#define SID 485
#define HBH 486
#define FRAG 487
#define RESERVED2 488
#define MORE_FRAGMENTS 489
#define DST 490
#define MH 491
#define META 492
#define MARK 493
#define IIF 494
#define IIFNAME 495
#define IIFTYPE 496
#define OIF 497
#define OIFNAME 498
#define OIFTYPE 499
#define SKUID 500
#define SKGID 501
#define NFTRACE 502
#define RTCLASSID 503
#define IBRIPORT 504
#define OBRIPORT 505
#define IBRIDGENAME 506
#define OBRIDGENAME 507
#define PKTTYPE 508
#define CPU 509
#define IIFGROUP 510
#define OIFGROUP 511
#define CGROUP 512
#define TIME 513
#define CLASSID 514
#define NEXTHOP 515
#define CT 516
#define L3PROTOCOL 517
#define PROTO_SRC 518
#define PROTO_DST 519
#define ZONE 520
#define DIRECTION 521
#define EVENT 522
#define EXPECTATION 523
#define EXPIRATION 524
#define HELPER 525
#define LABEL 526
#define STATE 527
#define STATUS 528
#define ORIGINAL 529
#define REPLY 530
#define COUNTER 531
#define NAME 532
#define PACKETS 533
#define BYTES 534
#define AVGPKT 535
#define COUNTERS 536
#define QUOTAS 537
#define LIMITS 538
#define SYNPROXYS 539
#define HELPERS 540
#define LOG 541
#define PREFIX 542
#define GROUP 543
#define SNAPLEN 544
#define QUEUE_THRESHOLD 545
#define LEVEL 546
#define LIMIT 547
#define RATE 548
#define BURST 549
#define OVER 550
#define UNTIL 551
#define QUOTA 552
#define USED 553
#define SECMARK 554
#define SECMARKS 555
#define NANOSECOND 556
#define MICROSECOND 557
#define MILLISECOND 558
#define SECOND 559
#define MINUTE 560
#define HOUR 561
#define DAY 562
#define WEEK 563
#define _REJECT 564
#define WITH 565
#define ICMPX 566
#define SNAT 567
#define DNAT 568
#define MASQUERADE 569
#define REDIRECT 570
#define RANDOM 571
#define FULLY_RANDOM 572
#define PERSISTENT 573
#define QUEUE 574
#define QUEUENUM 575
#define BYPASS 576
#define FANOUT 577
#define DUP 578
#define FWD 579
#define NUMGEN 580
#define INC 581
#define MOD 582
#define OFFSET 583
#define JHASH 584
#define SYMHASH 585
#define SEED 586
#define POSITION 587
#define INDEX 588
#define COMMENT 589
#define XML 590
#define JSON 591
#define VM 592
#define NOTRACK 593
#define EXISTS 594
#define MISSING 595
#define EXTHDR 596
#define IPSEC 597
#define MODE 598
#define REQID 599
#define SPNUM 600
#define TRANSPORT 601
#define TUNNEL 602
#define IN 603
#define OUT 604

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 156 "parser_bison.y" /* yacc.c:355  */

	uint64_t		val;
	uint32_t		val32;
	uint8_t			val8;
	const char *		string;

	struct list_head	*list;
	struct cmd		*cmd;
	struct handle		handle;
	struct table		*table;
	struct chain		*chain;
	struct rule		*rule;
	struct stmt		*stmt;
	struct expr		*expr;
	struct set		*set;
	struct obj		*obj;
	struct flowtable	*flowtable;
	struct ct		*ct;
	const struct datatype	*datatype;
	struct handle_spec	handle_spec;
	struct position_spec	position_spec;
	struct prio_spec	prio_spec;
	const struct exthdr_desc *exthdr_desc;

#line 962 "parser_bison.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int nft_parse (struct nft_ctx *nft, void *scanner, struct parser_state *state);

#endif /* !YY_NFT_PARSER_BISON_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 992 "parser_bison.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  2
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   6620

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  359
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  347
/* YYNRULES -- Number of rules.  */
#define YYNRULES  1123
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  1792

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   604

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,   354,     2,     2,     2,
     355,   356,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   350,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   357,     2,   358,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   351,   353,   352,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   864,   864,   865,   874,   875,   878,   879,   882,   883,
     884,   885,   887,   895,   909,   916,   927,   935,   936,   937,
     938,   958,   959,   960,   961,   962,   963,   964,   965,   966,
     967,   968,   969,   970,   971,   972,   975,   979,   986,   990,
     998,  1002,  1006,  1013,  1020,  1024,  1031,  1040,  1044,  1048,
    1052,  1056,  1060,  1064,  1068,  1074,  1080,  1084,  1091,  1095,
    1103,  1110,  1117,  1121,  1128,  1137,  1141,  1145,  1149,  1153,
    1157,  1161,  1165,  1171,  1177,  1181,  1185,  1189,  1193,  1197,
    1201,  1205,  1209,  1213,  1217,  1221,  1225,  1229,  1233,  1237,
    1241,  1245,  1249,  1253,  1257,  1261,  1267,  1273,  1277,  1281,
    1285,  1289,  1293,  1297,  1301,  1305,  1309,  1313,  1317,  1321,
    1325,  1329,  1333,  1337,  1341,  1345,  1349,  1353,  1357,  1361,
    1365,  1369,  1373,  1377,  1381,  1385,  1389,  1393,  1397,  1401,
    1405,  1409,  1415,  1419,  1423,  1427,  1431,  1435,  1441,  1445,
    1449,  1453,  1457,  1461,  1465,  1471,  1478,  1484,  1492,  1498,
    1506,  1515,  1516,  1519,  1520,  1521,  1522,  1523,  1524,  1525,
    1526,  1529,  1530,  1533,  1534,  1535,  1538,  1547,  1553,  1567,
    1568,  1569,  1570,  1571,  1582,  1592,  1603,  1613,  1624,  1635,
    1644,  1653,  1662,  1673,  1684,  1698,  1704,  1705,  1706,  1707,
    1708,  1709,  1717,  1722,  1723,  1724,  1725,  1730,  1735,  1740,
    1745,  1750,  1755,  1758,  1759,  1762,  1766,  1769,  1770,  1771,
    1772,  1776,  1781,  1782,  1783,  1784,  1789,  1799,  1808,  1817,
    1826,  1835,  1840,  1845,  1848,  1852,  1858,  1859,  1863,  1868,
    1869,  1870,  1871,  1884,  1890,  1897,  1902,  1907,  1910,  1919,
    1931,  1938,  1939,  1951,  1956,  1957,  1958,  1959,  1965,  1966,
    1967,  1968,  1974,  1975,  1976,  1977,  1983,  1984,  1985,  1986,
    1992,  1993,  1994,  1995,  2001,  2002,  2003,  2004,  2010,  2011,
    2012,  2013,  2019,  2020,  2021,  2022,  2028,  2029,  2030,  2031,
    2032,  2035,  2063,  2070,  2074,  2077,  2087,  2095,  2106,  2119,
    2133,  2134,  2137,  2148,  2152,  2155,  2167,  2172,  2181,  2182,
    2185,  2188,  2189,  2190,  2193,  2208,  2209,  2212,  2213,  2214,
    2215,  2216,  2217,  2220,  2229,  2238,  2246,  2254,  2262,  2270,
    2278,  2286,  2294,  2302,  2310,  2318,  2326,  2334,  2342,  2350,
    2358,  2362,  2367,  2375,  2382,  2389,  2402,  2406,  2413,  2417,
    2423,  2435,  2441,  2448,  2449,  2450,  2451,  2454,  2455,  2456,
    2457,  2458,  2459,  2460,  2461,  2462,  2463,  2464,  2465,  2466,
    2467,  2468,  2469,  2470,  2471,  2472,  2475,  2479,  2485,  2491,
    2496,  2499,  2504,  2509,  2512,  2518,  2523,  2531,  2532,  2534,
    2538,  2546,  2550,  2553,  2557,  2563,  2564,  2567,  2573,  2577,
    2580,  2585,  2590,  2595,  2600,  2605,  2611,  2641,  2645,  2649,
    2653,  2657,  2663,  2667,  2670,  2674,  2680,  2689,  2708,  2716,
    2717,  2718,  2721,  2722,  2725,  2726,  2741,  2757,  2765,  2766,
    2767,  2770,  2771,  2774,  2775,  2776,  2791,  2792,  2793,  2794,
    2795,  2798,  2801,  2808,  2812,  2823,  2834,  2844,  2850,  2853,
    2854,  2857,  2863,  2869,  2875,  2882,  2889,  2897,  2898,  2901,
    2905,  2913,  2917,  2920,  2925,  2930,  2934,  2940,  2956,  2975,
    2981,  2982,  2988,  2989,  2995,  2996,  2997,  2998,  2999,  3000,
    3001,  3002,  3003,  3004,  3005,  3006,  3009,  3010,  3014,  3020,
    3021,  3027,  3028,  3034,  3035,  3041,  3044,  3045,  3056,  3057,
    3060,  3064,  3067,  3073,  3079,  3090,  3091,  3092,  3095,  3096,
    3097,  3100,  3104,  3108,  3113,  3118,  3123,  3129,  3133,  3137,
    3143,  3144,  3147,  3150,  3154,  3159,  3165,  3166,  3169,  3172,
    3176,  3180,  3184,  3189,  3196,  3201,  3209,  3214,  3223,  3224,
    3230,  3231,  3232,  3235,  3236,  3239,  3245,  3249,  3252,  3257,
    3263,  3264,  3270,  3271,  3274,  3275,  3278,  3284,  3291,  3298,
    3308,  3309,  3310,  3313,  3321,  3332,  3339,  3342,  3348,  3352,
    3355,  3361,  3370,  3381,  3387,  3413,  3414,  3423,  3424,  3427,
    3436,  3447,  3448,  3449,  3450,  3451,  3452,  3453,  3454,  3455,
    3456,  3457,  3458,  3459,  3460,  3461,  3464,  3487,  3488,  3489,
    3492,  3493,  3494,  3495,  3496,  3499,  3503,  3506,  3510,  3517,
    3520,  3534,  3535,  3539,  3545,  3546,  3552,  3553,  3559,  3560,
    3566,  3569,  3570,  3581,  3587,  3593,  3594,  3597,  3603,  3604,
    3605,  3608,  3615,  3620,  3625,  3628,  3632,  3636,  3642,  3643,
    3650,  3656,  3657,  3660,  3666,  3670,  3673,  3677,  3681,  3687,
    3691,  3694,  3698,  3702,  3706,  3715,  3721,  3722,  3725,  3726,
    3729,  3730,  3733,  3744,  3750,  3771,  3777,  3794,  3800,  3801,
    3802,  3805,  3806,  3809,  3824,  3830,  3836,  3843,  3857,  3865,
    3873,  3879,  3883,  3887,  3891,  3895,  3902,  3907,  3918,  3940,
    3946,  3950,  3954,  3960,  3966,  3974,  3975,  3976,  3977,  3980,
    3981,  3985,  3991,  3992,  3998,  3999,  4005,  4006,  4012,  4015,
    4016,  4017,  4026,  4037,  4038,  4041,  4049,  4050,  4051,  4052,
    4053,  4054,  4055,  4056,  4057,  4058,  4059,  4060,  4063,  4064,
    4065,  4066,  4067,  4074,  4081,  4088,  4095,  4102,  4109,  4116,
    4123,  4130,  4137,  4144,  4151,  4154,  4155,  4156,  4157,  4158,
    4159,  4162,  4166,  4170,  4174,  4178,  4182,  4188,  4189,  4199,
    4203,  4207,  4223,  4224,  4227,  4228,  4229,  4230,  4231,  4234,
    4235,  4236,  4237,  4238,  4239,  4240,  4241,  4242,  4243,  4244,
    4245,  4246,  4247,  4248,  4249,  4250,  4251,  4252,  4253,  4254,
    4255,  4256,  4257,  4260,  4280,  4284,  4298,  4302,  4306,  4312,
    4318,  4319,  4322,  4323,  4326,  4327,  4330,  4336,  4337,  4340,
    4341,  4344,  4345,  4348,  4349,  4352,  4360,  4387,  4392,  4397,
    4403,  4404,  4407,  4411,  4431,  4432,  4433,  4434,  4437,  4441,
    4445,  4451,  4452,  4455,  4456,  4457,  4458,  4459,  4460,  4461,
    4462,  4463,  4464,  4465,  4466,  4467,  4468,  4469,  4470,  4473,
    4474,  4475,  4476,  4477,  4478,  4479,  4482,  4483,  4484,  4485,
    4488,  4489,  4490,  4491,  4494,  4495,  4498,  4504,  4512,  4525,
    4532,  4538,  4544,  4553,  4554,  4555,  4556,  4557,  4558,  4559,
    4560,  4561,  4562,  4563,  4564,  4565,  4566,  4567,  4568,  4569,
    4570,  4573,  4582,  4583,  4584,  4587,  4593,  4594,  4595,  4598,
    4604,  4605,  4606,  4607,  4610,  4616,  4617,  4618,  4619,  4620,
    4621,  4622,  4623,  4624,  4627,  4631,  4635,  4642,  4643,  4644,
    4645,  4646,  4647,  4648,  4649,  4650,  4651,  4652,  4653,  4656,
    4657,  4658,  4659,  4662,  4663,  4664,  4665,  4666,  4669,  4675,
    4676,  4677,  4678,  4679,  4680,  4681,  4684,  4690,  4691,  4692,
    4693,  4696,  4702,  4703,  4704,  4705,  4706,  4707,  4708,  4709,
    4710,  4712,  4718,  4719,  4720,  4721,  4722,  4723,  4724,  4725,
    4728,  4734,  4735,  4736,  4737,  4738,  4741,  4747,  4748,  4751,
    4757,  4758,  4759,  4762,  4768,  4769,  4770,  4771,  4774,  4780,
    4781,  4782,  4783,  4786,  4790,  4794,  4799,  4806,  4807,  4808,
    4809,  4810,  4811,  4812,  4813,  4814,  4815,  4818,  4819,  4820,
    4821,  4822,  4823,  4824,  4825,  4826,  4827,  4828,  4829,  4830,
    4839,  4840,  4841,  4842,  4843,  4844,  4845,  4846,  4849,  4855,
    4856,  4857,  4860,  4861,  4862,  4863,  4864,  4865,  4866,  4867,
    4868,  4869,  4870,  4871,  4872,  4873,  4874,  4875,  4876,  4877,
    4880,  4881,  4882,  4885,  4886,  4887,  4888,  4891,  4892,  4893,
    4894,  4895,  4898,  4899,  4900,  4901,  4904,  4909,  4913,  4917,
    4921,  4925,  4929,  4934,  4939,  4944,  4949,  4954,  4961,  4965,
    4971,  4972,  4973,  4974,  4977,  4985,  4986,  4989,  4990,  4991,
    4992,  4993,  4994,  4995,  4996,  4999,  5005,  5006,  5009,  5015,
    5016,  5017,  5018,  5021,  5027,  5033,  5039,  5042,  5048,  5049,
    5050,  5051,  5057,  5063,  5064,  5065,  5066,  5067,  5068,  5071,
    5077,  5078,  5081,  5087,  5088,  5089,  5090,  5091,  5094,  5108,
    5109,  5110,  5111,  5112
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 1
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "$undefined", "\"junk\"", "\"newline\"",
  "\"colon\"", "\"semicolon\"", "\"comma\"", "\".\"", "\"==\"", "\"!=\"",
  "\"<\"", "\">\"", "\">=\"", "\"<=\"", "\"<<\"", "\">>\"", "\"&\"",
  "\"^\"", "\"!\"", "\"/\"", "\"*\"", "\"-\"", "\"@\"", "\"vmap\"",
  "\"+\"", "\"include\"", "\"define\"", "\"redefine\"", "\"undefine\"",
  "\"fib\"", "\"socket\"", "\"transparent\"", "\"tproxy\"", "\"osf\"",
  "\"synproxy\"", "\"mss\"", "\"wscale\"", "\"hook\"", "\"device\"",
  "\"devices\"", "\"table\"", "\"tables\"", "\"chain\"", "\"chains\"",
  "\"rule\"", "\"rules\"", "\"sets\"", "\"set\"", "\"element\"", "\"map\"",
  "\"maps\"", "\"flowtable\"", "\"handle\"", "\"ruleset\"", "\"trace\"",
  "\"inet\"", "\"netdev\"", "\"add\"", "\"update\"", "\"replace\"",
  "\"create\"", "\"insert\"", "\"delete\"", "\"get\"", "\"list\"",
  "\"reset\"", "\"flush\"", "\"rename\"", "\"describe\"", "\"import\"",
  "\"export\"", "\"monitor\"", "\"all\"", "\"accept\"", "\"drop\"",
  "\"continue\"", "\"jump\"", "\"goto\"", "\"return\"", "\"to\"",
  "\"constant\"", "\"interval\"", "\"dynamic\"", "\"auto-merge\"",
  "\"timeout\"", "\"gc-interval\"", "\"elements\"", "\"expires\"",
  "\"policy\"", "\"memory\"", "\"performance\"", "\"size\"", "\"flow\"",
  "\"offload\"", "\"meter\"", "\"meters\"", "\"flowtables\"", "\"number\"",
  "\"string\"", "\"quoted string\"", "\"string with a trailing asterisk\"",
  "\"ll\"", "\"nh\"", "\"th\"", "\"bridge\"", "\"ether\"", "\"saddr\"",
  "\"daddr\"", "\"type\"", "\"vlan\"", "\"id\"", "\"cfi\"", "\"pcp\"",
  "\"arp\"", "\"htype\"", "\"ptype\"", "\"hlen\"", "\"plen\"",
  "\"operation\"", "\"ip\"", "\"version\"", "\"hdrlength\"", "\"dscp\"",
  "\"ecn\"", "\"length\"", "\"frag-off\"", "\"ttl\"", "\"protocol\"",
  "\"checksum\"", "\"ptr\"", "\"value\"", "\"lsrr\"", "\"rr\"", "\"ssrr\"",
  "\"ra\"", "\"icmp\"", "\"code\"", "\"seq\"", "\"gateway\"", "\"mtu\"",
  "\"igmp\"", "\"mrt\"", "\"options\"", "\"ip6\"", "\"priority\"",
  "\"flowlabel\"", "\"nexthdr\"", "\"hoplimit\"", "\"icmpv6\"",
  "\"param-problem\"", "\"max-delay\"", "\"ah\"", "\"reserved\"",
  "\"spi\"", "\"esp\"", "\"comp\"", "\"flags\"", "\"cpi\"", "\"udp\"",
  "\"sport\"", "\"dport\"", "\"udplite\"", "\"csumcov\"", "\"tcp\"",
  "\"ackseq\"", "\"doff\"", "\"window\"", "\"urgptr\"", "\"option\"",
  "\"echo\"", "\"eol\"", "\"nop\"", "\"sack\"", "\"sack0\"", "\"sack1\"",
  "\"sack2\"", "\"sack3\"", "\"sack-permitted\"", "\"timestamp\"",
  "\"kind\"", "\"count\"", "\"left\"", "\"right\"", "\"tsval\"",
  "\"tsecr\"", "\"dccp\"", "\"sctp\"", "\"chunk\"", "\"data\"", "\"init\"",
  "\"init-ack\"", "\"heartbeat\"", "\"heartbeat-ack\"", "\"abort\"",
  "\"shutdown\"", "\"shutdown-ack\"", "\"error\"", "\"cookie-echo\"",
  "\"cookie-ack\"", "\"ecne\"", "\"cwr\"", "\"shutdown-complete\"",
  "\"asconf-ack\"", "\"forward-tsn\"", "\"asconf\"", "\"tsn\"",
  "\"stream\"", "\"ssn\"", "\"ppid\"", "\"init-tag\"", "\"a-rwnd\"",
  "\"num-outbound-streams\"", "\"num-inbound-streams\"", "\"initial-tsn\"",
  "\"cum-tsn-ack\"", "\"num-gap-ack-blocks\"", "\"num-dup-tsns\"",
  "\"lowest-tsn\"", "\"seqno\"", "\"new-cum-tsn\"", "\"vtag\"", "\"rt\"",
  "\"rt0\"", "\"rt2\"", "\"srh\"", "\"seg-left\"", "\"addr\"",
  "\"last-entry\"", "\"tag\"", "\"sid\"", "\"hbh\"", "\"frag\"",
  "\"reserved2\"", "\"more-fragments\"", "\"dst\"", "\"mh\"", "\"meta\"",
  "\"mark\"", "\"iif\"", "\"iifname\"", "\"iiftype\"", "\"oif\"",
  "\"oifname\"", "\"oiftype\"", "\"skuid\"", "\"skgid\"", "\"nftrace\"",
  "\"rtclassid\"", "\"ibriport\"", "\"obriport\"", "\"ibrname\"",
  "\"obrname\"", "\"pkttype\"", "\"cpu\"", "\"iifgroup\"", "\"oifgroup\"",
  "\"cgroup\"", "\"time\"", "\"classid\"", "\"nexthop\"", "\"ct\"",
  "\"l3proto\"", "\"proto-src\"", "\"proto-dst\"", "\"zone\"",
  "\"direction\"", "\"event\"", "\"expectation\"", "\"expiration\"",
  "\"helper\"", "\"label\"", "\"state\"", "\"status\"", "\"original\"",
  "\"reply\"", "\"counter\"", "\"name\"", "\"packets\"", "\"bytes\"",
  "\"avgpkt\"", "\"counters\"", "\"quotas\"", "\"limits\"",
  "\"synproxys\"", "\"helpers\"", "\"log\"", "\"prefix\"", "\"group\"",
  "\"snaplen\"", "\"queue-threshold\"", "\"level\"", "\"limit\"",
  "\"rate\"", "\"burst\"", "\"over\"", "\"until\"", "\"quota\"",
  "\"used\"", "\"secmark\"", "\"secmarks\"", "\"nanosecond\"",
  "\"microsecond\"", "\"millisecond\"", "\"second\"", "\"minute\"",
  "\"hour\"", "\"day\"", "\"week\"", "\"reject\"", "\"with\"", "\"icmpx\"",
  "\"snat\"", "\"dnat\"", "\"masquerade\"", "\"redirect\"", "\"random\"",
  "\"fully-random\"", "\"persistent\"", "\"queue\"", "\"num\"",
  "\"bypass\"", "\"fanout\"", "\"dup\"", "\"fwd\"", "\"numgen\"",
  "\"inc\"", "\"mod\"", "\"offset\"", "\"jhash\"", "\"symhash\"",
  "\"seed\"", "\"position\"", "\"index\"", "\"comment\"", "\"xml\"",
  "\"json\"", "\"vm\"", "\"notrack\"", "\"exists\"", "\"missing\"",
  "\"exthdr\"", "\"ipsec\"", "\"mode\"", "\"reqid\"", "\"spnum\"",
  "\"transport\"", "\"tunnel\"", "\"in\"", "\"out\"", "'='", "'{'", "'}'",
  "'|'", "'$'", "'('", "')'", "'['", "']'", "$accept", "input",
  "stmt_separator", "opt_newline", "close_scope_hash",
  "close_scope_numgen", "close_scope_sctp", "close_scope_sctp_chunk",
  "common_block", "line", "base_cmd", "add_cmd", "replace_cmd",
  "create_cmd", "insert_cmd", "delete_cmd", "get_cmd", "list_cmd",
  "reset_cmd", "flush_cmd", "rename_cmd", "import_cmd", "export_cmd",
  "monitor_cmd", "monitor_event", "monitor_object", "monitor_format",
  "markup_format", "describe_cmd", "table_block_alloc", "table_options",
  "table_block", "chain_block_alloc", "chain_block", "set_block_alloc",
  "set_block", "set_block_expr", "set_flag_list", "set_flag",
  "map_block_alloc", "map_block", "set_mechanism", "set_policy_spec",
  "flowtable_block_alloc", "flowtable_block", "flowtable_expr",
  "flowtable_list_expr", "flowtable_expr_member", "data_type_atom_expr",
  "data_type_expr", "obj_block_alloc", "counter_block", "quota_block",
  "ct_helper_block", "ct_timeout_block", "ct_expect_block", "limit_block",
  "secmark_block", "synproxy_block", "type_identifier", "hook_spec",
  "prio_spec", "extended_prio_name", "extended_prio_spec", "int_num",
  "dev_spec", "policy_spec", "policy_expr", "chain_policy", "identifier",
  "string", "time_spec", "family_spec", "family_spec_explicit",
  "table_spec", "tableid_spec", "chain_spec", "chainid_spec",
  "chain_identifier", "set_spec", "setid_spec", "set_identifier",
  "flowtable_spec", "flowtableid_spec", "flowtable_identifier", "obj_spec",
  "objid_spec", "obj_identifier", "handle_spec", "position_spec",
  "index_spec", "rule_position", "ruleid_spec", "comment_spec",
  "ruleset_spec", "rule", "rule_alloc", "stmt_list", "stateful_stmt",
  "stmt", "verdict_stmt", "verdict_map_stmt", "verdict_map_expr",
  "verdict_map_list_expr", "verdict_map_list_member_expr",
  "connlimit_stmt", "counter_stmt", "counter_stmt_alloc", "counter_args",
  "counter_arg", "log_stmt", "log_stmt_alloc", "log_args", "log_arg",
  "level_type", "log_flags", "log_flags_tcp", "log_flag_tcp", "limit_stmt",
  "quota_mode", "quota_unit", "quota_used", "quota_stmt", "limit_mode",
  "limit_burst_pkts", "limit_burst_bytes", "time_unit", "reject_stmt",
  "reject_stmt_alloc", "reject_opts", "nat_stmt", "nat_stmt_alloc",
  "tproxy_stmt", "synproxy_stmt", "synproxy_stmt_alloc", "synproxy_args",
  "synproxy_arg", "synproxy_config", "synproxy_obj", "synproxy_ts",
  "synproxy_sack", "primary_stmt_expr", "shift_stmt_expr", "and_stmt_expr",
  "exclusive_or_stmt_expr", "inclusive_or_stmt_expr", "basic_stmt_expr",
  "concat_stmt_expr", "map_stmt_expr_set", "map_stmt_expr",
  "prefix_stmt_expr", "range_stmt_expr", "wildcard_expr",
  "multiton_stmt_expr", "stmt_expr", "nat_stmt_args", "masq_stmt",
  "masq_stmt_alloc", "masq_stmt_args", "redir_stmt", "redir_stmt_alloc",
  "redir_stmt_arg", "dup_stmt", "fwd_stmt", "nf_nat_flags", "nf_nat_flag",
  "queue_stmt", "queue_stmt_alloc", "queue_stmt_args", "queue_stmt_arg",
  "queue_stmt_flags", "queue_stmt_flag", "set_elem_expr_stmt",
  "set_elem_expr_stmt_alloc", "set_stmt", "set_stmt_op", "map_stmt",
  "meter_stmt", "flow_stmt_legacy_alloc", "flow_stmt_opts",
  "flow_stmt_opt", "meter_stmt_alloc", "match_stmt", "variable_expr",
  "symbol_expr", "set_ref_expr", "set_ref_symbol_expr", "integer_expr",
  "primary_expr", "fib_expr", "fib_result", "fib_flag", "fib_tuple",
  "osf_expr", "osf_ttl", "shift_expr", "and_expr", "exclusive_or_expr",
  "inclusive_or_expr", "basic_expr", "concat_expr", "prefix_rhs_expr",
  "range_rhs_expr", "multiton_rhs_expr", "map_expr", "expr", "set_expr",
  "set_list_expr", "set_list_member_expr", "meter_key_expr",
  "meter_key_expr_alloc", "set_elem_expr", "set_elem_expr_alloc",
  "set_elem_options", "set_elem_option", "set_elem_expr_options",
  "set_elem_expr_option", "set_lhs_expr", "set_rhs_expr",
  "initializer_expr", "counter_config", "counter_obj", "quota_config",
  "quota_obj", "secmark_config", "secmark_obj", "ct_obj_type",
  "ct_l4protoname", "ct_helper_config", "timeout_states", "timeout_state",
  "ct_timeout_config", "ct_expect_config", "ct_obj_alloc", "limit_config",
  "limit_obj", "relational_expr", "list_rhs_expr", "rhs_expr",
  "shift_rhs_expr", "and_rhs_expr", "exclusive_or_rhs_expr",
  "inclusive_or_rhs_expr", "basic_rhs_expr", "concat_rhs_expr",
  "boolean_keys", "boolean_expr", "keyword_expr", "primary_rhs_expr",
  "relational_op", "verdict_expr", "chain_expr", "meta_expr", "meta_key",
  "meta_key_qualified", "meta_key_unqualified", "meta_stmt", "socket_expr",
  "socket_key", "offset_opt", "numgen_type", "numgen_expr", "xfrm_spnum",
  "xfrm_dir", "xfrm_state_key", "xfrm_state_proto_key", "xfrm_expr",
  "hash_expr", "nf_key_proto", "rt_expr", "rt_key", "ct_expr", "ct_dir",
  "ct_key", "ct_key_dir", "ct_key_proto_field", "ct_key_dir_optional",
  "symbol_stmt_expr", "list_stmt_expr", "ct_stmt", "payload_stmt",
  "payload_expr", "payload_raw_expr", "payload_base_spec", "eth_hdr_expr",
  "eth_hdr_field", "vlan_hdr_expr", "vlan_hdr_field", "arp_hdr_expr",
  "arp_hdr_field", "ip_hdr_expr", "ip_hdr_field", "ip_option_type",
  "ip_option_field", "icmp_hdr_expr", "icmp_hdr_field", "igmp_hdr_expr",
  "igmp_hdr_field", "ip6_hdr_expr", "ip6_hdr_field", "icmp6_hdr_expr",
  "icmp6_hdr_field", "auth_hdr_expr", "auth_hdr_field", "esp_hdr_expr",
  "esp_hdr_field", "comp_hdr_expr", "comp_hdr_field", "udp_hdr_expr",
  "udp_hdr_field", "udplite_hdr_expr", "udplite_hdr_field", "tcp_hdr_expr",
  "tcp_hdr_field", "tcp_hdr_option_type", "tcp_hdr_option_field",
  "dccp_hdr_expr", "dccp_hdr_field", "sctp_chunk_type",
  "sctp_chunk_common_field", "sctp_chunk_data_field",
  "sctp_chunk_init_field", "sctp_chunk_sack_field", "sctp_chunk_alloc",
  "sctp_hdr_expr", "sctp_hdr_field", "th_hdr_expr", "th_hdr_field",
  "exthdr_expr", "hbh_hdr_expr", "hbh_hdr_field", "rt_hdr_expr",
  "rt_hdr_field", "rt0_hdr_expr", "rt0_hdr_field", "rt2_hdr_expr",
  "rt2_hdr_field", "rt4_hdr_expr", "rt4_hdr_field", "frag_hdr_expr",
  "frag_hdr_field", "dst_hdr_expr", "dst_hdr_field", "mh_hdr_expr",
  "mh_hdr_field", "exthdr_exists_expr", "exthdr_key", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
      61,   123,   125,   124,    36,    40,    41,    91,    93
};
# endif

#define YYPACT_NINF -1418

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-1418)))

#define YYTABLE_NINF -856

#define yytable_value_is_error(Yytable_value) \
  0

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
   -1418,  6209, -1418,   448, -1418, -1418,    90,    80,    80,    80,
     694,   694,   694,   694,   694,   694,   694,   694, -1418, -1418,
    2785,   161,  1598,   200,  1003,   153,  3125,   497,   674,   219,
    5653,   162,   166,   169, -1418, -1418, -1418, -1418,    60,   694,
     694,   694,   694, -1418, -1418, -1418,   647, -1418,    80, -1418,
      80,    40,  5222, -1418,   448, -1418,   -61,   -34,   448,    80,
   -1418,   -47,   -15,  5222,    80, -1418,   206, -1418,    80, -1418,
   -1418,   694, -1418,   694,   694,   694,   694,   694,   694,   694,
      61,   694,   694,   694,   694, -1418,   694, -1418,   694,   694,
     694,   694,   694,   694,   694,   694,   196,   694,   694,   694,
     694, -1418,   694, -1418,   694,   694,   694,   694,   694,   921,
     694,   694,   694,   694,   694,   557,   694,   694,   694,    50,
     694,  1407,  1531,  1535,  1941,   694,   694,   694,  2030, -1418,
     694,  2072,  2098,   694, -1418,   694,   694,   694,   694,   694,
     307,   694, -1418,   694, -1418,   957,   500,    83,   232, -1418,
   -1418, -1418, -1418,   698,   965,   856,  1033,  2242,  1064,    39,
    1173,  2060,   875,    26,   589,   645,   600,  2593,    64,   652,
    1340,   160,   186,    -7,   133,   464,   176,   828,  5185, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
    1992, -1418, -1418,   -66,  5481,    97,   646,   590,    80,  5653,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418,   776, -1418, -1418,   108, -1418,
   -1418,   776, -1418, -1418, -1418, -1418,  1125,   694,   694,   694,
     194, -1418, -1418, -1418, -1418, -1418, -1418, -1418,   414,   421,
     431, -1418, -1418, -1418,   123,   217,   845, -1418, -1418, -1418,
   -1418, -1418, -1418,     7,     7, -1418,   188,    80,  5852,  3405,
     271, -1418,  -115,   396, -1418, -1418, -1418, -1418, -1418, -1418,
     488,   397, -1418,   611, -1418,   270,  5222, -1418, -1418, -1418,
   -1418, -1418, -1418,   670, -1418,   501, -1418, -1418, -1418,   321,
   -1418,  3218, -1418, -1418,   548, -1418,   164, -1418,   235, -1418,
   -1418, -1418,   822, -1418,    32, -1418, -1418,   587, -1418, -1418,
   -1418,   969,   622,   631,   316, -1418,   463, -1418,  4513, -1418,
   -1418, -1418,   623, -1418, -1418, -1418,   632, -1418,  4560,  4560,
   -1418, -1418,   660,   331,   356, -1418, -1418,   360, -1418, -1418,
   -1418,   362, -1418,   372,   677,  5222, -1418,   -47,   -15, -1418,
     206, -1418, -1418,   694,   694,   694,   194, -1418, -1418, -1418,
    5222,   136, -1418, -1418,   174, -1418, -1418,   234, -1418, -1418,
   -1418,   492, -1418, -1418,   206, -1418,   514, -1418, -1418, -1418,
   -1418, -1418,   694, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
   -1418,   206, -1418, -1418, -1418, -1418, -1418, -1418,   694, -1418,
   -1418, -1418, -1418, -1418, -1418,   694,   694, -1418, -1418, -1418,
     659,   691,   707,   694, -1418,   694, -1418,   694, -1418,   694,
   -1418,   694, -1418, -1418, -1418, -1418,   694, -1418, -1418,   694,
   -1418,   694, -1418, -1418, -1418, -1418, -1418, -1418, -1418,   694,
   -1418,    80, -1418, -1418, -1418,   746, -1418, -1418, -1418, -1418,
   -1418,   747,    48, -1418, -1418, -1418,   666,    37, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
     443,   506, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
     860, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418,  2316, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418,  2608, -1418, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,   -41,
   -1418, -1418,   401, -1418, -1418, -1418, -1418, -1418, -1418,   411,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
   -1418,  1749, -1418, -1418, -1418, -1418,   450,   157,   455,   700,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,   430, -1418,
     444, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
   -1418,   776, -1418, -1418, -1418,   533,   522,   712,  1096, -1418,
   -1418, -1418,  3475,   742,  4965,  5653, -1418, -1418, -1418, -1418,
     801,   805,    -2,   783,   793,   797,    31,   813,  1749,   816,
    4965,  4965,   720,  4965, -1418, -1418,   771,  4965,  4965,   799,
   -1418,  4607,    75, -1418,  1096, -1418, -1418,   791,   800,   670,
   -1418,   486,  1096,   803,   809,   823,  1096,   501, -1418,   391,
   -1418,  4965, -1418, -1418,  3732,   965,   856,  1033,  2587, -1418,
    2478,   434, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
    1048,   897,   905,   572,   468,   201, -1418, -1418, -1418, -1418,
   -1418,   923,   913,   929, -1418, -1418, -1418, -1418,   939, -1418,
   -1418, -1418, -1418,   879, -1418, -1418,   948,   956, -1418,   872,
     878, -1418, -1418,   548, -1418,   974, -1418, -1418, -1418, -1418,
     975, -1418,  3989, -1418,   975,  4965, -1418, -1418,   822, -1418,
     983, -1418,    80, -1418,   651, -1418,    80,    34, -1418,  6265,
    6265,  6265,  6265,  6265,  5653,    68,  4560, -1418, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
    6265, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,  1012,
   -1418,  1082,  1004,  1015,   683,   615,  1022, -1418, -1418, -1418,
    4560,  4965,  4965,   448,  1012, -1418,   448,   968, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418,   660,   689,   703,   725,
   -1418,   729,   749, -1418, -1418, -1418,   533,   522,   712,  1096,
   -1418,  1019,  1021,  1023,  1065, -1418,  1070, -1418, -1418, -1418,
   -1418, -1418,   694,   694,   694, -1418, -1418, -1418, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418,  1072,   500, -1418, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
   -1418, -1418,   556,  2302, -1418, -1418, -1418, -1418, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418,   735,   655,   877,
     894,   894, -1418, -1418, -1418,   931, -1418, -1418, -1418, -1418,
     963,   993, -1418,   994,   998,  1008,    92, -1418, -1418, -1418,
    1147,  1154, -1418, -1418,  1083, -1418,  1092, -1418, -1418, -1418,
   -1418, -1418, -1418,  1161,  1165,   895,  1167,   427, -1418, -1418,
   -1418,   933,   937,   938,  1193, -1418,   720, -1418,  1194, -1418,
   -1418, -1418,  4965,  2242,  1173,  1288,  4246, -1418,    32,    78,
    1293,  1096,  1096,  1210,  5653,  4965,  4965,  4965, -1418,  1213,
    4965,  1265,  4965, -1418, -1418, -1418, -1418,  1217, -1418,    23,
    1279, -1418,  4965, -1418,   611,  1179,   181, -1418,   644,  1022,
     611, -1418, -1418, -1418, -1418, -1418, -1418, -1418,  1180,   227,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,  1215,
    1216,  1261,  1223, -1418,  4965,  1326,  5892,  6265,  5892,  5892,
    5892,  1240,  5892,  5892,    87,  4965,   975,  4965,  2107,  2107,
   -1418, -1418, -1418,  4965,   913,  4965,   913, -1418, -1418,   899,
   -1418,  5653, -1418,  5653, -1418, -1418, -1418,  1082,  1004,  1015,
   -1418,   611, -1418, -1418, -1418, -1418,   985,  6265,  6265,  6265,
    6265,  6265,  6265,  6265,  1241,  6265,  6265, -1418, -1418, -1418,
   -1418, -1418,   303,   349,  2298,    99,  1989,   884, -1418, -1418,
   -1418, -1418, -1418, -1418,   992,   996,   997, -1418, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
    1337, -1418, -1418, -1418, -1418, -1418, -1418, -1418,  1346, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418,  1000,  1005, -1418, -1418,
   -1418, -1418,   895,   242,  1257, -1418, -1418, -1418, -1418, -1418,
    1126, -1418, -1418, -1418,  1078,  1263,    23, -1418,  4965,  4965,
    1360, -1418,  1269,  1269, -1418,    78, -1418, -1418, -1418,  1018,
    1293,  5222,    78, -1418, -1418, -1418, -1418, -1418,  4965, -1418,
     127, -1418, -1418,  1075,  4965,  1335, -1418,  6218, -1418,  1269,
    1269,  1098, -1418,   181, -1418,  4607, -1418, -1418, -1418, -1418,
    1370, -1418,  1280,  1281, -1418,  1283, -1418,  4965, -1418, -1418,
   -1418, -1418,  1048,   897,   905, -1418, -1418, -1418, -1418, -1418,
   -1418, -1418,  1380, -1418, -1418, -1418, -1418,   913, -1418,   913,
     975, -1418,   156,  5222,  4828,    76, -1418, -1418, -1418, -1418,
   -1418,  1082,  1004,  1015, -1418, -1418, -1418, -1418,   644,  1289,
    1353,    80,    80,    80,    80,    80,  1292,   333,    80,    80,
      80,    80, -1418, -1418, -1418,   448,    85,  1295, -1418, -1418,
   -1418,   448,   448,   448, -1418,  1269,  1269,  1049,  1158,  1305,
     617,   942, -1418, -1418, -1418,   448,  1269,  1054,   617,   942,
   -1418, -1418, -1418,   448,  1306,  1058, -1418, -1418, -1418,   457,
    2628,   925,  2038,  1041, -1418, -1418, -1418,  1309,  1311, -1418,
   -1418, -1418, -1418,  1313, -1418, -1418, -1418, -1418, -1418, -1418,
     168,   318,   758,  1317,   129,  1075, -1418, -1418,  4965, -1418,
   -1418, -1418, -1418,  5653,  1071,    78, -1418,   999,  1132,  1329,
   -1418, -1418,  4965,   611,  1022, -1418, -1418, -1418,  1332, -1418,
     227, -1418, -1418, -1418, -1418,  4965,   975,   975,  5653,  1253,
   -1418,    46,  1084,  1433,   611, -1418,  1260,  1342, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,    80,    80,
      80, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
   -1418,  1404, -1418, -1418, -1418,   448,   448,   206, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,   848,
   -1418, -1418, -1418, -1418, -1418,   880, -1418, -1418,   448,   206,
     571,   880, -1418,  1299,  1095, -1418, -1418, -1418, -1418, -1418,
     441,  1569,  1181, -1418,  1443, -1418,   895, -1418,  1102,    18,
     694, -1418, -1418, -1418, -1418,  1269,  1359,    18,  1361,   694,
   -1418, -1418, -1418, -1418,  1365,   694, -1418, -1418, -1418, -1418,
   -1418,   999,  1132, -1418, -1418,  5222, -1418, -1418, -1418, -1418,
   -1418, -1418,  1172,  1363, -1418,    23, -1418, -1418,  1189, -1418,
   -1418,  1117,  5653, -1418, -1418,  1197,  4828, -1418, -1418,  1294,
     448,  1119,  1123,  1124,  1127,  1128, -1418, -1418, -1418,  1130,
    1131,  1135,  1138,  1377, -1418, -1418, -1418,   617, -1418,   942,
   -1418, -1418, -1418,  1159, -1418,    72,   448,  1378,   448, -1418,
   -1418, -1418,  1392, -1418,  1141, -1418, -1418,   448,   448,   448,
     448,   448,   448,   448,  1369,   448,  1172, -1418,  1146,  1401,
   -1418,    24, -1418,  1402, -1418,  1149,   611, -1418, -1418,  1260,
   -1418, -1418, -1418, -1418, -1418,  1151,  1152,  1155, -1418, -1418,
   -1418, -1418,  1222, -1418, -1418,   448,   448,   448,   448,   848,
    1409, -1418, -1418, -1418,   561, -1418, -1418, -1418, -1418, -1418,
      79, -1418, -1418, -1418, -1418,  1410, -1418, -1418, -1418, -1418,
   -1418, -1418, -1418,    18, -1418, -1418, -1418,  1232, -1418, -1418,
   -1418, -1418, -1418,  1294,   510,  2958,  1800,  2078,  1188, -1418,
   -1418, -1418,   628,   960,   113,   257,  1096,  1168,  1299, -1418,
   -1418, -1418, -1418, -1418, -1418,  1417,  1424,   134, -1418,  1518,
      82, -1418,   448, -1418, -1418,   448, -1418, -1418, -1418,   448,
     448,   448,   448,  1760,  2155,  1872,   448, -1418, -1418, -1418,
     448, -1418, -1418, -1418,   448, -1418, -1418, -1418,   448, -1418,
   -1418, -1418, -1418,  1095, -1418, -1418, -1418, -1418, -1418,  1427,
    1410,   448, -1418, -1418, -1418, -1418, -1418, -1418,   448,   448,
     448, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
   -1418, -1418
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
       2,     0,     1,     0,     4,     5,     0,     0,     0,     0,
     305,   305,   305,   305,   305,   305,   305,   305,   309,   312,
     305,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   151,   311,   310,   307,   308,     0,   305,
     305,   305,   305,    18,    17,     3,     0,    21,     0,   306,
       0,   330,     0,    16,     0,   300,     0,     0,     0,     0,
     459,    36,    38,     0,     0,   192,     0,   211,     0,   228,
      22,   305,    23,   305,   305,   305,   305,   305,   305,   305,
       0,   305,   305,   305,   305,    24,   305,    25,   305,   305,
     305,   305,   305,   305,   305,   305,     0,   305,   305,   305,
     305,    26,   305,    27,   305,   305,   336,   305,   336,   336,
     305,   305,   336,   305,   336,     0,   305,   336,   336,     0,
     305,   336,   336,   336,   336,   305,   305,   305,   336,    28,
     305,   336,   336,   305,    29,   305,   305,   305,   305,   336,
       0,   305,    30,   305,    31,     0,     0,     0,   599,   570,
     301,   302,   303,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   759,
     760,   761,   762,   763,   764,   765,   766,   767,   768,   769,
     770,   771,   772,   773,   774,   775,   776,   777,   778,   780,
       0,   782,   781,     0,     0,     0,     0,   779,     0,     0,
      35,   566,   565,   571,   572,   166,   582,   583,   576,   750,
     577,   580,   584,   581,   578,   579,   573,   863,   864,   865,
     866,   867,   868,   869,   870,   871,   872,   873,   874,   875,
     876,   877,   878,   879,   880,   574,  1077,  1078,  1079,  1080,
    1081,  1082,  1083,  1084,   575,     0,   163,   164,     0,    32,
     147,     0,    33,   149,   152,    34,   153,   305,   305,   305,
      46,   679,   655,   657,    20,    19,   313,   315,     0,     0,
       0,   332,   331,   333,     0,   449,     0,   550,   551,   552,
     741,   742,   743,     0,     0,   746,   557,     0,     0,     0,
     379,   387,     0,   411,   432,   439,   440,   512,   518,   535,
       0,     0,   786,     7,    41,   338,   340,   351,   341,   347,
     367,   346,   343,   377,   353,   385,   344,   345,   354,   433,
     355,     0,   356,   365,   447,   359,   511,   360,   517,   361,
     362,   357,   533,   363,     0,   364,   349,     0,   556,   348,
     601,   604,   606,   608,   610,   611,   618,   620,     0,   619,
     563,   366,   750,   352,   358,   350,   573,    12,     0,     0,
      15,   324,     0,     0,     0,    40,   318,     0,    44,   204,
     203,     0,   321,     0,     0,     0,   459,    56,    58,   192,
       0,   211,   228,   305,   305,   305,    64,   679,   655,   657,
       0,     0,    94,    95,     0,    74,    75,     0,    76,    77,
      78,     0,    79,    80,     0,    81,     0,    83,    84,   659,
     660,   658,   305,    85,    86,    90,    91,    87,    88,    92,
      93,     0,   118,    97,   337,    98,    99,   100,   305,   101,
     103,   127,   126,   125,   119,   305,   336,   123,   122,   124,
     659,   660,     0,   305,   106,   305,   104,   305,   107,   305,
     110,   305,   116,   112,   109,   115,   305,   113,   134,   305,
     132,   305,   135,   137,   138,   139,   140,   141,   144,   305,
     143,     0,   882,   883,   884,     0,   590,   591,   592,   593,
     594,   596,     0,   790,   791,   789,     0,     0,  1075,  1076,
    1074,   886,   887,   888,   885,   893,   890,   891,   892,   889,
       0,     0,   895,   896,   897,   898,   899,   894,   917,   918,
     912,   907,   908,   909,   910,   911,   913,   914,   915,   916,
       0,   904,   929,   932,   931,   930,   933,   934,   935,   928,
     937,   938,   939,   940,   936,   949,   950,   942,   943,   944,
     946,   945,   947,   948,   941,   952,   957,   954,   953,   958,
     956,   955,   959,   951,   962,   965,   961,   963,   964,   960,
     968,   967,   966,   970,   971,   972,   969,   976,   977,   974,
     975,   973,   982,   979,   980,   981,   978,   995,   989,   992,
     993,   987,   988,   990,   991,   994,   996,     0,   983,  1021,
    1019,  1020,  1018,  1073,  1070,  1071,     0,  1072,    10,  1091,
     810,  1090,   816,   811,  1089,  1092,   814,   815,   817,     0,
     812,  1088,     0,  1093,  1096,  1095,  1099,  1098,  1100,     0,
    1097,  1087,  1086,  1085,  1108,  1105,  1103,  1104,  1106,  1107,
    1102,  1111,  1110,  1109,  1115,  1114,  1117,  1113,  1116,  1112,
     751,   754,   755,   756,   758,   757,   779,   749,   752,   753,
     831,   832,   824,   825,   823,   833,   834,   853,   827,   836,
     829,   830,   835,   826,   828,   821,   822,   851,   850,   852,
     837,     0,   818,   838,   795,   794,     0,   618,     0,     0,
    1120,  1119,  1121,  1122,  1123,  1118,   799,   800,   798,   564,
       0,   146,   165,   148,   154,   155,   157,   156,   159,   160,
     158,   161,   676,   676,   676,     0,     0,   411,     0,   327,
     328,   329,     0,     0,     0,     0,   748,   747,   744,   745,
       0,     0,     0,   751,   749,     0,     0,     0,     0,   818,
       0,     0,   420,     0,   409,   410,     0,     0,     0,     0,
       6,     0,     0,   622,     0,   339,   342,     0,     0,   378,
     381,     0,     0,     0,     0,     0,     0,   386,   388,     0,
     431,     0,   494,   714,     0,   706,   709,   710,   707,   713,
     708,     0,   717,   715,   716,   712,   711,   703,   704,   476,
     479,   481,   483,   485,   486,   491,   498,   495,   496,   497,
     499,   501,   438,   464,   465,   475,   705,   466,   473,   467,
     474,   470,   471,     0,   468,   469,     0,   500,   472,     0,
       0,   456,   455,   448,   451,     0,   530,   531,   532,   510,
     515,   528,     0,   516,   521,     0,   542,   543,   534,   536,
     539,   540,     0,   568,     0,   567,     0,     0,   558,     0,
       0,     0,     0,     0,     0,     0,     0,   735,   736,   737,
     738,   739,   740,   706,   709,   710,   707,   727,   728,   708,
     729,   726,   725,   730,   723,   724,   722,   731,    10,   733,
       0,   686,   718,   688,   719,   615,   616,   700,   687,   681,
     680,   692,   694,   696,   698,   699,   685,   720,   721,   689,
       0,     0,     0,     0,   651,   650,     0,     0,    54,   169,
     186,   193,   212,   229,   334,    55,     0,     0,     0,     0,
      62,     0,     0,   676,   676,   676,     0,     0,   411,     0,
      73,     0,     0,     0,     0,    82,     0,   676,    96,   102,
     121,   120,   305,   305,   305,   128,   105,   108,   111,   117,
     114,   133,   136,   142,   145,     0,     0,   589,   587,   588,
     586,   600,   597,   598,   900,   902,   901,   903,   919,   920,
     921,   922,   906,     0,   999,  1009,  1000,  1007,   997,   998,
    1002,  1003,  1004,  1005,  1006,  1001,  1008,   985,  1025,  1022,
    1023,  1024,  1026,  1027,  1028,  1029,  1030,  1031,  1032,  1033,
    1034,  1035,  1036,  1037,  1038,  1039,  1056,    11,  1068,   813,
       0,     0,   839,   840,     0,   842,     0,   841,   843,   844,
     819,   820,   845,     0,     0,   792,     0,     0,   585,   150,
     162,     0,     0,     0,     0,    47,   420,    52,     0,    48,
     656,    53,     0,   707,   708,   441,     0,   450,     0,   544,
     546,     0,     0,     0,     0,     0,     0,     0,   375,     0,
       0,   845,     0,   380,   408,   418,   419,     0,   417,     0,
     524,   526,     0,   647,     7,     7,   631,   633,   699,   646,
       7,   621,   335,   383,   384,   382,   401,   400,     0,     0,
     399,   395,   390,   391,   392,   393,   396,   394,   389,     0,
       0,     0,     0,   507,     0,   502,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   509,     0,     0,     0,
     453,   454,   452,     0,     0,     0,   519,   538,   537,     0,
     569,     0,   560,     0,   559,   602,   603,   605,   607,   609,
     612,     7,   368,   370,   617,   732,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   682,   784,   862,
      13,    14,     0,     0,     0,     0,     0,     0,    72,   169,
     186,   193,   212,   229,     0,     0,     0,    65,    70,    66,
      71,   325,   314,   316,   319,   322,    89,   130,   131,   129,
       0,   595,   923,   924,   926,   925,   927,   905,     0,  1012,
    1011,  1010,  1013,  1014,  1015,  1016,  1017,   984,  1053,  1052,
    1054,  1055,  1061,  1043,  1044,  1045,  1046,  1058,  1047,  1048,
    1049,  1050,  1051,  1059,  1060,  1062,  1063,  1064,  1065,  1066,
    1067,  1040,  1042,  1041,  1057,    10,     0,     0,   846,   847,
     848,   849,   792,   792,     0,     8,   797,   801,   802,   805,
       0,   256,   260,   252,     0,     0,     0,   443,     0,     0,
     442,   547,     0,     0,   638,   545,   634,   788,   787,     0,
     630,     0,   628,   785,   783,   859,   376,   860,     0,   858,
       0,   413,   412,   414,     0,     0,   625,     0,   626,     0,
       0,   643,   645,   632,   639,   624,   623,   398,   404,   405,
     397,   403,     0,     0,   437,     0,   508,     0,   477,   464,
     473,   478,   480,   482,   484,   492,   493,   487,   490,   489,
     488,   504,   503,   854,   855,   856,   857,   513,   529,   520,
     522,   541,     0,     0,     0,     0,   371,   734,   684,   690,
     691,   693,   695,   697,   683,   613,   614,   701,   702,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    37,   171,   170,     0,     0,     0,    39,   188,
     187,     0,     0,     0,   201,     0,     0,     0,     0,     0,
       0,     0,    42,   195,   194,     0,     0,     0,     0,     0,
      43,   214,   213,     0,     0,     0,    45,   231,   230,     0,
       0,     0,     0,     0,   256,   260,   252,     0,     0,  1069,
    1094,  1101,     9,     0,     8,   793,   809,   804,   803,   806,
       0,     0,     0,     0,     0,   414,   444,   446,     0,   304,
     636,   637,   635,     0,     0,   629,   861,     0,   423,     0,
     416,   525,     0,     7,   648,   649,   641,   642,     0,   640,
       0,   434,   435,   436,   505,     0,   514,   523,     0,     0,
     548,     0,     0,     0,     7,   369,   460,     0,   326,   243,
     317,   185,   320,   192,   211,   323,   228,   168,     0,     0,
       0,   243,   243,   243,   243,   172,   298,   299,   295,   297,
     296,     0,   189,   190,   191,     0,     0,     0,   227,   226,
     224,   225,   276,   278,   279,   277,   240,   280,   241,     0,
     239,   207,   208,   210,   209,     0,   206,   202,     0,     0,
       0,     0,   223,     0,     0,    57,    59,    60,    61,    63,
       0,     0,     0,   881,     0,   796,   792,   808,     0,     0,
       0,    50,   258,   257,   259,     0,     0,     0,     0,     0,
      51,   262,   261,   263,     0,     0,    49,   254,   253,   255,
     652,     0,   423,   654,   445,     0,   561,   426,   427,   428,
     429,   430,   421,     0,   407,     0,   527,   627,     0,   402,
     506,     0,     0,   549,   555,     0,   373,   372,   461,   462,
       0,     0,     0,     0,     0,     0,   243,   243,   243,     0,
       0,     0,     0,     0,   198,   199,   200,     0,   196,     0,
     197,   215,   222,     0,   221,     0,     0,     0,     0,    68,
      69,    67,     0,     8,     0,   662,   661,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   421,   678,     0,     0,
     406,     0,   415,     0,   553,     0,     7,   463,   457,   460,
     272,   186,   193,   212,   229,     0,     0,     0,   244,   264,
     248,   268,   294,   242,   205,     0,     0,     0,     0,     0,
       0,   290,   284,   283,   287,   282,   285,   286,   232,   238,
       0,   235,   233,   986,   807,     0,   668,   670,   673,   674,
     671,   672,   675,     0,   664,   677,   562,     0,   425,   424,
     644,   554,   374,   462,     0,     0,     0,     0,     0,   256,
     260,   252,     0,     0,     0,     0,     0,     0,     0,   217,
     219,   218,   220,   216,   291,     0,     0,     7,   234,     0,
       0,   665,     0,   422,   458,     0,   274,   273,   275,     0,
       0,     0,     0,     0,     0,     0,     0,   246,   245,   247,
       0,   266,   265,   267,     0,   250,   249,   251,     0,   270,
     269,   271,   292,     0,   281,   289,   288,   237,   236,     0,
       0,     0,   663,   184,   173,   174,   175,   176,     0,     0,
       0,   177,   182,   178,   183,   293,   667,   666,   669,   180,
     181,   179
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -1418, -1418,    -1, -1008, -1298, -1418,  -835, -1418,    11, -1418,
   -1418,  1506, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418,   -21, -1418,  1145,
   -1418,   359,  -384, -1126,  -379, -1121,  -382,   147,   -71,  -371,
   -1118, -1130, -1418,  -377, -1110,  -224, -1418,  -183,   -62, -1279,
    -663, -1418, -1418, -1345, -1284, -1274, -1418, -1418, -1418, -1418,
   -1418,  -172, -1418, -1418, -1418, -1418, -1418, -1418, -1418,   229,
    -658,  -701,  1458,   -44,  1851, -1418,   552, -1418, -1418,   137,
   -1418,   198,   383, -1418, -1418,   579,  1057,  -355,  1166, -1418,
   -1418,   124,  1462,  -310,  1228,    29, -1418, -1418,   223,  -315,
   -1418, -1418, -1418, -1418,    93, -1418, -1418, -1418, -1418,   808,
   -1418, -1418, -1418,   789, -1418, -1418, -1418,   109, -1418,  1255,
   -1185,   139, -1418,   532,   -57,    12,    19, -1418, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418,   762,  -909,  1200,   -59,
    -110,  -796,   493,   485,   494, -1418,   491, -1418, -1418, -1418,
   -1418, -1418,  -335, -1418,  1076, -1418, -1418, -1418, -1418, -1418,
   -1418, -1418, -1418, -1418,  -329,   481, -1418, -1418, -1418,   768,
   -1418,   478, -1089, -1418, -1418,  1322, -1418, -1418, -1418, -1418,
     763, -1418, -1418,   -52,   -17,  -754,  -313,    91,  1579, -1418,
   -1418, -1418,   656,   -11, -1418, -1418, -1418, -1418, -1418,  -182,
    -201, -1418, -1418,   458, -1418,  1412,   -26, -1418,   538, -1096,
   -1418, -1223, -1418,   347, -1129, -1418,   328, -1418, -1418,  1256,
    -910,  1226,  -907,  1244,  -911,  1225,  1519, -1417, -1418, -1418,
    -127, -1418, -1418,  -180,  -903,  1266, -1418,  1300,  -328,  -727,
    -708,  -702, -1418,  -330,  -729, -1418,  -256,   941,  -674, -1418,
   -1218,  1358,    -5,  1355, -1418,   -46, -1418,    -4, -1418, -1145,
   -1418,    55, -1418, -1418, -1418, -1418, -1418,   104,  -255,   202,
    1038,   352,  1371,  1372, -1418, -1418,  -526,   167, -1418, -1418,
   -1418,   480, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
   -1418, -1418, -1418, -1418,   699, -1418, -1418, -1418, -1418, -1418,
   -1418,   671, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418, -1418,
   -1418, -1418, -1418, -1418, -1418, -1418, -1418
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,  1369,   751,  1416,  1535,  1008,  1235,  1370,    45,
      46,    47,    72,    85,    87,   101,   103,   129,   134,   142,
     144,   259,   262,   265,   266,   711,  1029,   260,   210,   373,
    1365,  1163,   374,  1164,   377,  1165,   378,  1515,  1516,   381,
    1166,  1385,  1500,   383,  1167,  1618,  1680,  1681,  1508,  1509,
    1591,  1712,  1714,  1422,  1420,  1421,  1713,  1715,  1704,  1510,
    1371,  1616,  1674,  1675,  1676,  1718,  1372,  1488,  1489,  1468,
     211,  1430,    48,    49,    59,   406,    51,   409,  1471,    65,
     413,  1473,    69,   418,  1476,    60,   403,  1469,   281,   282,
     283,    52,   385,  1264,   435,  1373,   315,   316,   317,   318,
     319,   320,  1142,  1335,  1336,   321,   322,   323,   759,   760,
     324,   325,   767,   768,  1097,  1091,  1300,  1301,   326,  1038,
    1283,  1440,   327,  1067,  1640,  1574,  1572,   328,   329,   770,
     330,   331,   332,   333,   334,   823,   824,   908,   372,  1589,
    1648,   789,   790,   791,   792,   793,   794,   795,  1318,   796,
     797,   798,   799,   800,   801,   802,   335,   336,   829,   337,
     338,   833,   339,   340,   830,   831,   341,   342,   838,   839,
     840,   841,  1048,  1049,   343,   344,   345,   346,   347,   847,
     848,   348,   349,   212,   803,   844,   883,   804,   350,   216,
     960,   491,   492,   805,   497,   351,   352,   353,   354,   355,
     356,   885,   886,   887,   357,   358,   359,   752,   753,  1271,
    1272,  1075,  1076,  1265,  1266,  1293,  1294,  1077,  1443,   903,
    1035,   715,  1039,   717,  1041,   718,   422,  1627,  1559,  1730,
    1731,  1544,  1553,  1031,  1037,   716,   360,   904,   905,   891,
     892,   893,   894,  1078,   896,   806,   807,   808,   899,   900,
     361,   728,   809,   657,   658,   219,   363,   810,   495,  1245,
     686,   811,  1027,   698,  1249,  1419,   222,   812,   619,   814,
     620,   815,   681,   682,  1020,  1021,   683,   816,   817,   364,
     365,   818,   227,   485,   228,   504,   229,   509,   230,   517,
     231,   531,   972,  1197,   232,   539,   233,   544,   234,   554,
     235,   563,   236,   569,   237,   572,   238,   576,   239,   581,
     240,   586,   241,   598,   987,  1207,   242,   602,  1006,  1234,
    1217,  1223,  1212,  1007,   243,   608,   244,   500,   245,   246,
     633,   247,   621,   248,   623,   249,   625,   250,   630,   251,
     640,   252,   643,   253,   649,   254,   695
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      43,   756,    53,   687,   918,   755,   362,  1168,   920,   834,
     919,   263,    44,   213,   379,   922,  1177,   362,  1180,   217,
     921,  1179,  1079,   881,  1178,   218,   220,   700,   895,   723,
     890,   845,   935,   881,   881,   213,  1393,  1333,   895,   895,
     380,   217,  1332,  1145,  1400,   275,   213,   218,   220,   938,
    1401,  1582,   217,   367,  1402,   842,   749,   370,   218,   220,
    1040,  1532,   434,  1403,   434,   434,  1286,  1288,   434,  1445,
     434,  1425,  1295,   434,   434,   846,   813,   434,   434,   434,
     434,   314,  1080,  1464,   434,   221,  1727,   434,   434,  1770,
    1053,   842,   375,   278,  1670,   434,  1082,  1412,  1414,   612,
       3,  1143,   897,     4,  1092,     5,    55,   221,  1096,  1520,
     842,  1463,   897,   897,     3,   493,  1537,     4,   221,     5,
    1530,   214,  1281,  1698,  1137,     6,     7,     8,     9,  1058,
    1631,  1531,   659,  1334,   223,   450,  1432,    63,   750,     6,
       7,     8,     9,   214,  1138,   267,   393,  1437,   540,  1561,
     626,  1139,    66,    67,   214,  1022,   223,   957,   962,  1486,
    1487,  1458,   741,  1262,   570,   854,  1263,   223,   541,     3,
    1671,  1672,     4,   599,     5,  1135,  1136,  1625,   742,    55,
     571,   542,  1626,  1374,  1375,  1376,  1377,   213,  1378,   931,
      54,  1379,   213,   217,     6,     7,     8,     9,   217,   218,
     220,  1231,   102,   722,   218,   220,    71,   856,  1380,  1113,
     400,  -411,  1061,   389,   390,   391,   255,  1232,   616,   617,
     261,   627,   628,   629,   600,   601,  1438,   932,  1562,   412,
     414,   415,   224,  1679,   701,    55,    56,    57,    58,   431,
     703,   727,   727,   610,   825,    86,   730,   440,   441,  1233,
     684,  1114,   659,   447,   224,   631,  1381,  1538,     3,   221,
     685,     4,   143,     5,   221,   224,  1289,   613,   264,  1290,
     362,  1040,  1393,    55,   476,   477,  1732,   276,   480,   277,
     632,   419,   731,     6,     7,     8,     9,   933,   371,   368,
     958,   959,   843,   376,  1261,   214,  1539,   382,   641,   213,
     214,   618,  1282,  1699,  -167,   217,  1432,     4,   223,     5,
    1308,   218,   220,   223,   963,   832,   369,  1317,   451,     3,
     421,   494,     4,   642,     5,  1684,  1059,   543,   268,   394,
     269,   395,   888,    55,  1669,   452,  -185,  1565,   379,   362,
    1349,   882,   888,   888,     6,     7,     8,     9,   479,  1054,
       3,   882,   882,     4,   362,     5,   150,   151,   152,   496,
    1319,   208,   379,  1463,   380,  1298,  1745,  1646,   213,  1581,
    1299,   221,   279,   280,   217,     6,     7,     8,     9,   379,
     218,   220,   225,   213,  1351,  1133,   208,   622,   380,   217,
    1642,  1623,  1352,  1267,  1268,   218,   220,  1353,  1583,  1354,
    1409,  1355,   434,  1545,   225,   380,   224,   214,   744,   745,
    1546,   224,   754,   624,   915,   225,  1073,  1459,  1478,  1141,
     223,  1673,   208,  1341,   689,  1743,   208,  1081,  1465,   930,
    1540,  1728,   300,  1311,  1771,  1577,  1744,   699,   313,   208,
     221,   208,     3,  1342,   702,     4,  1547,     5,   302,   884,
    1343,  1382,     4,   303,     5,   221,  1586,  1291,     3,   884,
     884,     4,   392,     5,   420,  1754,   421,     6,     7,     8,
       9,   854,  -653,  1116,  1339,  1340,   214,   748,   417,  1548,
     826,   827,   828,     6,     7,     8,     9,   855,  1111,   223,
    1112,   214,  1351,  1645,   724,   897,   443,   256,   257,   258,
    1352,   256,   257,   258,   223,  1353,  1356,  1354,  1460,  1355,
     226,     3,   719,   856,     4,   754,     5,   610,   224,   720,
    1541,   881,   726,   726,  1050,  1705,   732,  1099,  1144,   721,
    1538,  1706,   366,  1032,  1033,  1707,     6,     7,     8,     9,
    1100,   613,   845,   366,  1708,   934,   907,   610,   740,   964,
    1146,   826,   827,   828,   610,  1101,   225,   313,  1444,  1086,
     208,   225,  1431,   965,    62,   881,  1079,   936,   747,  1539,
    1244,   613,  1157,  1413,   612,   634,  1613,  1393,   613,  1607,
    1549,  1247,   940,  1725,   819,   820,  1726,   224,  1446,  1447,
     635,    55,  1087,   897,   897,   897,   897,   897,   445,   446,
     897,  1479,   224,  1480,   754,  1079,  1088,   486,   487,  1758,
    1357,   636,   966,    55,  1356,   750,   953,   637,   270,   271,
     272,   273,  1153,   384,   897,  1358,   967,   388,   846,     3,
     371,   769,     4,   276,     5,  1154,   277,  1155,  1702,   851,
     376,  1359,   408,   384,   897,   382,  1360,   274,  1361,   852,
    1089,     4,   386,     5,     6,     7,     8,     9,   761,   436,
     396,   397,   398,   399,  1154,  1192,  1155,   402,   225,   853,
    1550,   901,  1140,   743,  1495,  1496,   423,   425,   427,   429,
     902,  1193,   909,   432,   226,  1518,  1194,  1195,   475,   226,
    1030,   744,   745,   616,   617,   481,   907,   638,   639,   454,
     942,  1362,  1102,  1540,   463,   464,   465,   910,   213,   468,
     954,   911,   473,   912,   217,   135,  1502,   136,  1357,  1767,
     218,   220,   137,   913,   138,  1074,   821,   822,   139,   582,
     278,  1090,   943,  1358,   882,   845,   573,   225,   488,   489,
    1503,  1504,   490,  1174,  1175,  1176,   574,   575,   944,  1359,
      18,    19,   225,   955,  1360,   956,  1361,  1186,  1010,     3,
     583,   584,     4,   585,     5,   961,  1292,   140,  1011,   141,
     577,  1248,  1250,   130,   578,  1026,   618,  1023,   131,   132,
     221,   603,  1024,  1196,     6,     7,     8,     9,   762,   763,
     764,   765,   766,  1619,   133,  1738,   366,  1330,  1025,    34,
    1028,   845,  1749,   843,  1761,   579,   580,  1757,    35,  1525,
    1753,  1034,   604,   605,    36,  1036,   214,  1338,  1599,  1600,
    1601,  1602,  1046,  1344,  1051,  1346,  1348,  1199,  1052,   223,
     888,  1055,   882,   882,   882,   882,   882,   213,    37,   882,
     606,  1056,   884,   217,  1629,  1057,   712,   713,   714,   218,
     220,   897,     4,  1270,     5,  1505,  1607,  1079,   498,   499,
    1200,  1060,  1735,   882,  1062,   366,  1208,  1554,   690,  1069,
    1209,  1210,  1211,   607,   888,  1506,  1507,   691,   692,  1072,
     366,   693,   694,   882,     4,     3,     5,  1609,     4,  1083,
       5,   897,   897,   897,   897,   897,   897,   897,  1084,   897,
     897,  1093,  1160,   287,   288,  1161,  1034,  1094,   289,   221,
       6,     7,     8,     9,  1108,  1201,  1202,  1203,  1204,  1205,
    1206,  1095,  1394,  1109,  1395,  1110,     3,   224,  1115,     4,
    1050,     5,  1270,  1655,  1656,  1657,  -854,   644,   696,   697,
     884,   884,   884,   884,   884,   214,  -855,   884,   757,   758,
     645,     6,     7,     8,     9,  1118,  1434,   646,   223,  1117,
    1073,     3,   438,  1119,     4,   505,     5,   506,   507,   508,
    1120,   884,   923,   924,   925,   647,  1121,    18,    19,  1123,
    1746,   648,  1124,  1292,   849,   850,     6,     7,     8,     9,
    1129,   884,   968,   969,   970,   971,   843,   564,  1456,  1073,
    1457,   937,  1131,  1481,  1482,  1483,  1484,   744,   745,  1374,
    1375,  1376,  1377,   565,  1378,  1065,  1066,  1379,  1462,  1147,
    1555,  1150,   566,  1511,  1512,  1513,    34,  1514,   567,   568,
    1156,   897,   945,  1151,  1380,    35,  1152,   213,    88,   897,
    1169,    36,     3,   217,    89,     4,    90,     5,    91,   218,
     220,    92,    93,    94,  1170,    95,   224,  1040,  1762,   482,
     483,   484,   843,  1106,  1107,    37,  1162,     6,     7,     8,
       9,  1130,   501,   502,   503,  1132,  1171,   225,   897,  1394,
    1172,  1395,  1381,  1213,  1214,  1215,  1216,  1592,  1320,  1309,
     882,  1309,  1309,  1309,  1593,  1309,  1309,  1148,  1149,  1595,
    1173,  1323,  1323,  1594,  1218,  1219,  1220,  1221,  1222,   221,
    1556,   256,   257,   258,   213,  1606,   213,  1181,   362,  1182,
     217,  1183,   217,  1596,  1597,  1598,   218,   220,   218,   220,
     882,   882,   882,   882,   882,   882,   882,  1612,   882,   882,
     510,   511,   835,   836,   837,   214,  1225,   213,   512,   513,
     514,   515,   516,   217,   424,   426,   428,   430,   223,   218,
     220,  1350,  1363,  1184,  1383,  1391,  1397,   704,  1185,   705,
    1190,   706,   707,   532,  1364,   533,  1384,  1392,  1398,   708,
     709,  1226,     3,   750,  1287,     4,   221,     5,   221,     3,
    1238,  1239,     4,   534,     5,   150,   151,   152,   884,  1240,
    1241,   535,   536,   537,   538,   226,   225,     6,     7,     8,
       9,  1227,   710,  1228,     6,     7,     8,     9,  1229,   221,
     836,   837,   214,  1244,   214,   362,  1394,  1230,  1395,   826,
     827,   828,  1270,  1417,  1418,   223,  1396,   223,   884,   884,
     884,   884,   884,   884,   884,  1236,   884,   884,  1498,  1499,
    1638,  1073,  1237,  1036,   213,   214,   224,  1050,  1502,  1242,
     217,  1716,  1717,  1243,    96,  1246,   218,   220,   223,  1074,
     882,   290,   291,   292,   293,   294,   295,  1527,   882,    97,
     545,   546,  1503,  1504,  1251,  1325,  1326,   362,  1252,  1253,
    1554,  1254,  1256,  1258,   547,    98,   548,   549,   550,   898,
      99,   854,   100,  1567,  1568,  1569,  1570,  1571,  1269,   898,
     898,  1276,  1750,  1278,  1490,  1280,   213,   882,  1284,   551,
     552,   553,   217,  1297,  1302,  1303,   221,  1304,   218,   220,
     897,  1307,  1305,   224,   226,   224,   437,   439,  1315,  1345,
     442,  1337,   444,  1404,  1407,   448,   449,  1405,  1406,   456,
     458,   460,   462,  1408,   362,  1415,   467,  1423,  1410,   470,
     472,  1424,   214,  1411,  1485,  1428,   224,   478,  1429,  1433,
    1492,  1493,  1494,  1439,  1442,   223,  1448,  1450,   884,  1451,
    1452,  1050,  1453,   213,  1517,  1455,   884,  1466,   221,   217,
    1467,  1477,  1522,  1529,  1491,   218,   220,  1505,  1363,  1497,
    1383,  1391,  1397,  1501,  1519,  1523,   225,  1533,  1524,  1534,
    1364,  1536,  1384,  1392,  1398,  1560,   213,  1506,  1507,  1542,
    1551,  1557,   217,  1566,   214,   884,  1573,  1575,   218,   220,
    1578,  1543,  1552,  1558,   736,  1665,  1584,   223,  1585,  1588,
    1590,   213,  1603,  1555,  1615,   379,  1617,   217,   455,   609,
    1622,  1666,  1624,   218,   220,   221,  1667,  1630,  1668,  1632,
     610,  1641,   611,    18,    19,  1634,  1639,   379,  1643,  1644,
    1650,   380,  1647,   224,  1651,  1652,  1662,  1679,  1653,  1654,
     612,  1658,  1659,   225,   613,   225,  1660,   614,   221,  1661,
    1683,   214,  1685,   380,  1604,  1605,  1628,  1693,  1696,  1697,
    1700,  1701,  1709,  1710,   223,  1633,  1711,  1724,  1608,  1729,
    1733,  1635,    34,   221,  1610,  1765,   225,  1611,  1763,   362,
    1614,    35,  1766,  1769,   214,  1786,    70,    36,  1399,  1542,
    1551,  1557,   917,  1621,   226,   224,  1521,   223,  1664,  1785,
    1742,  1543,  1552,  1558,  1768,  1663,  1764,   404,   213,   214,
     914,    37,  1474,   410,   217,  1461,  1098,  1587,   746,  1579,
     218,   220,   223,  1677,  1563,   213,   615,  1085,  1255,   882,
       3,   217,   457,     4,  1637,     5,   459,   218,   220,  1695,
    1636,  1470,  1472,  1472,  1475,  1122,   916,    18,    19,  1649,
    1703,    18,    19,  1734,  1313,     6,     7,     8,     9,   616,
     617,  1312,   224,  1316,  1314,  1328,  1128,  1331,   725,   215,
    1134,   226,  1191,   226,  1347,  1678,   688,  1682,  1296,  1435,
     221,  1449,   926,   225,   929,   906,  1686,  1687,  1688,  1689,
    1690,  1691,  1692,    73,  1694,   224,    34,   221,   453,    74,
      34,    75,   928,  1787,   366,    35,    76,    77,    78,    35,
      79,    36,   729,   734,  1545,    36,   214,  1009,   889,   362,
     224,  1546,  1224,   927,  1719,  1720,  1721,  1722,  1723,   223,
     738,   739,  1198,   214,   941,    37,     0,   884,     0,    37,
       0,     0,   618,     0,     0,   225,   223,     0,   213,     0,
       0,     0,   898,     0,   217,     0,     0,  1547,     0,     0,
     218,   220,     0,  1736,     0,  1383,  1391,  1397,     0,     0,
       0,  1747,  1751,  1755,  1759,  1737,     0,  1384,  1392,  1398,
       0,     0,     0,  1748,  1752,  1756,  1760,     0,     0,     0,
    1548,  1772,     0,     0,  1773,     0,     0,     0,  1774,  1775,
    1776,  1777,  1542,  1551,  1557,  1781,     0,     0,     0,  1782,
       0,   366,   225,  1783,  1543,  1552,  1558,  1784,     0,     0,
     221,     3,     0,     0,     4,     0,     5,   224,     0,     0,
    1788,     0,     0,     0,     0,     0,     0,  1789,  1790,  1791,
       0,     0,     0,     0,   224,   225,     6,     7,     8,     9,
     898,   898,   898,   898,   898,     0,   214,   898,  1045,     0,
    1047,     3,     0,     0,     4,     0,     5,     0,     0,   223,
     225,     0,     0,   366,     0,     0,  1063,  1064,     0,  1068,
       0,   898,     0,  1070,  1071,     0,     6,     7,     8,     9,
       0,  1549,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   898,     0,     0,     0,     0,     0,  1103,     0,  1538,
    1105,     0,    50,     0,     0,     0,  1012,  1013,     0,    80,
       0,     0,    61,    50,    50,    64,    64,    64,    68,  1014,
       0,    50,     0,     3,    81,     0,     4,  1015,     5,     0,
     366,     0,     0,     0,  1374,  1375,  1376,  1377,  1539,  1378,
      82,     0,  1379,  1016,     0,    83,     0,    84,     6,     7,
       8,     9,     0,     0,     0,     0,     0,   224,  1126,  1380,
       0,  1127,     0,   226,     0,     0,     0,   225,     0,     0,
       0,  1620,    50,     0,     0,   387,    50,    64,    64,    64,
      68,     0,     0,     0,   225,     0,     0,    50,   226,   401,
     405,   407,    50,   411,    64,    64,   416,     0,   401,   401,
     401,   401,     0,    64,     0,     0,   433,  1381,    50,     0,
       0,    64,    64,     0,    68,     0,     0,    64,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1158,  1159,     0,
       0,  1554,   461,     0,     0,     0,   474,    50,    64,    64,
       3,     0,    64,     4,    50,     5,     0,    18,    19,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1017,  1018,  1019,   667,     6,     7,     8,     9,     0,
       0,     0,  1540,     0,     0,     0,     0,   677,   678,   679,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     3,
       0,     0,     4,     0,     5,   366,    34,  1310,   898,  1310,
    1310,  1310,     0,  1310,  1310,    35,     0,   225,     0,  1324,
    1324,    36,   226,     0,     6,     7,     8,     9,     0,     0,
       0,   466,     0,     0,  1386,     0,  1387,     0,  1378,     3,
       0,  1379,     4,     0,     5,    37,    18,    19,   898,   898,
     898,   898,   898,   898,   898,     0,   898,   898,  1388,   660,
     661,     0,     0,     0,     6,     7,     8,     9,     0,     0,
       0,     0,  1778,   469,     0,     0,     0,     0,  1257,     0,
     662,     0,  1260,  1386,     0,  1387,     0,  1378,    18,    19,
    1379,  1273,  1274,  1275,  1555,    34,  1277,     0,  1279,   471,
       0,     0,     0,     0,    35,     0,  1389,  1388,  1285,     0,
      36,     0,  1740,     0,    18,    19,     3,     0,     0,     4,
       0,     5,     0,  1386,     0,  1387,     0,  1378,     0,   555,
    1379,   556,     0,   773,    37,     0,     0,    34,     0,     0,
    1306,     6,     7,     8,     9,   366,    35,  1388,     0,   557,
       0,  1321,    36,  1322,     0,  1389,     0,   558,   559,  1327,
     560,  1329,     0,    34,     0,     0,   150,   151,   152,     0,
     561,   562,    35,   863,     0,     0,    37,   864,    36,     0,
       0,   865,     0,     0,  1780,     0,     0,   866,   898,     0,
     663,   779,     0,     0,     0,  1389,   898,     0,     0,     0,
    1545,     0,    37,     0,     0,     0,     0,  1546,     0,     0,
       0,   869,     0,     0,   664,   665,   666,   667,   668,   669,
       0,   670,   671,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,     0,     0,   898,     0,     0,     0,     0,
       0,     0,     0,  1547,     0,     0,     0,     0,     0,   939,
       0,   680,     0,     0,     0,     0,    64,     0,     0,     3,
       0,     0,     4,     0,     5,     0,   946,     0,   947,     0,
     948,     0,   949,     0,     0,     0,  1548,   950,     0,     0,
     951,   145,   952,     0,     6,     7,     8,     9,   146,   147,
      64,   284,   148,   285,  1426,  1427,     0,     0,   974,   973,
       0,  1390,     0,     0,     0,     0,   286,     0,     0,   518,
     519,     0,   974,   520,  1436,     0,   287,   288,     0,     0,
    1441,   289,     0,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   290,   291,   292,   293,   294,   295,   782,     0,
       0,   783,   784,  1454,     0,     0,     0,  1366,     0,     0,
    1528,   296,     0,   297,     0,     0,   149,   150,   151,   152,
     975,     0,   153,     0,   154,     0,     0,  1367,   155,     0,
       0,   530,   156,     0,   975,     0,     0,  1549,   157,   785,
     786,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1741,     0,     0,     0,   158,     0,     0,     0,     0,   159,
       0,     0,   160,     0,     0,     0,     0,   161,     0,     0,
     162,     0,     0,   163,   164,     0,     0,   165,     0,     0,
     166,   208,   167,     0,     0,     0,     0,     0,     0,   976,
       0,     0,   977,   978,   979,   980,   981,   982,   983,   984,
     985,   986,     0,   976,   168,   169,   977,   978,   979,   980,
     981,   982,   983,   984,   985,   986,     0,     0,     0,     0,
       0,     0,     0,     0,  1564,     0,     0,  1779,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1576,     0,
     170,   171,   172,   173,     0,     0,     0,   898,     0,   174,
     175,  1580,     0,   176,   177,   298,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,     0,  -811,   299,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   300,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   301,   545,   546,     0,     0,     0,
     302,     0,     0,     0,     0,   303,     0,     0,     0,   547,
       0,   548,   549,   550,   201,   202,     0,   304,     0,     0,
     305,   306,   307,   308,     0,     0,     0,   309,     0,     0,
       0,   310,   311,   203,   551,   552,   553,   204,   205,     3,
       0,     0,     4,     0,     5,     0,   312,     0,     0,   206,
     207,     0,     0,     0,     0,     0,     0,     0,     0,   313,
    1368,   145,   208,   209,     6,     7,     8,     9,   146,   147,
       0,   284,   148,   285,     0,     0,     0,  -810,     0,     0,
       0,     0,     0,     0,     0,     0,   286,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   287,   288,     0,     0,
       0,   289,     0,     0,   518,   519,     0,     0,   520,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   521,   522,
     523,   524,   525,   526,   527,   528,   529,  1366,     0,     0,
       0,   296,   587,   297,     0,     0,   149,   150,   151,   152,
       0,   588,   153,     0,   154,     0,     0,  1367,   155,     0,
       0,     0,   156,     0,     0,     0,   589,     0,   157,     0,
     590,     0,     0,   591,   592,     0,   530,     0,   593,   594,
     595,   596,   597,     0,   158,     0,     0,     0,     0,   159,
       0,     0,   160,     0,     0,     0,     0,   161,     0,     0,
     162,   988,     0,   163,   164,     0,     0,   165,     0,     0,
     166,     0,   167,  1187,  1188,  1189,     0,   989,   990,   991,
     992,   993,   994,   995,   996,   997,   998,   999,  1000,  1001,
    1002,  1003,  1004,  1005,   168,   169,     0,     0,     0,     0,
      10,     0,     0,     0,     0,     0,    11,     0,    12,     0,
      13,     0,     0,    14,    15,    16,     0,    17,     0,     0,
       0,    18,    19,     0,     0,     0,     0,     0,     0,     0,
     170,   171,   172,   173,     0,     0,     0,     0,     0,   174,
     175,     0,     0,   176,   177,   298,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,     0,     0,   299,
      34,     0,     0,     0,     0,     0,     0,     0,     0,    35,
       0,     0,     0,     0,   300,    36,     0,     0,     0,     0,
       0,     0,     0,     0,   301,     0,     0,     0,     0,     0,
     302,     0,     0,     0,     0,   303,     0,     0,     0,    37,
       0,     0,     0,     0,   201,   202,     0,   304,     0,     0,
     305,   306,   307,   308,     0,     0,     0,   309,     0,     0,
       0,   310,   311,   203,     0,     0,     0,   204,   205,     3,
       0,     0,     4,     0,     5,     0,   312,     0,     0,   206,
     207,     0,     0,     0,     0,     0,     0,     0,     0,   313,
    1526,   145,   208,   209,     6,     7,     8,     9,   146,   147,
       0,   284,   148,   285,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   286,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   287,   288,     0,     0,
       0,   289,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,     0,     0,
       0,     0,     0,     0,     0,     0,    38,  1366,     0,     0,
       0,   296,     0,   297,     0,     0,   149,   150,   151,   152,
       0,    39,   153,     0,   154,     0,     0,  1367,   155,     0,
       0,     0,   156,     0,     0,     0,     0,    40,   157,     0,
       0,     0,    41,     0,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   158,     0,     0,     0,     0,   159,
       0,     0,   160,     0,     0,     0,     0,   161,     0,     0,
     162,     0,     0,   163,   164,     0,     0,   165,     0,     0,
     166,     0,   167,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   168,   169,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     104,     0,     0,     0,     0,     0,   105,   106,   107,   108,
       0,     0,   109,   110,     0,   111,   112,   113,     0,   114,
     170,   171,   172,   173,     0,     0,     0,     0,     0,   174,
     175,     0,     0,   176,   177,   298,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,     0,   115,   299,
     116,   117,   118,   771,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   300,     0,     0,     0,     0,   772,
       0,   145,     0,     0,   301,     0,     0,     0,     0,   147,
     302,     0,   148,     0,     0,   303,     0,     0,     0,     0,
       0,     0,     0,     0,   201,   202,     0,   304,     0,     0,
     305,   306,   307,   308,     0,     0,     0,   309,     0,     0,
       0,   310,   311,   203,   773,     0,     0,   204,   205,     0,
       0,     0,     0,     0,     0,     0,   312,     0,   774,   206,
     207,     0,     0,     0,     0,     0,     0,     0,     0,   313,
    1739,     0,   208,   209,     0,     0,   149,   150,   151,   152,
       0,     0,   153,     0,   775,     0,     0,     0,   776,     0,
       0,     0,   777,     0,     0,     0,     0,     0,   778,     0,
       0,     0,   779,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   158,     0,     0,     0,     0,   159,
       0,     0,   780,     0,     0,     0,     0,   161,     0,     0,
     162,     0,     0,   163,   164,     0,     0,   165,     0,     0,
     166,     0,   167,     0,     0,     0,   119,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   120,     0,     0,   168,   169,   121,   122,   123,   124,
       0,     0,     0,     0,     0,     0,     0,   125,     0,     0,
       0,     0,   126,     0,   127,   128,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     781,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,     0,     0,   200,
    1042,     0,     0,     0,     0,     0,     0,     0,     0,   782,
     735,     0,   783,   784,     0,     0,   772,     0,   145,     0,
       0,     0,     0,     0,     0,     0,   147,     0,     0,   148,
       0,     0,   660,   661,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   201,   202,     0,     0,     0,     0,
     785,   786,     0,   662,     0,     0,     0,     0,     0,     0,
       0,   773,     0,   203,     0,     0,     0,   204,   205,     0,
       0,     0,     0,     0,     0,     0,     0,   787,   788,     0,
     656,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   149,   150,   151,   152,     0,     0,   153,
       0,   775,     0,     0,     0,   776,   736,     0,     0,   777,
       0,     0,     0,     0,     0,  1043,     0,     0,     0,   779,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   158,     0,     0,     0,     0,   159,     0,     0,  1044,
       0,     0,     0,     0,   161,     0,     0,   162,     0,     0,
     163,   164,     0,     0,   165,     0,     0,   166,     0,   167,
       0,     0,     0,   663,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   168,   169,     0,     0,     0,     0,   664,   665,   666,
     667,   668,   669,   737,   670,   671,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   781,     0,     0,
       0,     0,     0,     0,   680,     0,     0,     0,     0,     0,
       0,     0,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,     0,     0,   200,  1104,     0,     0,
       0,     0,     0,     0,     0,     0,   782,     0,     0,   783,
     784,     0,     0,   772,     0,   145,     0,     0,     0,     0,
       0,     0,     0,   147,     0,     0,   148,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   201,   202,     0,     0,     0,     0,   785,   786,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   773,     0,
     203,     0,     0,     0,   204,   205,     0,     0,     0,     0,
       0,     0,     0,     0,   787,   788,     0,   656,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   208,
     149,   150,   151,   152,     0,     0,   153,     0,   775,     0,
       0,     0,   776,     0,     0,     0,   777,     0,     0,     0,
       0,     0,  1043,     0,     0,     0,   779,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   158,     0,
       0,     0,     0,   159,     0,     0,  1044,     0,     0,     0,
       0,   161,     0,     0,   162,     0,     0,   163,   164,     0,
       0,   165,     0,     0,   166,     0,   167,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   168,   169,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   781,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,     0,     0,   200,  1125,     0,     0,     0,     0,     0,
       0,     0,     0,   782,     0,     0,   783,   784,     0,     0,
     772,     0,   145,     0,     0,     0,     0,     0,     0,     0,
     147,     0,     0,   148,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   201,   202,
       0,     0,     0,     0,   785,   786,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   773,     0,   203,     0,     0,
       0,   204,   205,     0,     0,     0,     0,     0,     0,     0,
       0,   787,   788,     0,   656,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   149,   150,   151,
     152,     0,     0,   153,     0,   775,     0,     0,     0,   776,
       0,     0,     0,   777,     0,     0,     0,     0,     0,  1043,
       0,     0,     0,   779,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   158,     0,     0,     0,     0,
     159,     0,     0,  1044,     0,     0,     0,     0,   161,     0,
       0,   162,     0,     0,   163,   164,     0,     0,   165,     0,
       0,   166,     0,   167,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   168,   169,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   781,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,     0,     0,
     200,  1259,     0,     0,     0,     0,     0,     0,     0,     0,
     782,     0,     0,   783,   784,     0,     0,   772,     0,   145,
       0,     0,     0,     0,     0,     0,     0,   147,     0,     0,
     148,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   201,   202,     0,     0,     0,
       0,   785,   786,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   773,     0,   203,     0,     0,     0,   204,   205,
       0,     0,     0,     0,     0,     0,     0,     0,   787,   788,
       0,   656,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   208,   149,   150,   151,   152,     0,     0,
     153,     0,   775,     0,     0,     0,   776,     0,     0,     0,
     777,     0,     0,     0,     0,     0,  1043,     0,     0,     0,
     779,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   158,     0,     0,     0,     0,   159,     0,     0,
    1044,     0,     0,     0,     0,   161,     0,     0,   162,     0,
       0,   163,   164,     0,     0,   165,     0,     0,   166,     0,
     167,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   168,   169,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   781,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,     0,     0,   200,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   782,     0,     0,
     783,   784,   857,   858,   859,   860,   861,   862,     0,     0,
       0,     0,     0,     0,   772,     0,   842,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   201,   202,     0,     0,     0,     0,   785,   786,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   203,     0,     0,     0,   204,   205,     0,     0,   773,
       0,   772,     0,   842,     0,   787,   788,     0,   656,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   149,   150,   151,   152,     0,     0,     0,     0,   863,
       0,     0,     0,   864,     0,     0,   773,   865,   772,     0,
       0,     0,     0,   866,     0,     0,     0,   779,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   867,
       0,     0,     0,     0,   868,     0,     0,   869,   149,   150,
     151,   152,   870,     0,     0,   871,   863,     0,   872,   873,
     864,     0,   874,   773,   865,   875,     0,   876,     0,     0,
     866,     0,     0,     0,   779,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   867,     0,     0,   877,
     878,   868,     0,     0,   869,   149,   150,   151,   152,   870,
       0,     0,   871,   863,     0,   872,   873,   864,     0,   874,
       0,   865,   875,     0,   876,     0,     0,   866,     0,     0,
       0,   779,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   867,     0,     0,   877,   878,   868,     0,
       0,   869,     0,     0,     0,     0,   870,     0,     0,   871,
       0,     0,   872,   873,     0,     0,   874,     0,     0,   875,
       0,   876,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   782,     0,     0,   783,   784,     0,
       0,     0,     0,   877,   878,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   785,   786,     0,   879,     0,
       0,   782,     0,     0,   783,   784,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   772,
       0,     0,   787,   788,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   313,     0,     0,   208,   880,     0,
       0,     0,   785,   786,     0,   879,     0,     0,   782,     0,
       0,   783,   784,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   773,     0,     0,     0,     0,   787,
     788,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   313,     0,     0,   208,   880,     0,     0,     0,   785,
     786,     0,   879,     0,     0,     0,   149,   150,   151,   152,
       0,     0,     0,     0,   863,     0,     0,     0,   864,     0,
       0,     0,   865,     0,     0,     0,   787,   788,   866,     0,
       0,     0,   779,     0,     0,     0,     0,     0,   313,     0,
       0,   208,   880,     0,   867,     0,     0,     0,     0,   868,
       0,     0,   869,     0,     0,     0,     0,   870,     0,     0,
     871,     0,     0,   872,   873,     0,   772,   874,   145,     0,
     875,     0,   876,     0,     0,     0,   147,     0,     0,   148,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   877,   878,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   773,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   149,   150,   151,   152,     0,     0,   153,
       0,   775,     0,     0,     0,   776,     0,     0,     0,   777,
       0,     0,     0,     0,     0,  1043,     0,     0,     0,   779,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   782,
       0,   158,   783,   784,     0,     0,   159,     0,     0,  1044,
       0,     0,     0,     0,   161,     0,     0,   162,     0,     0,
     163,   164,     0,     0,   165,     0,     0,   166,     0,   167,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     785,   786,     0,   879,     0,     0,     0,     0,     0,     0,
       0,   168,   169,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   787,   788,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   880,     0,     0,     0,   781,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,     0,     0,   200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   782,     0,     0,   783,
     784,     0,     0,     0,     0,   145,     0,     0,     0,     0,
       0,     0,   146,   147,     0,   284,   148,   285,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     286,   201,   202,     0,     0,     0,     0,   785,   786,     0,
     287,   288,     0,     0,   650,   289,     0,     0,     0,     0,
     203,     0,     0,     0,   204,   205,   290,   291,   292,   293,
     294,   295,     0,     0,   787,   788,     0,   656,     0,     0,
     651,     0,     0,   652,     0,   296,     0,   297,     0,   208,
     149,   150,   151,   152,     0,     0,   153,     0,   154,     0,
     653,     0,   155,     0,     0,     0,   156,     0,     0,     0,
       0,     0,   157,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   158,     0,
       0,     0,     0,   159,     0,     0,   160,     0,     0,     0,
       0,   161,     0,     0,   162,     0,     0,   163,   164,     0,
       0,   165,     0,     0,   166,     0,   167,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   168,   169,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   170,   171,   172,   173,     0,     0,
       0,     0,     0,   174,   175,     0,     0,   176,   177,   298,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,     0,     0,   299,   654,     0,     0,     0,     0,     0,
       0,   201,   202,     0,     0,     0,     0,     0,   300,     0,
       0,   655,     0,     0,   145,     0,     0,     0,   301,     0,
       0,   146,   147,     0,   302,   148,     0,     0,     0,   303,
       0,     0,     0,     0,     0,     0,     0,   656,   201,   202,
       0,   304,     0,     0,   305,   306,   307,   308,     0,     0,
       0,   309,     0,     0,     0,   310,   311,   203,     0,     0,
       0,   204,   205,     0,     0,     0,     0,     0,     0,     0,
     312,     0,     0,   206,   207,     0,     0,     0,     0,     0,
       0,     0,     0,   313,     0,     0,   208,   209,     0,   149,
     150,   151,   152,     0,     0,   153,     0,   154,     0,     0,
       0,   155,     0,     0,     0,   156,     0,     0,     0,     0,
       0,   157,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   158,     0,     0,
       0,     0,   159,     0,     0,   160,     0,     0,     0,     0,
     161,     0,     0,   162,     0,     0,   163,   164,     0,     0,
     165,     0,     0,   166,     0,   167,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   168,   169,     0,
       0,     0,     0,     0,     0,     0,   145,     0,     0,     0,
       0,     0,     0,   146,   147,     0,     0,   148,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   170,   171,   172,   173,     0,     0,     0,
       0,     0,   174,   175,     0,     0,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
       0,     0,   200,     0,     0,     0,     0,     0,     0,     0,
       0,   149,   150,   151,   152,     0,     0,   153,     0,   154,
       0,     0,     0,   155,     0,     0,     0,   156,     0,     0,
       0,     0,     0,   157,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   201,   202,   158,
       0,     0,     0,     0,   159,     0,     0,   160,     0,     0,
       0,     0,   161,     0,     0,   162,   203,     0,   163,   164,
     204,   205,   165,     0,     0,   166,     0,   167,     0,     0,
       0,     0,   206,   207,     0,     0,     0,     0,     0,     0,
       0,     0,   313,     0,     0,   208,   209,     0,     0,   168,
     169,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   170,   171,   172,   173,     0,
       0,     0,     0,     0,   174,   175,     0,     0,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,     0,     0,   200,   145,     0,     0,     0,     0,
       0,     0,     0,   147,     0,     0,   148,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   733,     0,     0,     0,     0,     0,     0,   773,   201,
     202,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   651,   203,     0,
     652,     0,   204,   205,     0,     0,     0,     0,     0,     0,
     149,   150,   151,   152,   206,   207,   153,   653,   775,     0,
       0,     0,   776,     0,     0,     0,   777,   208,   209,     0,
       0,     0,  1043,     0,     0,     0,   779,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   158,     0,
       0,     0,     0,   159,     0,     0,  1044,     0,     0,     0,
       0,   161,     0,     0,   162,     0,     0,   163,   164,     0,
       0,   165,     0,     0,   166,     0,   167,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   168,   169,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,     0,     0,     0,   781,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   654,     0,   200,     0,     0,     0,     0,   201,   202,
       0,     0,     0,   782,     0,     0,   783,   784,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   656,     0,     0,     0,   201,   202,
       0,     0,     0,     0,   785,   786,     0,     0,     0,     2,
       3,     0,     0,     4,     0,     5,     0,   203,     0,     0,
       0,   204,   205,     0,     0,     0,     0,     0,     0,     0,
       0,   787,   788,     0,   656,     6,     7,     8,     9,     0,
       0,     0,     0,     0,    10,     0,   208,     0,     0,     0,
      11,     0,    12,     0,    13,     0,     0,    14,    15,    16,
       0,    17,     0,     0,     0,    18,    19,    20,     0,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,     0,     0,   773,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  -305,     0,
       0,     0,     0,     0,    34,     0,   149,   150,   151,   152,
       0,     0,     0,    35,   863,     0,     0,     0,   864,    36,
       0,   773,   865,     0,     0,     0,     0,     0,   866,     0,
       0,     0,   779,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    37,   867,     0,     0,     0,     0,   868,
       0,     0,   869,   149,   150,   151,   152,   870,     0,     0,
     871,   863,     0,   872,   873,   864,     0,   874,     0,   865,
     875,     0,   876,     0,     0,   866,     0,     0,     0,   779,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   867,     0,     0,   877,   878,   868,     0,     0,   869,
       0,     0,     0,     0,   870,     0,     0,   871,     0,     0,
     872,   873,     0,     0,   874,     0,     0,   875,     0,   876,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   877,   878,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      38,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    39,     0,     0,     0,   782,
       0,     0,   783,   784,     0,     0,     0,     0,     0,     0,
       0,    40,     0,     0,     0,     0,    41,     0,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     785,   786,     0,   879,     0,     0,   782,     0,     0,   783,
     784,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   787,   788,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   880,     0,     0,     0,   785,   786,     0,
     879,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   787,   788,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   208,
     880
};

static const yytype_int16 yycheck[] =
{
       1,   316,     3,   204,   388,   315,    52,   916,   390,   338,
     389,    32,     1,    30,    66,   392,   926,    63,   929,    30,
     391,   928,   751,   358,   927,    30,    30,   209,   358,   284,
     358,   344,   414,   368,   369,    52,  1166,  1133,   368,   369,
      66,    52,  1131,   878,  1170,    46,    63,    52,    52,   431,
    1171,     5,    63,    54,  1172,    23,   311,    58,    63,    63,
     718,  1406,   106,  1173,   108,   109,  1074,  1075,   112,  1287,
     114,  1256,  1080,   117,   118,    41,   331,   121,   122,   123,
     124,    52,     7,     7,   128,    30,     7,   131,   132,     7,
      92,    23,    63,    53,    22,   139,   754,  1242,  1243,   140,
       1,   855,   358,     4,   762,     6,    99,    52,   766,  1388,
      23,  1334,   368,   369,     1,    32,  1414,     4,    63,     6,
    1404,    30,    99,    99,   851,    26,    27,    28,    29,    98,
    1547,  1405,   178,  1141,    30,    85,  1265,    13,     4,    26,
      27,    28,    29,    52,   852,    85,    85,    20,   109,    20,
     157,   853,    15,    16,    63,   681,    52,   109,   121,    74,
      75,     5,   277,    85,   138,     8,    88,    63,   129,     1,
      98,    99,     4,   109,     6,   849,   850,   159,   293,    99,
     154,   142,   164,    84,    85,    86,    87,   204,    89,    53,
     100,    92,   209,   204,    26,    27,    28,    29,   209,   204,
     204,   109,    49,    80,   209,   209,    45,    50,   109,     8,
      86,    98,   738,    76,    77,    78,    54,   125,   259,   260,
      54,   228,   229,   230,   160,   161,    99,    53,    99,    92,
      93,    94,    30,    99,   255,    99,     7,     8,     9,   102,
     261,   293,   294,   120,    80,    45,    58,   110,   111,   157,
     316,    50,   298,   116,    52,   122,   157,    89,     1,   204,
     326,     4,    43,     6,   209,    63,    85,   144,    99,    88,
     316,   929,  1402,    99,   137,   138,  1693,    48,   141,    50,
     147,    85,    94,    26,    27,    28,    29,    53,    59,   350,
     242,   243,   344,    64,  1048,   204,   128,    68,   122,   316,
     209,   342,   279,   279,   351,   316,  1435,     4,   204,     6,
    1106,   316,   316,   209,   277,    80,   350,  1113,   268,     1,
     270,   238,     4,   147,     6,  1623,   295,   288,   268,   268,
     270,   270,   358,    99,  1613,   285,   351,  1433,   390,   385,
      37,   358,   368,   369,    26,    27,    28,    29,    41,   351,
       1,   368,   369,     4,   400,     6,    99,   100,   101,   127,
    1114,   354,   414,  1586,   390,   138,  1711,  1585,   385,  1458,
     143,   316,   332,   333,   385,    26,    27,    28,    29,   431,
     385,   385,    30,   400,    35,   351,   354,   227,   414,   400,
    1575,  1536,    43,  1051,  1052,   400,   400,    48,   352,    50,
    1235,    52,   446,    85,    52,   431,   204,   316,   295,   296,
      92,   209,   334,   227,   385,    63,   751,   261,    85,   351,
     316,   349,   354,  1150,   327,  1709,   354,   352,   352,   400,
     262,   352,   276,  1107,   352,  1443,  1710,   208,   351,   354,
     385,   354,     1,  1151,   336,     4,   128,     6,   292,   358,
    1152,   352,     4,   297,     6,   400,  1464,   276,     1,   368,
     369,     4,    79,     6,   268,   352,   270,    26,    27,    28,
      29,     8,   278,   802,  1148,  1149,   385,    80,    95,   161,
     316,   317,   318,    26,    27,    28,    29,    24,    20,   385,
      22,   400,    35,  1582,   277,   751,   113,   335,   336,   337,
      43,   335,   336,   337,   400,    48,   157,    50,   352,    52,
      30,     1,    98,    50,     4,   334,     6,   120,   316,    98,
     352,   856,   293,   294,   725,  1651,   297,   136,   856,    98,
      89,  1652,    52,   713,   714,  1653,    26,    27,    28,    29,
     149,   144,   855,    63,  1654,    53,    36,   120,   277,   106,
     880,   316,   317,   318,   120,   164,   204,   351,  1287,    73,
     354,   209,  1263,   120,    12,   900,  1295,    53,    80,   128,
     328,   144,   900,   331,   140,   111,     5,  1707,   144,     8,
     262,   154,   445,    22,    36,    37,    25,   385,  1289,  1290,
     126,    99,   106,   849,   850,   851,   852,   853,    41,    42,
     856,   268,   400,   270,   334,  1334,   120,   107,   108,   352,
     261,   147,   106,    99,   157,     4,   479,   153,    39,    40,
      41,    42,     7,    71,   880,   276,   120,    75,    41,     1,
     401,   310,     4,   404,     6,    20,   407,    22,  1646,    17,
     411,   292,    90,    91,   900,   416,   297,     0,   299,    18,
     164,     4,    73,     6,    26,    27,    28,    29,   157,   107,
      81,    82,    83,    84,    20,   109,    22,    88,   316,   353,
     352,    48,   854,   277,  1375,  1376,    97,    98,    99,   100,
      48,   125,   351,   104,   204,  1386,   130,   131,   136,   209,
     711,   295,   296,   259,   260,   143,    36,   233,   234,   120,
      41,   352,   311,   262,   125,   126,   127,   351,   725,   130,
     481,   351,   133,   351,   725,    41,    99,    43,   261,  1727,
     725,   725,    48,   351,    50,   751,   178,   179,    54,   129,
      53,   245,    41,   276,   751,  1048,   147,   385,   238,   239,
     123,   124,   242,   923,   924,   925,   157,   158,    41,   292,
      56,    57,   400,     7,   297,     8,   299,   937,   357,     1,
     160,   161,     4,   163,     6,    99,  1076,    93,   357,    95,
     125,   344,  1027,   276,   129,   345,   342,   327,   281,   282,
     725,   129,   327,   227,    26,    27,    28,    29,   287,   288,
     289,   290,   291,   352,   297,  1704,   316,  1126,    98,   105,
     356,  1114,  1712,   855,  1715,   160,   161,  1714,   114,   352,
    1713,   278,   160,   161,   120,   293,   725,  1147,  1481,  1482,
    1483,  1484,    80,  1153,    23,  1155,  1156,    92,    23,   725,
     856,    48,   849,   850,   851,   852,   853,   854,   144,   856,
     188,    48,   751,   854,  1545,    48,   267,   268,   269,   854,
     854,  1107,     4,  1054,     6,   238,     8,  1586,   160,   161,
     125,    48,   352,   880,    48,   385,   211,   109,   222,    98,
     215,   216,   217,   221,   900,   258,   259,   231,   232,    80,
     400,   235,   236,   900,     4,     1,     6,     7,     4,    98,
       6,  1147,  1148,  1149,  1150,  1151,  1152,  1153,    98,  1155,
    1156,    98,   903,    58,    59,   906,   278,    98,    63,   854,
      26,    27,    28,    29,    17,   180,   181,   182,   183,   184,
     185,    98,    38,    18,    40,   353,     1,   725,     5,     4,
    1131,     6,  1133,  1596,  1597,  1598,     7,   109,   348,   349,
     849,   850,   851,   852,   853,   854,     7,   856,   278,   279,
     122,    26,    27,    28,    29,     7,  1271,   129,   854,    80,
    1295,     1,    41,     7,     4,   109,     6,   111,   112,   113,
      98,   880,   393,   394,   395,   147,    98,    56,    57,     5,
     352,   153,     7,  1293,    15,    16,    26,    27,    28,    29,
       7,   900,   132,   133,   134,   135,  1048,   122,  1327,  1334,
    1329,   422,   351,  1358,  1359,  1360,  1361,   295,   296,    84,
      85,    86,    87,   138,    89,   295,   296,    92,  1333,     7,
     262,    17,   147,    81,    82,    83,   105,    85,   153,   154,
       8,  1287,   453,    18,   109,   114,   353,  1054,    35,  1295,
     351,   120,     1,  1054,    41,     4,    43,     6,    45,  1054,
    1054,    48,    49,    50,   351,    52,   854,  1715,  1716,   102,
     103,   104,  1114,    15,    16,   144,    98,    26,    27,    28,
      29,   842,   107,   108,   109,   846,   351,   725,  1334,    38,
     351,    40,   157,   206,   207,   208,   209,  1471,  1114,  1106,
    1107,  1108,  1109,  1110,  1473,  1112,  1113,    15,    16,  1476,
     351,  1118,  1119,  1474,   210,   211,   212,   213,   214,  1054,
     352,   335,   336,   337,  1131,  1497,  1133,    98,  1164,    98,
    1131,    98,  1133,  1478,  1479,  1480,  1131,  1131,  1133,  1133,
    1147,  1148,  1149,  1150,  1151,  1152,  1153,  1519,  1155,  1156,
     107,   108,   320,   321,   322,  1054,   215,  1164,   115,   116,
     117,   118,   119,  1164,    97,    98,    99,   100,  1054,  1164,
    1164,  1162,  1163,    98,  1165,  1166,  1167,    42,    98,    44,
      98,    46,    47,   109,  1163,   111,  1165,  1166,  1167,    54,
      55,   218,     1,     4,     5,     4,  1131,     6,  1133,     1,
     107,   108,     4,   129,     6,    99,   100,   101,  1107,   107,
     108,   137,   138,   139,   140,   725,   854,    26,    27,    28,
      29,   218,    87,   219,    26,    27,    28,    29,   220,  1164,
     321,   322,  1131,   328,  1133,  1271,    38,   219,    40,   316,
     317,   318,  1433,   107,   108,  1131,   352,  1133,  1147,  1148,
    1149,  1150,  1151,  1152,  1153,    98,  1155,  1156,    90,    91,
    1565,  1586,    98,   293,  1271,  1164,  1054,  1458,    99,    98,
    1271,    39,    40,    98,   261,    98,  1271,  1271,  1164,  1295,
    1287,    74,    75,    76,    77,    78,    79,   352,  1295,   276,
     107,   108,   123,   124,   351,  1118,  1119,  1333,   351,   351,
     109,    98,    98,     5,   121,   292,   123,   124,   125,   358,
     297,     8,   299,   304,   305,   306,   307,   308,    98,   368,
     369,    98,   352,    48,  1366,    98,  1333,  1334,    39,   146,
     147,   148,  1333,   143,   109,   109,  1271,    66,  1333,  1333,
    1586,     5,   109,  1131,   854,  1133,   108,   109,    98,    98,
     112,   356,   114,   351,     7,   117,   118,   351,   351,   121,
     122,   123,   124,     7,  1400,    98,   128,   279,   358,   131,
     132,    98,  1271,   358,  1365,     5,  1164,   139,    99,   351,
    1371,  1372,  1373,   298,    39,  1271,   278,     7,  1287,    99,
      99,  1582,    99,  1400,  1385,     5,  1295,    98,  1333,  1400,
      37,    99,  1393,   352,    99,  1400,  1400,   238,  1399,   350,
    1401,  1402,  1403,    98,   350,    99,  1054,    98,   350,    98,
    1399,    98,  1401,  1402,  1403,    98,  1433,   258,   259,  1420,
    1421,  1422,  1433,   352,  1333,  1334,   294,    98,  1433,  1433,
      98,  1420,  1421,  1422,   181,   276,   352,  1333,     5,   179,
      98,  1458,    38,   262,   145,  1497,   351,  1458,    41,   109,
       7,   292,   350,  1458,  1458,  1400,   297,    98,   299,    98,
     120,    98,   122,    56,    57,   100,   294,  1519,   279,   352,
     351,  1497,   178,  1271,   351,   351,    99,    99,   351,   351,
     140,   351,   351,  1131,   144,  1133,   351,   147,  1433,   351,
      98,  1400,   351,  1519,  1495,  1496,  1540,   128,   352,    98,
      98,   352,   351,   351,  1400,  1549,   351,    98,  1509,    99,
     278,  1555,   105,  1458,  1515,    98,  1164,  1518,   350,  1565,
    1521,   114,    98,     5,  1433,    98,    20,   120,  1169,  1530,
    1531,  1532,   387,   352,  1054,  1333,  1389,  1433,  1609,  1763,
     352,  1530,  1531,  1532,  1727,  1607,  1718,    89,  1565,  1458,
     384,   144,  1354,    91,  1565,  1332,   767,  1464,   303,  1450,
    1565,  1565,  1458,  1615,  1425,  1582,   226,   759,  1036,  1586,
       1,  1582,    41,     4,  1562,     6,    41,  1582,  1582,  1636,
    1561,  1352,  1353,  1354,  1355,   823,   386,    56,    57,  1590,
    1649,    56,    57,  1703,  1109,    26,    27,    28,    29,   259,
     260,  1108,  1400,  1112,  1110,  1124,   838,  1129,   286,    30,
     847,  1131,   956,  1133,  1156,  1616,   204,  1618,  1080,  1272,
    1565,  1293,   396,  1271,   399,   369,  1627,  1628,  1629,  1630,
    1631,  1632,  1633,    35,  1635,  1433,   105,  1582,   119,    41,
     105,    43,   398,  1770,  1164,   114,    48,    49,    50,   114,
      52,   120,   294,   298,    85,   120,  1565,   619,   358,  1705,
    1458,    92,   991,   397,  1665,  1666,  1667,  1668,  1669,  1565,
     299,   299,   973,  1582,   446,   144,    -1,  1586,    -1,   144,
      -1,    -1,   342,    -1,    -1,  1333,  1582,    -1,  1705,    -1,
      -1,    -1,   751,    -1,  1705,    -1,    -1,   128,    -1,    -1,
    1705,  1705,    -1,  1704,    -1,  1706,  1707,  1708,    -1,    -1,
      -1,  1712,  1713,  1714,  1715,  1704,    -1,  1706,  1707,  1708,
      -1,    -1,    -1,  1712,  1713,  1714,  1715,    -1,    -1,    -1,
     161,  1732,    -1,    -1,  1735,    -1,    -1,    -1,  1739,  1740,
    1741,  1742,  1743,  1744,  1745,  1746,    -1,    -1,    -1,  1750,
      -1,  1271,  1400,  1754,  1743,  1744,  1745,  1758,    -1,    -1,
    1705,     1,    -1,    -1,     4,    -1,     6,  1565,    -1,    -1,
    1771,    -1,    -1,    -1,    -1,    -1,    -1,  1778,  1779,  1780,
      -1,    -1,    -1,    -1,  1582,  1433,    26,    27,    28,    29,
     849,   850,   851,   852,   853,    -1,  1705,   856,   722,    -1,
     724,     1,    -1,    -1,     4,    -1,     6,    -1,    -1,  1705,
    1458,    -1,    -1,  1333,    -1,    -1,   740,   741,    -1,   743,
      -1,   880,    -1,   747,   748,    -1,    26,    27,    28,    29,
      -1,   262,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   900,    -1,    -1,    -1,    -1,    -1,   771,    -1,    89,
     774,    -1,     1,    -1,    -1,    -1,   107,   108,    -1,   261,
      -1,    -1,    11,    12,    13,    14,    15,    16,    17,   120,
      -1,    20,    -1,     1,   276,    -1,     4,   128,     6,    -1,
    1400,    -1,    -1,    -1,    84,    85,    86,    87,   128,    89,
     292,    -1,    92,   144,    -1,   297,    -1,   299,    26,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,  1705,   832,   109,
      -1,   835,    -1,  1433,    -1,    -1,    -1,  1565,    -1,    -1,
      -1,   352,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    -1,    -1,    -1,  1582,    -1,    -1,    86,  1458,    88,
      89,    90,    91,    92,    93,    94,    95,    -1,    97,    98,
      99,   100,    -1,   102,    -1,    -1,   105,   157,   107,    -1,
      -1,   110,   111,    -1,   113,    -1,    -1,   116,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   901,   902,    -1,
      -1,   109,    41,    -1,    -1,    -1,   135,   136,   137,   138,
       1,    -1,   141,     4,   143,     6,    -1,    56,    57,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   262,   263,   264,   265,    26,    27,    28,    29,    -1,
      -1,    -1,   262,    -1,    -1,    -1,    -1,   278,   279,   280,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     1,
      -1,    -1,     4,    -1,     6,  1565,   105,  1106,  1107,  1108,
    1109,  1110,    -1,  1112,  1113,   114,    -1,  1705,    -1,  1118,
    1119,   120,  1582,    -1,    26,    27,    28,    29,    -1,    -1,
      -1,    41,    -1,    -1,    85,    -1,    87,    -1,    89,     1,
      -1,    92,     4,    -1,     6,   144,    56,    57,  1147,  1148,
    1149,  1150,  1151,  1152,  1153,    -1,  1155,  1156,   109,   107,
     108,    -1,    -1,    -1,    26,    27,    28,    29,    -1,    -1,
      -1,    -1,   352,    41,    -1,    -1,    -1,    -1,  1042,    -1,
     128,    -1,  1046,    85,    -1,    87,    -1,    89,    56,    57,
      92,  1055,  1056,  1057,   262,   105,  1060,    -1,  1062,    41,
      -1,    -1,    -1,    -1,   114,    -1,   157,   109,  1072,    -1,
     120,    -1,   352,    -1,    56,    57,     1,    -1,    -1,     4,
      -1,     6,    -1,    85,    -1,    87,    -1,    89,    -1,   109,
      92,   111,    -1,    66,   144,    -1,    -1,   105,    -1,    -1,
    1104,    26,    27,    28,    29,  1705,   114,   109,    -1,   129,
      -1,  1115,   120,  1117,    -1,   157,    -1,   137,   138,  1123,
     140,  1125,    -1,   105,    -1,    -1,    99,   100,   101,    -1,
     150,   151,   114,   106,    -1,    -1,   144,   110,   120,    -1,
      -1,   114,    -1,    -1,   352,    -1,    -1,   120,  1287,    -1,
     238,   124,    -1,    -1,    -1,   157,  1295,    -1,    -1,    -1,
      85,    -1,   144,    -1,    -1,    -1,    -1,    92,    -1,    -1,
      -1,   144,    -1,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,    -1,
     278,   279,   280,    -1,    -1,  1334,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   128,    -1,    -1,    -1,    -1,    -1,   438,
      -1,   299,    -1,    -1,    -1,    -1,   445,    -1,    -1,     1,
      -1,    -1,     4,    -1,     6,    -1,   455,    -1,   457,    -1,
     459,    -1,   461,    -1,    -1,    -1,   161,   466,    -1,    -1,
     469,    23,   471,    -1,    26,    27,    28,    29,    30,    31,
     479,    33,    34,    35,  1258,  1259,    -1,    -1,    36,    23,
      -1,   352,    -1,    -1,    -1,    -1,    48,    -1,    -1,   107,
     108,    -1,    36,   111,  1278,    -1,    58,    59,    -1,    -1,
    1284,    63,    -1,   121,   122,   123,   124,   125,   126,   127,
     128,   129,    74,    75,    76,    77,    78,    79,   271,    -1,
      -1,   274,   275,  1307,    -1,    -1,    -1,    89,    -1,    -1,
     352,    93,    -1,    95,    -1,    -1,    98,    99,   100,   101,
      98,    -1,   104,    -1,   106,    -1,    -1,   109,   110,    -1,
      -1,   169,   114,    -1,    98,    -1,    -1,   262,   120,   312,
     313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     352,    -1,    -1,    -1,   136,    -1,    -1,    -1,    -1,   141,
      -1,    -1,   144,    -1,    -1,    -1,    -1,   149,    -1,    -1,
     152,    -1,    -1,   155,   156,    -1,    -1,   159,    -1,    -1,
     162,   354,   164,    -1,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   167,   186,   187,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1428,    -1,    -1,   352,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1442,    -1,
     222,   223,   224,   225,    -1,    -1,    -1,  1586,    -1,   231,
     232,  1455,    -1,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,    -1,    80,   261,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   276,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   286,   107,   108,    -1,    -1,    -1,
     292,    -1,    -1,    -1,    -1,   297,    -1,    -1,    -1,   121,
      -1,   123,   124,   125,   306,   307,    -1,   309,    -1,    -1,
     312,   313,   314,   315,    -1,    -1,    -1,   319,    -1,    -1,
      -1,   323,   324,   325,   146,   147,   148,   329,   330,     1,
      -1,    -1,     4,    -1,     6,    -1,   338,    -1,    -1,   341,
     342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   351,
     352,    23,   354,   355,    26,    27,    28,    29,    30,    31,
      -1,    33,    34,    35,    -1,    -1,    -1,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    48,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    58,    59,    -1,    -1,
      -1,    63,    -1,    -1,   107,   108,    -1,    -1,   111,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    79,   121,   122,
     123,   124,   125,   126,   127,   128,   129,    89,    -1,    -1,
      -1,    93,   129,    95,    -1,    -1,    98,    99,   100,   101,
      -1,   138,   104,    -1,   106,    -1,    -1,   109,   110,    -1,
      -1,    -1,   114,    -1,    -1,    -1,   153,    -1,   120,    -1,
     157,    -1,    -1,   160,   161,    -1,   169,    -1,   165,   166,
     167,   168,   169,    -1,   136,    -1,    -1,    -1,    -1,   141,
      -1,    -1,   144,    -1,    -1,    -1,    -1,   149,    -1,    -1,
     152,   173,    -1,   155,   156,    -1,    -1,   159,    -1,    -1,
     162,    -1,   164,   942,   943,   944,    -1,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   186,   187,    -1,    -1,    -1,    -1,
      35,    -1,    -1,    -1,    -1,    -1,    41,    -1,    43,    -1,
      45,    -1,    -1,    48,    49,    50,    -1,    52,    -1,    -1,
      -1,    56,    57,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     222,   223,   224,   225,    -1,    -1,    -1,    -1,    -1,   231,
     232,    -1,    -1,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,    -1,    -1,   261,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   114,
      -1,    -1,    -1,    -1,   276,   120,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   286,    -1,    -1,    -1,    -1,    -1,
     292,    -1,    -1,    -1,    -1,   297,    -1,    -1,    -1,   144,
      -1,    -1,    -1,    -1,   306,   307,    -1,   309,    -1,    -1,
     312,   313,   314,   315,    -1,    -1,    -1,   319,    -1,    -1,
      -1,   323,   324,   325,    -1,    -1,    -1,   329,   330,     1,
      -1,    -1,     4,    -1,     6,    -1,   338,    -1,    -1,   341,
     342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   351,
     352,    23,   354,   355,    26,    27,    28,    29,    30,    31,
      -1,    33,    34,    35,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    48,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    58,    59,    -1,    -1,
      -1,    63,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   261,    89,    -1,    -1,
      -1,    93,    -1,    95,    -1,    -1,    98,    99,   100,   101,
      -1,   276,   104,    -1,   106,    -1,    -1,   109,   110,    -1,
      -1,    -1,   114,    -1,    -1,    -1,    -1,   292,   120,    -1,
      -1,    -1,   297,    -1,   299,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   136,    -1,    -1,    -1,    -1,   141,
      -1,    -1,   144,    -1,    -1,    -1,    -1,   149,    -1,    -1,
     152,    -1,    -1,   155,   156,    -1,    -1,   159,    -1,    -1,
     162,    -1,   164,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   186,   187,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      35,    -1,    -1,    -1,    -1,    -1,    41,    42,    43,    44,
      -1,    -1,    47,    48,    -1,    50,    51,    52,    -1,    54,
     222,   223,   224,   225,    -1,    -1,    -1,    -1,    -1,   231,
     232,    -1,    -1,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,    -1,    93,   261,
      95,    96,    97,     5,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   276,    -1,    -1,    -1,    -1,    21,
      -1,    23,    -1,    -1,   286,    -1,    -1,    -1,    -1,    31,
     292,    -1,    34,    -1,    -1,   297,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   306,   307,    -1,   309,    -1,    -1,
     312,   313,   314,   315,    -1,    -1,    -1,   319,    -1,    -1,
      -1,   323,   324,   325,    66,    -1,    -1,   329,   330,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   338,    -1,    80,   341,
     342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   351,
     352,    -1,   354,   355,    -1,    -1,    98,    99,   100,   101,
      -1,    -1,   104,    -1,   106,    -1,    -1,    -1,   110,    -1,
      -1,    -1,   114,    -1,    -1,    -1,    -1,    -1,   120,    -1,
      -1,    -1,   124,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   136,    -1,    -1,    -1,    -1,   141,
      -1,    -1,   144,    -1,    -1,    -1,    -1,   149,    -1,    -1,
     152,    -1,    -1,   155,   156,    -1,    -1,   159,    -1,    -1,
     162,    -1,   164,    -1,    -1,    -1,   261,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   276,    -1,    -1,   186,   187,   281,   282,   283,   284,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   292,    -1,    -1,
      -1,    -1,   297,    -1,   299,   300,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,    -1,    -1,   261,
       5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,
      85,    -1,   274,   275,    -1,    -1,    21,    -1,    23,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    31,    -1,    -1,    34,
      -1,    -1,   107,   108,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   306,   307,    -1,    -1,    -1,    -1,
     312,   313,    -1,   128,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    66,    -1,   325,    -1,    -1,    -1,   329,   330,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   339,   340,    -1,
     342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   354,    98,    99,   100,   101,    -1,    -1,   104,
      -1,   106,    -1,    -1,    -1,   110,   181,    -1,    -1,   114,
      -1,    -1,    -1,    -1,    -1,   120,    -1,    -1,    -1,   124,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   136,    -1,    -1,    -1,    -1,   141,    -1,    -1,   144,
      -1,    -1,    -1,    -1,   149,    -1,    -1,   152,    -1,    -1,
     155,   156,    -1,    -1,   159,    -1,    -1,   162,    -1,   164,
      -1,    -1,    -1,   238,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   186,   187,    -1,    -1,    -1,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,    -1,    -1,   278,   279,   280,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   222,    -1,    -1,
      -1,    -1,    -1,    -1,   299,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,    -1,    -1,   261,     5,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,    -1,   274,
     275,    -1,    -1,    21,    -1,    23,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    31,    -1,    -1,    34,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   306,   307,    -1,    -1,    -1,    -1,   312,   313,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,
     325,    -1,    -1,    -1,   329,   330,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   339,   340,    -1,   342,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   354,
      98,    99,   100,   101,    -1,    -1,   104,    -1,   106,    -1,
      -1,    -1,   110,    -1,    -1,    -1,   114,    -1,    -1,    -1,
      -1,    -1,   120,    -1,    -1,    -1,   124,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   136,    -1,
      -1,    -1,    -1,   141,    -1,    -1,   144,    -1,    -1,    -1,
      -1,   149,    -1,    -1,   152,    -1,    -1,   155,   156,    -1,
      -1,   159,    -1,    -1,   162,    -1,   164,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   186,   187,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   222,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,    -1,    -1,   261,     5,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   271,    -1,    -1,   274,   275,    -1,    -1,
      21,    -1,    23,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      31,    -1,    -1,    34,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   306,   307,
      -1,    -1,    -1,    -1,   312,   313,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    66,    -1,   325,    -1,    -1,
      -1,   329,   330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   339,   340,    -1,   342,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   354,    98,    99,   100,
     101,    -1,    -1,   104,    -1,   106,    -1,    -1,    -1,   110,
      -1,    -1,    -1,   114,    -1,    -1,    -1,    -1,    -1,   120,
      -1,    -1,    -1,   124,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   136,    -1,    -1,    -1,    -1,
     141,    -1,    -1,   144,    -1,    -1,    -1,    -1,   149,    -1,
      -1,   152,    -1,    -1,   155,   156,    -1,    -1,   159,    -1,
      -1,   162,    -1,   164,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   186,   187,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,    -1,    -1,
     261,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     271,    -1,    -1,   274,   275,    -1,    -1,    21,    -1,    23,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    31,    -1,    -1,
      34,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   306,   307,    -1,    -1,    -1,
      -1,   312,   313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    66,    -1,   325,    -1,    -1,    -1,   329,   330,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   339,   340,
      -1,   342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   354,    98,    99,   100,   101,    -1,    -1,
     104,    -1,   106,    -1,    -1,    -1,   110,    -1,    -1,    -1,
     114,    -1,    -1,    -1,    -1,    -1,   120,    -1,    -1,    -1,
     124,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   136,    -1,    -1,    -1,    -1,   141,    -1,    -1,
     144,    -1,    -1,    -1,    -1,   149,    -1,    -1,   152,    -1,
      -1,   155,   156,    -1,    -1,   159,    -1,    -1,   162,    -1,
     164,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   186,   187,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   222,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,    -1,    -1,   261,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,    -1,
     274,   275,     9,    10,    11,    12,    13,    14,    -1,    -1,
      -1,    -1,    -1,    -1,    21,    -1,    23,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   306,   307,    -1,    -1,    -1,    -1,   312,   313,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   325,    -1,    -1,    -1,   329,   330,    -1,    -1,    66,
      -1,    21,    -1,    23,    -1,   339,   340,    -1,   342,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    98,    99,   100,   101,    -1,    -1,    -1,    -1,   106,
      -1,    -1,    -1,   110,    -1,    -1,    66,   114,    21,    -1,
      -1,    -1,    -1,   120,    -1,    -1,    -1,   124,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   136,
      -1,    -1,    -1,    -1,   141,    -1,    -1,   144,    98,    99,
     100,   101,   149,    -1,    -1,   152,   106,    -1,   155,   156,
     110,    -1,   159,    66,   114,   162,    -1,   164,    -1,    -1,
     120,    -1,    -1,    -1,   124,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   136,    -1,    -1,   186,
     187,   141,    -1,    -1,   144,    98,    99,   100,   101,   149,
      -1,    -1,   152,   106,    -1,   155,   156,   110,    -1,   159,
      -1,   114,   162,    -1,   164,    -1,    -1,   120,    -1,    -1,
      -1,   124,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   136,    -1,    -1,   186,   187,   141,    -1,
      -1,   144,    -1,    -1,    -1,    -1,   149,    -1,    -1,   152,
      -1,    -1,   155,   156,    -1,    -1,   159,    -1,    -1,   162,
      -1,   164,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   271,    -1,    -1,   274,   275,    -1,
      -1,    -1,    -1,   186,   187,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   312,   313,    -1,   315,    -1,
      -1,   271,    -1,    -1,   274,   275,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    21,
      -1,    -1,   339,   340,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   351,    -1,    -1,   354,   355,    -1,
      -1,    -1,   312,   313,    -1,   315,    -1,    -1,   271,    -1,
      -1,   274,   275,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,   339,
     340,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   351,    -1,    -1,   354,   355,    -1,    -1,    -1,   312,
     313,    -1,   315,    -1,    -1,    -1,    98,    99,   100,   101,
      -1,    -1,    -1,    -1,   106,    -1,    -1,    -1,   110,    -1,
      -1,    -1,   114,    -1,    -1,    -1,   339,   340,   120,    -1,
      -1,    -1,   124,    -1,    -1,    -1,    -1,    -1,   351,    -1,
      -1,   354,   355,    -1,   136,    -1,    -1,    -1,    -1,   141,
      -1,    -1,   144,    -1,    -1,    -1,    -1,   149,    -1,    -1,
     152,    -1,    -1,   155,   156,    -1,    21,   159,    23,    -1,
     162,    -1,   164,    -1,    -1,    -1,    31,    -1,    -1,    34,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   186,   187,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    98,    99,   100,   101,    -1,    -1,   104,
      -1,   106,    -1,    -1,    -1,   110,    -1,    -1,    -1,   114,
      -1,    -1,    -1,    -1,    -1,   120,    -1,    -1,    -1,   124,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,
      -1,   136,   274,   275,    -1,    -1,   141,    -1,    -1,   144,
      -1,    -1,    -1,    -1,   149,    -1,    -1,   152,    -1,    -1,
     155,   156,    -1,    -1,   159,    -1,    -1,   162,    -1,   164,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     312,   313,    -1,   315,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   186,   187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   339,   340,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   354,   355,    -1,    -1,    -1,   222,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,    -1,    -1,   261,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,    -1,   274,
     275,    -1,    -1,    -1,    -1,    23,    -1,    -1,    -1,    -1,
      -1,    -1,    30,    31,    -1,    33,    34,    35,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      48,   306,   307,    -1,    -1,    -1,    -1,   312,   313,    -1,
      58,    59,    -1,    -1,    99,    63,    -1,    -1,    -1,    -1,
     325,    -1,    -1,    -1,   329,   330,    74,    75,    76,    77,
      78,    79,    -1,    -1,   339,   340,    -1,   342,    -1,    -1,
     125,    -1,    -1,   128,    -1,    93,    -1,    95,    -1,   354,
      98,    99,   100,   101,    -1,    -1,   104,    -1,   106,    -1,
     145,    -1,   110,    -1,    -1,    -1,   114,    -1,    -1,    -1,
      -1,    -1,   120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   136,    -1,
      -1,    -1,    -1,   141,    -1,    -1,   144,    -1,    -1,    -1,
      -1,   149,    -1,    -1,   152,    -1,    -1,   155,   156,    -1,
      -1,   159,    -1,    -1,   162,    -1,   164,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   186,   187,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   222,   223,   224,   225,    -1,    -1,
      -1,    -1,    -1,   231,   232,    -1,    -1,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,    -1,    -1,   261,   299,    -1,    -1,    -1,    -1,    -1,
      -1,   306,   307,    -1,    -1,    -1,    -1,    -1,   276,    -1,
      -1,   316,    -1,    -1,    23,    -1,    -1,    -1,   286,    -1,
      -1,    30,    31,    -1,   292,    34,    -1,    -1,    -1,   297,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   342,   306,   307,
      -1,   309,    -1,    -1,   312,   313,   314,   315,    -1,    -1,
      -1,   319,    -1,    -1,    -1,   323,   324,   325,    -1,    -1,
      -1,   329,   330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     338,    -1,    -1,   341,   342,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   351,    -1,    -1,   354,   355,    -1,    98,
      99,   100,   101,    -1,    -1,   104,    -1,   106,    -1,    -1,
      -1,   110,    -1,    -1,    -1,   114,    -1,    -1,    -1,    -1,
      -1,   120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   136,    -1,    -1,
      -1,    -1,   141,    -1,    -1,   144,    -1,    -1,    -1,    -1,
     149,    -1,    -1,   152,    -1,    -1,   155,   156,    -1,    -1,
     159,    -1,    -1,   162,    -1,   164,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   186,   187,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    23,    -1,    -1,    -1,
      -1,    -1,    -1,    30,    31,    -1,    -1,    34,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   222,   223,   224,   225,    -1,    -1,    -1,
      -1,    -1,   231,   232,    -1,    -1,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
      -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    98,    99,   100,   101,    -1,    -1,   104,    -1,   106,
      -1,    -1,    -1,   110,    -1,    -1,    -1,   114,    -1,    -1,
      -1,    -1,    -1,   120,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   306,   307,   136,
      -1,    -1,    -1,    -1,   141,    -1,    -1,   144,    -1,    -1,
      -1,    -1,   149,    -1,    -1,   152,   325,    -1,   155,   156,
     329,   330,   159,    -1,    -1,   162,    -1,   164,    -1,    -1,
      -1,    -1,   341,   342,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   351,    -1,    -1,   354,   355,    -1,    -1,   186,
     187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   222,   223,   224,   225,    -1,
      -1,    -1,    -1,    -1,   231,   232,    -1,    -1,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,    -1,    -1,   261,    23,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    31,    -1,    -1,    34,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    99,    -1,    -1,    -1,    -1,    -1,    -1,    66,   306,
     307,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   125,   325,    -1,
     128,    -1,   329,   330,    -1,    -1,    -1,    -1,    -1,    -1,
      98,    99,   100,   101,   341,   342,   104,   145,   106,    -1,
      -1,    -1,   110,    -1,    -1,    -1,   114,   354,   355,    -1,
      -1,    -1,   120,    -1,    -1,    -1,   124,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   136,    -1,
      -1,    -1,    -1,   141,    -1,    -1,   144,    -1,    -1,    -1,
      -1,   149,    -1,    -1,   152,    -1,    -1,   155,   156,    -1,
      -1,   159,    -1,    -1,   162,    -1,   164,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   186,   187,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,    -1,    -1,    -1,   222,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   299,    -1,   261,    -1,    -1,    -1,    -1,   306,   307,
      -1,    -1,    -1,   271,    -1,    -1,   274,   275,   316,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   342,    -1,    -1,    -1,   306,   307,
      -1,    -1,    -1,    -1,   312,   313,    -1,    -1,    -1,     0,
       1,    -1,    -1,     4,    -1,     6,    -1,   325,    -1,    -1,
      -1,   329,   330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   339,   340,    -1,   342,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    35,    -1,   354,    -1,    -1,    -1,
      41,    -1,    43,    -1,    45,    -1,    -1,    48,    49,    50,
      -1,    52,    -1,    -1,    -1,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    -1,    -1,    66,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    99,    -1,
      -1,    -1,    -1,    -1,   105,    -1,    98,    99,   100,   101,
      -1,    -1,    -1,   114,   106,    -1,    -1,    -1,   110,   120,
      -1,    66,   114,    -1,    -1,    -1,    -1,    -1,   120,    -1,
      -1,    -1,   124,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   144,   136,    -1,    -1,    -1,    -1,   141,
      -1,    -1,   144,    98,    99,   100,   101,   149,    -1,    -1,
     152,   106,    -1,   155,   156,   110,    -1,   159,    -1,   114,
     162,    -1,   164,    -1,    -1,   120,    -1,    -1,    -1,   124,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   136,    -1,    -1,   186,   187,   141,    -1,    -1,   144,
      -1,    -1,    -1,    -1,   149,    -1,    -1,   152,    -1,    -1,
     155,   156,    -1,    -1,   159,    -1,    -1,   162,    -1,   164,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   186,   187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   276,    -1,    -1,    -1,   271,
      -1,    -1,   274,   275,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   292,    -1,    -1,    -1,    -1,   297,    -1,   299,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     312,   313,    -1,   315,    -1,    -1,   271,    -1,    -1,   274,
     275,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   339,   340,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   354,   355,    -1,    -1,    -1,   312,   313,    -1,
     315,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   339,   340,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   354,
     355
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   360,     0,     1,     4,     6,    26,    27,    28,    29,
      35,    41,    43,    45,    48,    49,    50,    52,    56,    57,
      58,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,   105,   114,   120,   144,   261,   276,
     292,   297,   299,   361,   367,   368,   369,   370,   431,   432,
     433,   435,   450,   361,   100,    99,   428,   428,   428,   433,
     444,   433,   435,   450,   433,   438,   438,   438,   433,   441,
     370,    45,   371,    35,    41,    43,    48,    49,    50,    52,
     261,   276,   292,   297,   299,   372,    45,   373,    35,    41,
      43,    45,    48,    49,    50,    52,   261,   276,   292,   297,
     299,   374,    49,   375,    35,    41,    42,    43,    44,    47,
      48,    50,    51,    52,    54,    93,    95,    96,    97,   261,
     276,   281,   282,   283,   284,   292,   297,   299,   300,   376,
     276,   281,   282,   297,   377,    41,    43,    48,    50,    54,
      93,    95,   378,    43,   379,    23,    30,    31,    34,    98,
      99,   100,   101,   104,   106,   110,   114,   120,   136,   141,
     144,   149,   152,   155,   156,   159,   162,   164,   186,   187,
     222,   223,   224,   225,   231,   232,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     261,   306,   307,   325,   329,   330,   341,   342,   354,   355,
     387,   429,   542,   543,   546,   547,   548,   552,   611,   614,
     616,   620,   625,   626,   628,   630,   640,   641,   643,   645,
     647,   649,   653,   655,   657,   659,   661,   663,   665,   667,
     669,   671,   675,   683,   685,   687,   688,   690,   692,   694,
     696,   698,   700,   702,   704,    54,   335,   336,   337,   380,
     386,    54,   381,   386,    99,   382,   383,    85,   268,   270,
     444,   444,   444,   444,     0,   361,   428,   428,    53,   332,
     333,   447,   448,   449,    33,    35,    48,    58,    59,    63,
      74,    75,    76,    77,    78,    79,    93,    95,   237,   261,
     276,   286,   292,   297,   309,   312,   313,   314,   315,   319,
     323,   324,   338,   351,   454,   455,   456,   457,   458,   459,
     460,   464,   465,   466,   469,   470,   477,   481,   486,   487,
     489,   490,   491,   492,   493,   515,   516,   518,   519,   521,
     522,   525,   526,   533,   534,   535,   536,   537,   540,   541,
     547,   554,   555,   556,   557,   558,   559,   563,   564,   565,
     595,   609,   614,   615,   638,   639,   640,   361,   350,   350,
     361,   428,   497,   388,   391,   454,   428,   393,   395,   542,
     565,   398,   428,   402,   435,   451,   444,   433,   435,   438,
     438,   438,   441,    85,   268,   270,   444,   444,   444,   444,
     450,   433,   444,   445,   431,   433,   434,   433,   435,   436,
     451,   433,   438,   439,   438,   438,   433,   441,   442,    85,
     268,   270,   585,   444,   445,   444,   445,   444,   445,   444,
     445,   438,   444,   433,   432,   453,   435,   453,    41,   453,
     438,   438,   453,   441,   453,    41,    42,   438,   453,   453,
      85,   268,   285,   585,   444,    41,   453,    41,   453,    41,
     453,    41,   453,   444,   444,   444,    41,   453,   444,    41,
     453,    41,   453,   444,   433,   435,   438,   438,   453,    41,
     438,   435,   102,   103,   104,   642,   107,   108,   238,   239,
     242,   550,   551,    32,   238,   617,   127,   553,   160,   161,
     686,   107,   108,   109,   644,   109,   111,   112,   113,   646,
     107,   108,   115,   116,   117,   118,   119,   648,   107,   108,
     111,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     169,   650,   109,   111,   129,   137,   138,   139,   140,   654,
     109,   129,   142,   288,   656,   107,   108,   121,   123,   124,
     125,   146,   147,   148,   658,   109,   111,   129,   137,   138,
     140,   150,   151,   660,   122,   138,   147,   153,   154,   662,
     138,   154,   664,   147,   157,   158,   666,   125,   129,   160,
     161,   668,   129,   160,   161,   163,   670,   129,   138,   153,
     157,   160,   161,   165,   166,   167,   168,   169,   672,   109,
     160,   161,   676,   129,   160,   161,   188,   221,   684,   109,
     120,   122,   140,   144,   147,   226,   259,   260,   342,   627,
     629,   691,   227,   693,   227,   695,   157,   228,   229,   230,
     697,   122,   147,   689,   111,   126,   147,   153,   233,   234,
     699,   122,   147,   701,   109,   122,   129,   147,   153,   703,
      99,   125,   128,   145,   299,   316,   342,   612,   613,   614,
     107,   108,   128,   238,   262,   263,   264,   265,   266,   267,
     269,   270,   271,   272,   273,   274,   275,   278,   279,   280,
     299,   631,   632,   635,   316,   326,   619,   559,   564,   327,
     222,   231,   232,   235,   236,   705,   348,   349,   622,   428,
     558,   386,   336,   386,    42,    44,    46,    47,    54,    55,
      87,   384,   444,   444,   444,   580,   594,   582,   584,    98,
      98,    98,    80,   627,   277,   534,   428,   542,   610,   610,
      58,    94,   428,    99,   612,    85,   181,   268,   631,   632,
     277,   277,   293,   277,   295,   296,   478,    80,    80,   627,
       4,   362,   566,   567,   334,   452,   458,   278,   279,   467,
     468,   157,   287,   288,   289,   290,   291,   471,   472,   310,
     488,     5,    21,    66,    80,   106,   110,   114,   120,   124,
     144,   222,   271,   274,   275,   312,   313,   339,   340,   500,
     501,   502,   503,   504,   505,   506,   508,   509,   510,   511,
     512,   513,   514,   543,   546,   552,   604,   605,   606,   611,
     616,   620,   626,   627,   628,   630,   636,   637,   640,    36,
      37,   178,   179,   494,   495,    80,   316,   317,   318,   517,
     523,   524,    80,   520,   523,   320,   321,   322,   527,   528,
     529,   530,    23,   542,   544,   545,    41,   538,   539,    15,
      16,    17,    18,   353,     8,    24,    50,     9,    10,    11,
      12,    13,    14,   106,   110,   114,   120,   136,   141,   144,
     149,   152,   155,   156,   159,   162,   164,   186,   187,   315,
     355,   511,   543,   545,   546,   560,   561,   562,   565,   596,
     597,   598,   599,   600,   601,   602,   603,   605,   606,   607,
     608,    48,    48,   578,   596,   597,   578,    36,   496,   351,
     351,   351,   351,   351,   447,   454,   497,   388,   391,   393,
     395,   398,   402,   444,   444,   444,   580,   594,   582,   584,
     454,    53,    53,    53,    53,   395,    53,   444,   395,   433,
     438,   453,    41,    41,    41,   444,   433,   433,   433,   433,
     433,   433,   433,   438,   428,     7,     8,   109,   242,   243,
     549,    99,   121,   277,   106,   120,   106,   120,   132,   133,
     134,   135,   651,    23,    36,    98,   167,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   673,   173,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   677,   682,   365,   629,
     357,   357,   107,   108,   120,   128,   144,   262,   263,   264,
     633,   634,   635,   327,   327,    98,   345,   621,   356,   385,
     386,   592,   592,   592,   278,   579,   293,   593,   478,   581,
     429,   583,     5,   120,   144,   513,    80,   513,   531,   532,
     559,    23,    23,    92,   351,    48,    48,    48,    98,   295,
      48,   635,    48,   513,   513,   295,   296,   482,   513,    98,
     513,   513,    80,   511,   565,   570,   571,   576,   602,   603,
       7,   352,   429,    98,    98,   468,    73,   106,   120,   164,
     245,   474,   429,    98,    98,    98,   429,   473,   472,   136,
     149,   164,   311,   513,     5,   513,    15,    16,    17,    18,
     353,    20,    22,     8,    50,     5,   523,    80,     7,     7,
      98,    98,   495,     5,     7,     5,   513,   513,   528,     7,
     428,   351,   428,   351,   539,   607,   607,   598,   599,   600,
     558,   351,   461,   544,   597,   365,   602,     7,    15,    16,
      17,    18,   353,     7,    20,    22,     8,   597,   513,   513,
     361,   361,    98,   390,   392,   394,   399,   403,   496,   351,
     351,   351,   351,   351,   592,   592,   592,   579,   593,   581,
     583,    98,    98,    98,    98,    98,   592,   433,   433,   433,
      98,   551,   109,   125,   130,   131,   227,   652,   673,    92,
     125,   180,   181,   182,   183,   184,   185,   674,   211,   215,
     216,   217,   681,   206,   207,   208,   209,   679,   210,   211,
     212,   213,   214,   680,   680,   215,   218,   218,   219,   220,
     219,   109,   125,   157,   678,   366,    98,    98,   107,   108,
     107,   108,    98,    98,   328,   618,    98,   154,   344,   623,
     627,   351,   351,   351,    98,   482,    98,   513,     5,     5,
     513,   544,    85,    88,   452,   572,   573,   429,   429,    98,
     559,   568,   569,   513,   513,   513,    98,   513,    48,   513,
      98,    99,   279,   479,    39,   513,   362,     5,   362,    85,
      88,   276,   452,   574,   575,   362,   567,   143,   138,   143,
     475,   476,   109,   109,    66,   109,   513,     5,   500,   543,
     606,   607,   501,   502,   503,    98,   505,   500,   507,   544,
     565,   513,   513,   543,   606,   636,   636,   513,   524,   513,
     523,   530,   531,   568,   362,   462,   463,   356,   602,   607,
     607,   598,   599,   600,   602,    98,   602,   562,   602,    37,
     361,    35,    43,    48,    50,    52,   157,   261,   276,   292,
     297,   299,   352,   361,   367,   389,    89,   109,   352,   361,
     367,   419,   425,   454,    84,    85,    86,    87,    89,    92,
     109,   157,   352,   361,   367,   400,    85,    87,   109,   157,
     352,   361,   367,   400,    38,    40,   352,   361,   367,   390,
     392,   394,   399,   403,   351,   351,   351,     7,     7,   365,
     358,   358,   618,   331,   618,    98,   363,   107,   108,   624,
     413,   414,   412,   279,    98,   479,   513,   513,     5,    99,
     430,   430,   573,   351,   458,   572,   513,    20,    99,   298,
     480,   513,    39,   577,   603,   609,   430,   430,   278,   575,
       7,    99,    99,    99,   513,     5,   523,   523,     5,   261,
     352,   457,   458,   570,     7,   352,    98,    37,   428,   446,
     428,   437,   428,   440,   440,   428,   443,    99,    85,   268,
     270,   446,   446,   446,   446,   361,    74,    75,   426,   427,
     542,    99,   361,   361,   361,   430,   430,   350,    90,    91,
     401,    98,    99,   123,   124,   238,   258,   259,   407,   408,
     418,    81,    82,    83,    85,   396,   397,   361,   430,   350,
     408,   396,   361,    99,   350,   352,   352,   352,   352,   352,
     413,   414,   412,    98,    98,   364,    98,   363,    89,   128,
     262,   352,   361,   367,   590,    85,    92,   128,   161,   262,
     352,   361,   367,   591,   109,   262,   352,   361,   367,   587,
      98,    20,    99,   480,   513,   568,   352,   304,   305,   306,
     307,   308,   485,   294,   484,    98,   513,   362,    98,   476,
     513,   531,     5,   352,   352,     5,   362,   463,   179,   498,
      98,   409,   391,   393,   398,   402,   446,   446,   446,   409,
     409,   409,   409,    38,   361,   361,   395,     8,   361,     7,
     361,   361,   395,     5,   361,   145,   420,   351,   404,   352,
     352,   352,     7,   618,   350,   159,   164,   586,   432,   430,
      98,   586,    98,   432,   100,   432,   485,   484,   458,   294,
     483,    98,   479,   279,   352,   531,   609,   178,   499,   361,
     351,   351,   351,   351,   351,   409,   409,   409,   351,   351,
     351,   351,    99,   407,   397,   276,   292,   297,   299,   408,
      22,    98,    99,   349,   421,   422,   423,   542,   361,    99,
     405,   406,   361,    98,   363,   351,   361,   361,   361,   361,
     361,   361,   361,   128,   361,   483,   352,    98,    99,   279,
      98,   352,   362,   498,   417,   392,   394,   399,   403,   351,
     351,   351,   410,   415,   411,   416,    39,    40,   424,   361,
     361,   361,   361,   361,    98,    22,    25,     7,   352,    99,
     588,   589,   586,   278,   499,   352,   361,   367,   496,   352,
     352,   352,   352,   413,   414,   412,   352,   361,   367,   579,
     352,   361,   367,   593,   352,   361,   367,   581,   352,   361,
     367,   583,   429,   350,   420,    98,    98,   362,   406,     5,
       7,   352,   361,   361,   361,   361,   361,   361,   352,   352,
     352,   361,   361,   361,   361,   404,    98,   589,   361,   361,
     361,   361
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   359,   360,   360,   361,   361,   362,   362,   363,   364,
     365,   366,   367,   367,   367,   367,   367,   368,   368,   368,
     368,   369,   369,   369,   369,   369,   369,   369,   369,   369,
     369,   369,   369,   369,   369,   369,   370,   370,   370,   370,
     370,   370,   370,   370,   370,   370,   370,   370,   370,   370,
     370,   370,   370,   370,   370,   371,   372,   372,   372,   372,
     372,   372,   372,   372,   372,   372,   372,   372,   372,   372,
     372,   372,   372,   373,   374,   374,   374,   374,   374,   374,
     374,   374,   374,   374,   374,   374,   374,   374,   374,   374,
     374,   374,   374,   374,   374,   374,   375,   376,   376,   376,
     376,   376,   376,   376,   376,   376,   376,   376,   376,   376,
     376,   376,   376,   376,   376,   376,   376,   376,   376,   376,
     376,   376,   376,   376,   376,   376,   376,   376,   376,   376,
     376,   376,   377,   377,   377,   377,   377,   377,   378,   378,
     378,   378,   378,   378,   378,   379,   380,   380,   381,   381,
     382,   383,   383,   384,   384,   384,   384,   384,   384,   384,
     384,   385,   385,   386,   386,   386,   387,   388,   389,   390,
     390,   390,   390,   390,   390,   390,   390,   390,   390,   390,
     390,   390,   390,   390,   390,   391,   392,   392,   392,   392,
     392,   392,   393,   394,   394,   394,   394,   394,   394,   394,
     394,   394,   394,   395,   395,   396,   396,   397,   397,   397,
     397,   398,   399,   399,   399,   399,   399,   399,   399,   399,
     399,   399,   399,   399,   400,   400,   401,   401,   402,   403,
     403,   403,   403,   403,   404,   405,   405,   405,   406,   407,
     407,   408,   408,   409,   410,   410,   410,   410,   411,   411,
     411,   411,   412,   412,   412,   412,   413,   413,   413,   413,
     414,   414,   414,   414,   415,   415,   415,   415,   416,   416,
     416,   416,   417,   417,   417,   417,   418,   418,   418,   418,
     418,   419,   420,   421,   421,   422,   422,   422,   422,   422,
     423,   423,   424,   424,   424,   425,   426,   426,   427,   427,
     428,   429,   429,   429,   430,   431,   431,   432,   432,   432,
     432,   432,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   450,   450,   450,   451,   452,   453,   453,   454,   454,
     455,   456,   456,   457,   457,   457,   457,   458,   458,   458,
     458,   458,   458,   458,   458,   458,   458,   458,   458,   458,
     458,   458,   458,   458,   458,   458,   459,   459,   460,   461,
     461,   462,   462,   462,   463,   464,   464,   465,   465,   466,
     466,   467,   467,   468,   468,   469,   469,   470,   471,   471,
     472,   472,   472,   472,   472,   472,   473,   474,   474,   474,
     474,   474,   475,   475,   476,   476,   477,   477,   477,   478,
     478,   478,   479,   479,   480,   480,   481,   481,   482,   482,
     482,   483,   483,   484,   484,   484,   485,   485,   485,   485,
     485,   486,   487,   488,   488,   488,   488,   488,   489,   490,
     490,   491,   491,   491,   491,   491,   491,   492,   492,   493,
     493,   494,   494,   495,   495,   495,   495,   496,   496,   497,
     498,   498,   499,   499,   500,   500,   500,   500,   500,   500,
     500,   500,   500,   500,   500,   500,   501,   501,   501,   502,
     502,   503,   503,   504,   504,   505,   506,   506,   507,   507,
     508,   508,   509,   510,   511,   512,   512,   512,   513,   513,
     513,   514,   514,   514,   514,   514,   514,   514,   514,   514,
     515,   515,   516,   517,   517,   517,   518,   518,   519,   520,
     520,   520,   520,   520,   521,   521,   522,   522,   523,   523,
     524,   524,   524,   525,   525,   526,   527,   527,   528,   528,
     529,   529,   530,   530,   531,   531,   532,   533,   533,   533,
     534,   534,   534,   535,   535,   536,   536,   537,   538,   538,
     539,   540,   540,   541,   542,   543,   543,   544,   544,   545,
     546,   547,   547,   547,   547,   547,   547,   547,   547,   547,
     547,   547,   547,   547,   547,   547,   548,   549,   549,   549,
     550,   550,   550,   550,   550,   551,   551,   552,   552,   553,
     553,   554,   554,   554,   555,   555,   556,   556,   557,   557,
     558,   559,   559,   560,   561,   562,   562,   563,   564,   564,
     564,   565,   566,   566,   566,   567,   567,   567,   568,   568,
     569,   570,   570,   571,   572,   572,   573,   573,   573,   574,
     574,   575,   575,   575,   575,   575,   576,   576,   577,   577,
     578,   578,   579,   580,   581,   582,   583,   584,   585,   585,
     585,   586,   586,   587,   587,   588,   588,   589,   590,   590,
     590,   591,   591,   591,   591,   591,   592,   593,   593,   594,
     595,   595,   595,   596,   596,   597,   597,   597,   597,   598,
     598,   598,   599,   599,   600,   600,   601,   601,   602,   603,
     603,   603,   603,   604,   604,   605,   606,   606,   606,   606,
     606,   606,   606,   606,   606,   606,   606,   606,   607,   607,
     607,   607,   607,   607,   607,   607,   607,   607,   607,   607,
     607,   607,   607,   607,   607,   608,   608,   608,   608,   608,
     608,   609,   609,   609,   609,   609,   609,   610,   610,   611,
     611,   611,   612,   612,   613,   613,   613,   613,   613,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   615,   615,   615,   615,   615,   615,   616,
     617,   617,   618,   618,   619,   619,   620,   621,   621,   622,
     622,   623,   623,   624,   624,   625,   625,   626,   626,   626,
     627,   627,   628,   628,   629,   629,   629,   629,   630,   630,
     630,   631,   631,   632,   632,   632,   632,   632,   632,   632,
     632,   632,   632,   632,   632,   632,   632,   632,   632,   633,
     633,   633,   633,   633,   633,   633,   634,   634,   634,   634,
     635,   635,   635,   635,   636,   636,   637,   637,   638,   638,
     638,   638,   639,   640,   640,   640,   640,   640,   640,   640,
     640,   640,   640,   640,   640,   640,   640,   640,   640,   640,
     640,   641,   642,   642,   642,   643,   644,   644,   644,   645,
     646,   646,   646,   646,   647,   648,   648,   648,   648,   648,
     648,   648,   648,   648,   649,   649,   649,   650,   650,   650,
     650,   650,   650,   650,   650,   650,   650,   650,   650,   651,
     651,   651,   651,   652,   652,   652,   652,   652,   653,   654,
     654,   654,   654,   654,   654,   654,   655,   656,   656,   656,
     656,   657,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   659,   660,   660,   660,   660,   660,   660,   660,   660,
     661,   662,   662,   662,   662,   662,   663,   664,   664,   665,
     666,   666,   666,   667,   668,   668,   668,   668,   669,   670,
     670,   670,   670,   671,   671,   671,   671,   672,   672,   672,
     672,   672,   672,   672,   672,   672,   672,   673,   673,   673,
     673,   673,   673,   673,   673,   673,   673,   673,   673,   673,
     674,   674,   674,   674,   674,   674,   674,   674,   675,   676,
     676,   676,   677,   677,   677,   677,   677,   677,   677,   677,
     677,   677,   677,   677,   677,   677,   677,   677,   677,   677,
     678,   678,   678,   679,   679,   679,   679,   680,   680,   680,
     680,   680,   681,   681,   681,   681,   682,   682,   682,   682,
     682,   682,   682,   682,   682,   682,   682,   682,   683,   683,
     684,   684,   684,   684,   685,   686,   686,   687,   687,   687,
     687,   687,   687,   687,   687,   688,   689,   689,   690,   691,
     691,   691,   691,   692,   693,   694,   695,   696,   697,   697,
     697,   697,   698,   699,   699,   699,   699,   699,   699,   700,
     701,   701,   702,   703,   703,   703,   703,   703,   704,   705,
     705,   705,   705,   705
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     0,     2,     1,     1,     1,     0,     0,     0,
       0,     0,     3,     5,     5,     3,     2,     1,     1,     2,
       2,     1,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     6,     2,     6,
       3,     2,     6,     6,     3,     6,     2,     4,     4,     7,
       7,     7,     4,     4,     4,     3,     2,     6,     2,     6,
       6,     6,     3,     6,     2,     4,     4,     7,     7,     7,
       4,     4,     4,     3,     2,     2,     2,     2,     2,     2,
       2,     2,     3,     2,     2,     2,     2,     2,     2,     4,
       2,     2,     2,     2,     2,     2,     3,     2,     2,     2,
       2,     2,     3,     2,     2,     3,     2,     2,     3,     2,
       2,     3,     2,     2,     3,     2,     2,     3,     2,     2,
       3,     3,     2,     2,     2,     2,     2,     2,     3,     4,
       4,     4,     2,     3,     2,     2,     3,     2,     2,     2,
       2,     2,     3,     2,     2,     3,     2,     1,     2,     1,
       3,     0,     1,     0,     1,     1,     1,     1,     1,     1,
       1,     0,     1,     1,     1,     2,     1,     0,     2,     0,
       2,     2,     3,     8,     8,     8,     8,     8,     8,     9,
       9,     9,     8,     8,     8,     0,     0,     2,     2,     3,
       3,     3,     0,     0,     2,     2,     4,     4,     4,     4,
       4,     2,     3,     1,     1,     3,     1,     1,     1,     1,
       1,     0,     0,     2,     2,     4,     6,     6,     6,     6,
       6,     4,     4,     3,     2,     2,     1,     1,     0,     0,
       2,     2,     5,     5,     3,     1,     3,     3,     1,     1,
       1,     1,     3,     0,     0,     2,     2,     2,     0,     2,
       2,     2,     0,     2,     2,     2,     0,     2,     2,     2,
       0,     2,     2,     2,     0,     2,     2,     2,     0,     2,
       2,     2,     0,     2,     2,     2,     1,     1,     1,     1,
       1,     6,     2,     1,     1,     1,     1,     1,     3,     3,
       1,     2,     2,     3,     0,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     0,     1,     1,     1,     1,
       1,     1,     1,     2,     3,     2,     3,     1,     2,     3,
       1,     2,     3,     1,     2,     3,     1,     2,     2,     2,
       1,     2,     2,     2,     2,     2,     0,     1,     1,     2,
       1,     1,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     3,
       1,     1,     3,     3,     5,     3,     4,     1,     2,     1,
       3,     1,     2,     2,     2,     1,     2,     1,     1,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     2,     1,
       1,     1,     3,     1,     1,     1,     7,     6,     3,     1,
       1,     0,     1,     1,     0,     3,     5,     3,     1,     1,
       0,     0,     3,     0,     3,     3,     1,     1,     1,     1,
       1,     2,     1,     0,     4,     4,     4,     3,     2,     1,
       1,     3,     4,     4,     5,     6,     5,     1,     2,     1,
       3,     1,     2,     2,     2,     1,     1,     6,     8,     0,
       0,     1,     0,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     3,     1,
       3,     1,     3,     1,     3,     1,     1,     3,     1,     1,
       3,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     3,     3,     4,     5,     2,     3,     2,
       2,     1,     1,     3,     4,     1,     2,     1,     1,     2,
       3,     1,     3,     4,     3,     5,     3,     6,     1,     3,
       1,     1,     1,     1,     2,     1,     1,     2,     2,     1,
       1,     3,     1,     1,     1,     2,     1,     4,     5,     6,
       1,     1,     1,     7,     8,     6,     1,     1,     1,     2,
       2,     6,     8,     1,     2,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     3,     3,     0,
       2,     1,     3,     3,     1,     3,     1,     3,     1,     3,
       1,     1,     3,     3,     3,     1,     1,     3,     1,     1,
       1,     3,     1,     3,     3,     3,     3,     5,     1,     2,
       1,     1,     2,     1,     1,     2,     2,     2,     1,     1,
       2,     2,     2,     1,     5,     1,     1,     1,     1,     1,
       1,     1,     4,     0,     4,     0,     1,     0,     1,     1,
       1,     1,     1,     5,     3,     1,     3,     3,     3,     6,
       3,     3,     3,     3,     3,     3,     0,     6,     5,     0,
       2,     2,     3,     3,     3,     1,     1,     1,     1,     1,
       3,     3,     1,     3,     1,     3,     1,     3,     1,     1,
       1,     3,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     1,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     2,     1,     1,     1,     2,
       1,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     4,     3,     4,     1,     4,     4,     2,
       1,     1,     0,     2,     1,     1,     6,     2,     0,     1,
       1,     1,     1,     1,     1,     4,     5,     8,     6,     5,
       1,     1,     2,     3,     1,     1,     1,     1,     2,     3,
       3,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     2,     2,     2,
       1,     1,     1,     1,     1,     1,     3,     3,     4,     4,
       4,     5,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     6,     1,     1,     1,     2,     1,     1,     1,     2,
       1,     1,     1,     1,     2,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     2,     4,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     1,     1,     1,     2,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     1,     2,     1,     1,     2,
       1,     1,     1,     2,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     2,     4,     3,     8,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     3,     5,
       1,     1,     1,     1,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     2,     1,
       1,     1,     1,     2,     4,     2,     1,     2,     1,     1,
       1,     4,     2,     1,     1,     1,     1,     1,     1,     2,
       1,     1,     2,     1,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (&yylloc, nft, scanner, state, YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, nft, scanner, state); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  YYUSE (nft);
  YYUSE (scanner);
  YYUSE (state);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, nft, scanner, state);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , nft, scanner, state);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, nft, scanner, state); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (nft);
  YYUSE (scanner);
  YYUSE (state);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  switch (yytype)
    {
          case 99: /* "string"  */
#line 300 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4375 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 100: /* "quoted string"  */
#line 300 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4381 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 101: /* "string with a trailing asterisk"  */
#line 300 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4387 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 368: /* line  */
#line 608 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4393 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 369: /* base_cmd  */
#line 611 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4399 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 370: /* add_cmd  */
#line 611 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4405 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 371: /* replace_cmd  */
#line 611 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4411 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 372: /* create_cmd  */
#line 611 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4417 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 373: /* insert_cmd  */
#line 611 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4423 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 374: /* delete_cmd  */
#line 611 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4429 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 375: /* get_cmd  */
#line 611 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4435 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 376: /* list_cmd  */
#line 611 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4441 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 377: /* reset_cmd  */
#line 611 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4447 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 378: /* flush_cmd  */
#line 611 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4453 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 379: /* rename_cmd  */
#line 611 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4459 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 380: /* import_cmd  */
#line 611 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4465 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 381: /* export_cmd  */
#line 611 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4471 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 382: /* monitor_cmd  */
#line 611 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4477 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 383: /* monitor_event  */
#line 835 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4483 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 387: /* describe_cmd  */
#line 611 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4489 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 388: /* table_block_alloc  */
#line 627 "parser_bison.y" /* yacc.c:1257  */
      { close_scope(state); table_free(((*yyvaluep).table)); }
#line 4495 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 391: /* chain_block_alloc  */
#line 629 "parser_bison.y" /* yacc.c:1257  */
      { close_scope(state); chain_free(((*yyvaluep).chain)); }
#line 4501 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 393: /* set_block_alloc  */
#line 638 "parser_bison.y" /* yacc.c:1257  */
      { set_free(((*yyvaluep).set)); }
#line 4507 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 395: /* set_block_expr  */
#line 737 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4513 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 398: /* map_block_alloc  */
#line 641 "parser_bison.y" /* yacc.c:1257  */
      { set_free(((*yyvaluep).set)); }
#line 4519 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 402: /* flowtable_block_alloc  */
#line 644 "parser_bison.y" /* yacc.c:1257  */
      { flowtable_free(((*yyvaluep).flowtable)); }
#line 4525 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 404: /* flowtable_expr  */
#line 737 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4531 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 405: /* flowtable_list_expr  */
#line 737 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4537 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 406: /* flowtable_expr_member  */
#line 737 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4543 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 407: /* data_type_atom_expr  */
#line 605 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4549 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 408: /* data_type_expr  */
#line 605 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4555 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 409: /* obj_block_alloc  */
#line 647 "parser_bison.y" /* yacc.c:1257  */
      { obj_free(((*yyvaluep).obj)); }
#line 4561 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 418: /* type_identifier  */
#line 600 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4567 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 421: /* extended_prio_name  */
#line 621 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4573 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 424: /* dev_spec  */
#line 624 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).expr)); }
#line 4579 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 426: /* policy_expr  */
#line 694 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4585 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 428: /* identifier  */
#line 600 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4591 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 429: /* string  */
#line 600 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4597 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 433: /* table_spec  */
#line 614 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4603 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 434: /* tableid_spec  */
#line 614 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4609 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 435: /* chain_spec  */
#line 614 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4615 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 436: /* chainid_spec  */
#line 614 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4621 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 437: /* chain_identifier  */
#line 614 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4627 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 438: /* set_spec  */
#line 616 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4633 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 439: /* setid_spec  */
#line 616 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4639 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 440: /* set_identifier  */
#line 616 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4645 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 441: /* flowtable_spec  */
#line 614 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4651 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 442: /* flowtableid_spec  */
#line 616 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4657 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 444: /* obj_spec  */
#line 616 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4663 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 445: /* objid_spec  */
#line 616 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4669 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 446: /* obj_identifier  */
#line 616 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4675 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 447: /* handle_spec  */
#line 614 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4681 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 448: /* position_spec  */
#line 614 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4687 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 449: /* index_spec  */
#line 614 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4693 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 450: /* rule_position  */
#line 614 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4699 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 451: /* ruleid_spec  */
#line 614 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4705 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 452: /* comment_spec  */
#line 600 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4711 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 453: /* ruleset_spec  */
#line 614 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4717 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 454: /* rule  */
#line 631 "parser_bison.y" /* yacc.c:1257  */
      { rule_free(((*yyvaluep).rule)); }
#line 4723 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 456: /* stmt_list  */
#line 650 "parser_bison.y" /* yacc.c:1257  */
      { stmt_list_free(((*yyvaluep).list)); xfree(((*yyvaluep).list)); }
#line 4729 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 457: /* stateful_stmt  */
#line 654 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4735 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 458: /* stmt  */
#line 652 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4741 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 459: /* verdict_stmt  */
#line 652 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4747 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 460: /* verdict_map_stmt  */
#line 731 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4753 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 461: /* verdict_map_expr  */
#line 734 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4759 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 462: /* verdict_map_list_expr  */
#line 734 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4765 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 463: /* verdict_map_list_member_expr  */
#line 734 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4771 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 464: /* connlimit_stmt  */
#line 665 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4777 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 465: /* counter_stmt  */
#line 654 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4783 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 466: /* counter_stmt_alloc  */
#line 654 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4789 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 469: /* log_stmt  */
#line 662 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4795 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 470: /* log_stmt_alloc  */
#line 662 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4801 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 477: /* limit_stmt  */
#line 665 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4807 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 479: /* quota_unit  */
#line 621 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4813 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 481: /* quota_stmt  */
#line 665 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4819 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 486: /* reject_stmt  */
#line 668 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4825 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 487: /* reject_stmt_alloc  */
#line 668 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4831 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 489: /* nat_stmt  */
#line 670 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4837 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 490: /* nat_stmt_alloc  */
#line 670 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4843 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 491: /* tproxy_stmt  */
#line 673 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4849 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 492: /* synproxy_stmt  */
#line 675 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4855 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 493: /* synproxy_stmt_alloc  */
#line 675 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4861 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 497: /* synproxy_obj  */
#line 757 "parser_bison.y" /* yacc.c:1257  */
      { obj_free(((*yyvaluep).obj)); }
#line 4867 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 500: /* primary_stmt_expr  */
#line 718 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4873 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 501: /* shift_stmt_expr  */
#line 720 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4879 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 502: /* and_stmt_expr  */
#line 722 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4885 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 503: /* exclusive_or_stmt_expr  */
#line 722 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4891 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 504: /* inclusive_or_stmt_expr  */
#line 722 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4897 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 505: /* basic_stmt_expr  */
#line 718 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4903 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 506: /* concat_stmt_expr  */
#line 710 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4909 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 507: /* map_stmt_expr_set  */
#line 710 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4915 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 508: /* map_stmt_expr  */
#line 710 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4921 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 509: /* prefix_stmt_expr  */
#line 715 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4927 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 510: /* range_stmt_expr  */
#line 715 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4933 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 511: /* wildcard_expr  */
#line 715 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4939 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 512: /* multiton_stmt_expr  */
#line 713 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4945 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 513: /* stmt_expr  */
#line 710 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4951 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 515: /* masq_stmt  */
#line 670 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4957 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 516: /* masq_stmt_alloc  */
#line 670 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4963 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 518: /* redir_stmt  */
#line 670 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4969 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 519: /* redir_stmt_alloc  */
#line 670 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4975 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 521: /* dup_stmt  */
#line 682 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4981 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 522: /* fwd_stmt  */
#line 684 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4987 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 525: /* queue_stmt  */
#line 679 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4993 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 526: /* queue_stmt_alloc  */
#line 679 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4999 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 531: /* set_elem_expr_stmt  */
#line 741 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5005 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 532: /* set_elem_expr_stmt_alloc  */
#line 741 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5011 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 533: /* set_stmt  */
#line 686 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5017 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 535: /* map_stmt  */
#line 689 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5023 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 536: /* meter_stmt  */
#line 691 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5029 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 537: /* flow_stmt_legacy_alloc  */
#line 691 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5035 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 540: /* meter_stmt_alloc  */
#line 691 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5041 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 541: /* match_stmt  */
#line 652 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5047 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 542: /* variable_expr  */
#line 694 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5053 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 543: /* symbol_expr  */
#line 694 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5059 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 544: /* set_ref_expr  */
#line 702 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5065 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 545: /* set_ref_symbol_expr  */
#line 702 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5071 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 546: /* integer_expr  */
#line 694 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5077 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 547: /* primary_expr  */
#line 696 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5083 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 548: /* fib_expr  */
#line 826 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5089 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 552: /* osf_expr  */
#line 831 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5095 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 554: /* shift_expr  */
#line 696 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5101 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 555: /* and_expr  */
#line 696 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5107 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 556: /* exclusive_or_expr  */
#line 698 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5113 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 557: /* inclusive_or_expr  */
#line 698 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5119 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 558: /* basic_expr  */
#line 700 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5125 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 559: /* concat_expr  */
#line 725 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5131 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 560: /* prefix_rhs_expr  */
#line 707 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5137 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 561: /* range_rhs_expr  */
#line 707 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5143 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 562: /* multiton_rhs_expr  */
#line 705 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5149 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 563: /* map_expr  */
#line 728 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5155 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 564: /* expr  */
#line 747 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5161 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 565: /* set_expr  */
#line 737 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5167 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 566: /* set_list_expr  */
#line 737 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5173 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 567: /* set_list_member_expr  */
#line 737 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5179 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 568: /* meter_key_expr  */
#line 744 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5185 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 569: /* meter_key_expr_alloc  */
#line 744 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5191 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 570: /* set_elem_expr  */
#line 739 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5197 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 571: /* set_elem_expr_alloc  */
#line 739 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5203 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 576: /* set_lhs_expr  */
#line 739 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5209 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 577: /* set_rhs_expr  */
#line 739 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5215 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 578: /* initializer_expr  */
#line 747 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5221 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 580: /* counter_obj  */
#line 757 "parser_bison.y" /* yacc.c:1257  */
      { obj_free(((*yyvaluep).obj)); }
#line 5227 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 582: /* quota_obj  */
#line 757 "parser_bison.y" /* yacc.c:1257  */
      { obj_free(((*yyvaluep).obj)); }
#line 5233 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 584: /* secmark_obj  */
#line 757 "parser_bison.y" /* yacc.c:1257  */
      { obj_free(((*yyvaluep).obj)); }
#line 5239 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 588: /* timeout_states  */
#line 856 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).list)); }
#line 5245 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 589: /* timeout_state  */
#line 856 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).list)); }
#line 5251 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 592: /* ct_obj_alloc  */
#line 757 "parser_bison.y" /* yacc.c:1257  */
      { obj_free(((*yyvaluep).obj)); }
#line 5257 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 594: /* limit_obj  */
#line 757 "parser_bison.y" /* yacc.c:1257  */
      { obj_free(((*yyvaluep).obj)); }
#line 5263 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 595: /* relational_expr  */
#line 760 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5269 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 596: /* list_rhs_expr  */
#line 752 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5275 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 597: /* rhs_expr  */
#line 750 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5281 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 598: /* shift_rhs_expr  */
#line 752 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5287 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 599: /* and_rhs_expr  */
#line 754 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5293 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 600: /* exclusive_or_rhs_expr  */
#line 754 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5299 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 601: /* inclusive_or_rhs_expr  */
#line 754 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5305 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 602: /* basic_rhs_expr  */
#line 750 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5311 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 603: /* concat_rhs_expr  */
#line 750 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5317 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 605: /* boolean_expr  */
#line 846 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5323 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 606: /* keyword_expr  */
#line 747 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5329 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 607: /* primary_rhs_expr  */
#line 752 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5335 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 609: /* verdict_expr  */
#line 694 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5341 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 610: /* chain_expr  */
#line 694 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5347 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 611: /* meta_expr  */
#line 808 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5353 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 615: /* meta_stmt  */
#line 660 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5359 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 616: /* socket_expr  */
#line 812 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5365 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 620: /* numgen_expr  */
#line 773 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5371 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 625: /* xfrm_expr  */
#line 860 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5377 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 626: /* hash_expr  */
#line 773 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5383 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 628: /* rt_expr  */
#line 818 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5389 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 630: /* ct_expr  */
#line 822 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5395 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 636: /* symbol_stmt_expr  */
#line 752 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5401 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 637: /* list_stmt_expr  */
#line 720 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5407 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 638: /* ct_stmt  */
#line 658 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5413 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 639: /* payload_stmt  */
#line 656 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5419 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 640: /* payload_expr  */
#line 764 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5425 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 641: /* payload_raw_expr  */
#line 764 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5431 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 643: /* eth_hdr_expr  */
#line 767 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5437 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 645: /* vlan_hdr_expr  */
#line 767 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5443 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 647: /* arp_hdr_expr  */
#line 770 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5449 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 649: /* ip_hdr_expr  */
#line 773 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5455 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 653: /* icmp_hdr_expr  */
#line 773 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5461 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 655: /* igmp_hdr_expr  */
#line 773 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5467 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 657: /* ip6_hdr_expr  */
#line 777 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5473 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 659: /* icmp6_hdr_expr  */
#line 777 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5479 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 661: /* auth_hdr_expr  */
#line 780 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5485 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 663: /* esp_hdr_expr  */
#line 780 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5491 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 665: /* comp_hdr_expr  */
#line 780 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5497 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 667: /* udp_hdr_expr  */
#line 783 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5503 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 669: /* udplite_hdr_expr  */
#line 783 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5509 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 671: /* tcp_hdr_expr  */
#line 841 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5515 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 675: /* dccp_hdr_expr  */
#line 786 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5521 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 682: /* sctp_chunk_alloc  */
#line 786 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5527 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 683: /* sctp_hdr_expr  */
#line 786 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5533 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 685: /* th_hdr_expr  */
#line 792 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5539 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 687: /* exthdr_expr  */
#line 796 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5545 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 688: /* hbh_hdr_expr  */
#line 798 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5551 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 690: /* rt_hdr_expr  */
#line 801 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5557 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 692: /* rt0_hdr_expr  */
#line 801 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5563 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 694: /* rt2_hdr_expr  */
#line 801 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5569 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 696: /* rt4_hdr_expr  */
#line 801 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5575 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 698: /* frag_hdr_expr  */
#line 798 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5581 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 700: /* dst_hdr_expr  */
#line 798 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5587 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 702: /* mh_hdr_expr  */
#line 804 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5593 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 704: /* exthdr_exists_expr  */
#line 850 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5599 "parser_bison.c" /* yacc.c:1257  */
        break;


      default:
        break;
    }
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

/* User initialization code.  */
#line 148 "parser_bison.y" /* yacc.c:1429  */
{
	location_init(scanner, state, &yylloc);
	if (nft->debug_mask & NFT_DEBUG_SCANNER)
		nft_set_debug(1, scanner);
	if (nft->debug_mask & NFT_DEBUG_PARSER)
		yydebug = 1;
}

#line 5716 "parser_bison.c" /* yacc.c:1429  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, scanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 866 "parser_bison.y" /* yacc.c:1646  */
    {
				if ((yyvsp[0].cmd) != NULL) {
					(yyvsp[0].cmd)->location = (yylsp[0]);
					list_add_tail(&(yyvsp[0].cmd)->list, state->cmds);
				}
			}
#line 5910 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 8:
#line 882 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_HASH); }
#line 5916 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 9:
#line 883 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_NUMGEN); }
#line 5922 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 10:
#line 884 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_SCTP); }
#line 5928 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 11:
#line 885 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_SCTP_CHUNK); }
#line 5934 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 12:
#line 888 "parser_bison.y" /* yacc.c:1646  */
    {
				if (scanner_include_file(nft, scanner, (yyvsp[-1].string), &(yyloc)) < 0) {
					xfree((yyvsp[-1].string));
					YYERROR;
				}
				xfree((yyvsp[-1].string));
			}
#line 5946 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 13:
#line 896 "parser_bison.y" /* yacc.c:1646  */
    {
				struct scope *scope = current_scope(state);

				if (symbol_lookup(scope, (yyvsp[-3].string)) != NULL) {
					erec_queue(error(&(yylsp[-3]), "redefinition of symbol '%s'", (yyvsp[-3].string)),
						   state->msgs);
					xfree((yyvsp[-3].string));
					YYERROR;
				}

				symbol_bind(scope, (yyvsp[-3].string), (yyvsp[-1].expr));
				xfree((yyvsp[-3].string));
			}
#line 5964 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 14:
#line 910 "parser_bison.y" /* yacc.c:1646  */
    {
				struct scope *scope = current_scope(state);

				symbol_bind(scope, (yyvsp[-3].string), (yyvsp[-1].expr));
				xfree((yyvsp[-3].string));
			}
#line 5975 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 15:
#line 917 "parser_bison.y" /* yacc.c:1646  */
    {
				struct scope *scope = current_scope(state);

				if (symbol_unbind(scope, (yyvsp[-1].string)) < 0) {
					erec_queue(error(&(yylsp[-1]), "undefined symbol '%s'", (yyvsp[-1].string)),
						   state->msgs);
					YYERROR;
				}
				xfree((yyvsp[-1].string));
			}
#line 5990 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 16:
#line 928 "parser_bison.y" /* yacc.c:1646  */
    {
				if (++state->nerrs == nft->parser_max_errors)
					YYABORT;
				yyerrok;
			}
#line 6000 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 17:
#line 935 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = NULL; }
#line 6006 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 18:
#line 936 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = NULL; }
#line 6012 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 19:
#line 937 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 6018 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 20:
#line 939 "parser_bison.y" /* yacc.c:1646  */
    {
				/*
				 * Very hackish workaround for bison >= 2.4: previous versions
				 * terminated parsing after EOF, 2.4+ tries to get further input
				 * in 'input' and calls the scanner again, causing a crash when
				 * the final input buffer has been popped. Terminate manually to
				 * avoid this. The correct fix should be to adjust the grammar
				 * to accept EOF in input, but for unknown reasons it does not
				 * work.
				 */
				if ((yyvsp[-1].cmd) != NULL) {
					(yyvsp[-1].cmd)->location = (yylsp[-1]);
					list_add_tail(&(yyvsp[-1].cmd)->list, state->cmds);
				}
				(yyval.cmd) = NULL;
				YYACCEPT;
			}
#line 6040 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 21:
#line 958 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6046 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 22:
#line 959 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6052 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 23:
#line 960 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6058 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 24:
#line 961 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6064 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 25:
#line 962 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6070 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 26:
#line 963 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6076 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 27:
#line 964 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6082 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 28:
#line 965 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6088 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 29:
#line 966 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6094 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 30:
#line 967 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6100 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 31:
#line 968 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6106 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 32:
#line 969 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6112 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 33:
#line 970 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6118 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 34:
#line 971 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6124 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 35:
#line 972 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6130 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 36:
#line 976 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6138 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 37:
#line 981 "parser_bison.y" /* yacc.c:1646  */
    {
				handle_merge(&(yyvsp[-3].table)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_TABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].table));
			}
#line 6148 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 38:
#line 987 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6156 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 39:
#line 992 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].chain)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].chain)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_CHAIN, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].chain));
			}
#line 6167 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 40:
#line 999 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 6175 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 41:
#line 1003 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 6183 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 42:
#line 1008 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 6193 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 43:
#line 1015 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 6203 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 44:
#line 1021 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 6211 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 45:
#line 1026 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].flowtable)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].flowtable)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_FLOWTABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].flowtable));
			}
#line 6221 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 46:
#line 1032 "parser_bison.y" /* yacc.c:1646  */
    {
				struct obj *obj;

				obj = obj_alloc(&(yyloc));
				obj->type = NFT_OBJECT_COUNTER;
				handle_merge(&obj->handle, &(yyvsp[0].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_COUNTER, &(yyvsp[0].handle), &(yyloc), obj);
			}
#line 6234 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 47:
#line 1041 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_COUNTER, &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
			}
#line 6242 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 48:
#line 1045 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_QUOTA, &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
			}
#line 6250 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 49:
#line 1049 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_ADD, NFT_OBJECT_CT_HELPER, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-3].obj));
			}
#line 6258 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 50:
#line 1053 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_ADD, NFT_OBJECT_CT_TIMEOUT, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-3].obj));
			}
#line 6266 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 51:
#line 1057 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_ADD, NFT_OBJECT_CT_EXPECT, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-3].obj));
			}
#line 6274 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 52:
#line 1061 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_LIMIT, &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
			}
#line 6282 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 53:
#line 1065 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SECMARK, &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
			}
#line 6290 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 54:
#line 1069 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SYNPROXY, &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
			}
#line 6298 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 55:
#line 1075 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_REPLACE, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 6306 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 56:
#line 1081 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6314 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 57:
#line 1086 "parser_bison.y" /* yacc.c:1646  */
    {
				handle_merge(&(yyvsp[-3].table)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_TABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].table));
			}
#line 6324 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 58:
#line 1092 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6332 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 59:
#line 1097 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].chain)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].chain)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_CHAIN, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].chain));
			}
#line 6343 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 60:
#line 1105 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 6353 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 61:
#line 1112 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 6363 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 62:
#line 1118 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 6371 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 63:
#line 1123 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].flowtable)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].flowtable)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_FLOWTABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].flowtable));
			}
#line 6381 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 64:
#line 1129 "parser_bison.y" /* yacc.c:1646  */
    {
				struct obj *obj;

				obj = obj_alloc(&(yyloc));
				obj->type = NFT_OBJECT_COUNTER;
				handle_merge(&obj->handle, &(yyvsp[0].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_COUNTER, &(yyvsp[0].handle), &(yyloc), obj);
			}
#line 6394 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 65:
#line 1138 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_COUNTER, &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
			}
#line 6402 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 66:
#line 1142 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_QUOTA, &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
			}
#line 6410 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 67:
#line 1146 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_CREATE, NFT_OBJECT_CT_HELPER, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-3].obj));
			}
#line 6418 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 68:
#line 1150 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_CREATE, NFT_OBJECT_CT_TIMEOUT, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-3].obj));
			}
#line 6426 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 69:
#line 1154 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_CREATE, NFT_OBJECT_CT_EXPECT, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-3].obj));
			}
#line 6434 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 70:
#line 1158 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_LIMIT, &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
			}
#line 6442 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 71:
#line 1162 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SECMARK, &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
			}
#line 6450 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 72:
#line 1166 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SYNPROXY, &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
			}
#line 6458 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 73:
#line 1172 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_INSERT, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 6466 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 74:
#line 1178 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6474 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 75:
#line 1182 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6482 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 76:
#line 1186 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6490 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 77:
#line 1190 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6498 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 78:
#line 1194 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_RULE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6506 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 79:
#line 1198 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6514 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 80:
#line 1202 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6522 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 81:
#line 1206 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6530 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1210 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 6538 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1214 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_FLOWTABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6546 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 84:
#line 1218 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_FLOWTABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6554 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1222 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_COUNTER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6562 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1226 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_COUNTER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6570 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 87:
#line 1230 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_QUOTA, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6578 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1234 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_QUOTA, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6586 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1238 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_DELETE, (yyvsp[-2].val), &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].obj));
			}
#line 6594 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1242 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_LIMIT, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6602 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 91:
#line 1246 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_LIMIT, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6610 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 92:
#line 1250 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SECMARK, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6618 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1254 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SECMARK, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6626 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1258 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SYNPROXY, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6634 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 95:
#line 1262 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SYNPROXY, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6642 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 96:
#line 1268 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_GET, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 6650 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 97:
#line 1274 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6658 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 98:
#line 1278 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6666 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 99:
#line 1282 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6674 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 100:
#line 1286 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_CHAINS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6682 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 101:
#line 1290 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SETS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6690 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 102:
#line 1294 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SETS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6698 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 103:
#line 1298 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6706 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 104:
#line 1302 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6714 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 105:
#line 1306 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6722 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 106:
#line 1310 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_COUNTER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6730 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 107:
#line 1314 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6738 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 108:
#line 1318 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6746 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 109:
#line 1322 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_QUOTA, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6754 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 110:
#line 1326 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_LIMITS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6762 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 111:
#line 1330 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_LIMITS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6770 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 112:
#line 1334 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_LIMIT, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6778 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 113:
#line 1338 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SECMARKS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6786 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 114:
#line 1342 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SECMARKS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6794 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 115:
#line 1346 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SECMARK, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6802 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 116:
#line 1350 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SYNPROXYS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6810 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 117:
#line 1354 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SYNPROXYS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6818 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 118:
#line 1358 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SYNPROXY, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6826 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 119:
#line 1362 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_RULESET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6834 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 120:
#line 1366 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6842 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 121:
#line 1370 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6850 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 122:
#line 1374 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6858 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 123:
#line 1378 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6866 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 124:
#line 1382 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_FLOWTABLES, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6874 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 125:
#line 1386 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_FLOWTABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6882 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 126:
#line 1390 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_MAPS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6890 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 127:
#line 1394 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_MAP, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6898 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 128:
#line 1398 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_LIST, (yyvsp[-1].val), &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6906 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 129:
#line 1402 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_CT_HELPERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6914 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 130:
#line 1406 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_CT_TIMEOUT, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6922 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 131:
#line 1410 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_CT_EXPECT, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6930 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 132:
#line 1416 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6938 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 133:
#line 1420 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6946 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 134:
#line 1424 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_COUNTER, &(yyvsp[0].handle),&(yyloc), NULL);
			}
#line 6954 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 135:
#line 1428 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6962 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1432 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6970 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1436 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_QUOTA, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6978 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1442 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6986 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1446 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6994 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1450 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7002 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1454 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_MAP, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7010 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1458 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7018 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1462 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7026 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1466 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_RULESET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7034 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1472 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_RENAME, CMD_OBJ_CHAIN, &(yyvsp[-1].handle), &(yyloc), NULL);
				(yyval.cmd)->arg = (yyvsp[0].string);
			}
#line 7043 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1479 "parser_bison.y" /* yacc.c:1646  */
    {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_IMPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 7053 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1485 "parser_bison.y" /* yacc.c:1646  */
    {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_IMPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 7063 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1493 "parser_bison.y" /* yacc.c:1646  */
    {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_EXPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 7073 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1499 "parser_bison.y" /* yacc.c:1646  */
    {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_EXPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 7083 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1507 "parser_bison.y" /* yacc.c:1646  */
    {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct monitor *m = monitor_alloc((yyvsp[0].val), (yyvsp[-1].val), (yyvsp[-2].string));
				m->location = (yylsp[-2]);
				(yyval.cmd) = cmd_alloc(CMD_MONITOR, CMD_OBJ_MONITOR, &h, &(yyloc), m);
			}
#line 7094 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1515 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = NULL; }
#line 7100 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1516 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = (yyvsp[0].string); }
#line 7106 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1519 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_ANY; }
#line 7112 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1520 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_TABLES; }
#line 7118 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1521 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_CHAINS; }
#line 7124 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1522 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_SETS; }
#line 7130 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1523 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_RULES; }
#line 7136 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1524 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_ELEMS; }
#line 7142 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1525 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_RULESET; }
#line 7148 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 160:
#line 1526 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_TRACE; }
#line 7154 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 161:
#line 1529 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTNL_OUTPUT_DEFAULT; }
#line 7160 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 163:
#line 1533 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = __NFT_OUTPUT_NOTSUPP; }
#line 7166 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 164:
#line 1534 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTNL_OUTPUT_JSON; }
#line 7172 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 165:
#line 1535 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTNL_OUTPUT_JSON; }
#line 7178 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 166:
#line 1539 "parser_bison.y" /* yacc.c:1646  */
    {
				struct handle h = { .family = NFPROTO_UNSPEC };
				(yyval.cmd) = cmd_alloc(CMD_DESCRIBE, CMD_OBJ_EXPR, &h, &(yyloc), NULL);
				(yyval.cmd)->expr = (yyvsp[0].expr);
			}
#line 7188 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 167:
#line 1547 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.table) = table_alloc();
				open_scope(state, &(yyval.table)->scope);
			}
#line 7197 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 168:
#line 1554 "parser_bison.y" /* yacc.c:1646  */
    {
				if (strcmp((yyvsp[0].string), "dormant") == 0) {
					(yyvsp[-2].table)->flags = TABLE_F_DORMANT;
					xfree((yyvsp[0].string));
				} else {
					erec_queue(error(&(yylsp[0]), "unknown table option %s", (yyvsp[0].string)),
						   state->msgs);
					xfree((yyvsp[0].string));
					YYERROR;
				}
			}
#line 7213 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 169:
#line 1567 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.table) = (yyvsp[(-1) - (0)].table); }
#line 7219 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 173:
#line 1574 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].chain)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].chain)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				close_scope(state);
				list_add_tail(&(yyvsp[-4].chain)->list, &(yyvsp[-7].table)->chains);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 7232 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 174:
#line 1585 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].set)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].set)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].set)->list, &(yyvsp[-7].table)->sets);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 7244 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 175:
#line 1595 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].set)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].set)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].set)->list, &(yyvsp[-7].table)->sets);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 7256 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 176:
#line 1606 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].flowtable)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].flowtable)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].flowtable)->list, &(yyvsp[-7].table)->flowtables);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 7268 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1616 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].obj)->location = (yylsp[-5]);
				(yyvsp[-4].obj)->type = NFT_OBJECT_COUNTER;
				handle_merge(&(yyvsp[-4].obj)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].obj)->list, &(yyvsp[-7].table)->objs);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 7281 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 178:
#line 1627 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].obj)->location = (yylsp[-5]);
				(yyvsp[-4].obj)->type = NFT_OBJECT_QUOTA;
				handle_merge(&(yyvsp[-4].obj)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].obj)->list, &(yyvsp[-7].table)->objs);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 7294 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 179:
#line 1636 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].obj)->location = (yylsp[-5]);
				(yyvsp[-4].obj)->type = NFT_OBJECT_CT_HELPER;
				handle_merge(&(yyvsp[-4].obj)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 7307 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 180:
#line 1645 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].obj)->location = (yylsp[-5]);
				(yyvsp[-4].obj)->type = NFT_OBJECT_CT_TIMEOUT;
				handle_merge(&(yyvsp[-4].obj)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 7320 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 181:
#line 1654 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].obj)->location = (yylsp[-5]);
				(yyvsp[-4].obj)->type = NFT_OBJECT_CT_EXPECT;
				handle_merge(&(yyvsp[-4].obj)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 7333 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 182:
#line 1665 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].obj)->location = (yylsp[-5]);
				(yyvsp[-4].obj)->type = NFT_OBJECT_LIMIT;
				handle_merge(&(yyvsp[-4].obj)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].obj)->list, &(yyvsp[-7].table)->objs);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 7346 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 183:
#line 1676 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].obj)->location = (yylsp[-5]);
				(yyvsp[-4].obj)->type = NFT_OBJECT_SECMARK;
				handle_merge(&(yyvsp[-4].obj)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].obj)->list, &(yyvsp[-7].table)->objs);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 7359 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 184:
#line 1687 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].obj)->location = (yylsp[-5]);
				(yyvsp[-4].obj)->type = NFT_OBJECT_SYNPROXY;
				handle_merge(&(yyvsp[-4].obj)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].obj)->list, &(yyvsp[-7].table)->objs);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 7372 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 185:
#line 1698 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.chain) = chain_alloc(NULL);
				open_scope(state, &(yyval.chain)->scope);
			}
#line 7381 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 186:
#line 1704 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.chain) = (yyvsp[(-1) - (0)].chain); }
#line 7387 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 191:
#line 1710 "parser_bison.y" /* yacc.c:1646  */
    {
				list_add_tail(&(yyvsp[-1].rule)->list, &(yyvsp[-2].chain)->rules);
				(yyval.chain) = (yyvsp[-2].chain);
			}
#line 7396 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 192:
#line 1717 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.set) = set_alloc(NULL);
			}
#line 7404 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 193:
#line 1722 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.set) = (yyvsp[(-1) - (0)].set); }
#line 7410 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 196:
#line 1726 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->key = (yyvsp[-1].expr);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 7419 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 197:
#line 1731 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->flags = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 7428 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 198:
#line 1736 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->timeout = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 7437 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 199:
#line 1741 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->gc_int = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 7446 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 200:
#line 1746 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->init = (yyvsp[0].expr);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 7455 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1751 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].set)->automerge = true;
				(yyval.set) = (yyvsp[-1].set);
			}
#line 7464 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1763 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 7472 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 207:
#line 1769 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SET_CONSTANT; }
#line 7478 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 208:
#line 1770 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SET_INTERVAL; }
#line 7484 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 209:
#line 1771 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SET_TIMEOUT; }
#line 7490 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 210:
#line 1772 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SET_EVAL; }
#line 7496 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 211:
#line 1776 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.set) = set_alloc(NULL);
			}
#line 7504 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 212:
#line 1781 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.set) = (yyvsp[(-1) - (0)].set); }
#line 7510 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1785 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->timeout = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 7519 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1792 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].set)->key = (yyvsp[-3].expr);
				(yyvsp[-5].set)->data = (yyvsp[-1].expr);

				(yyvsp[-5].set)->flags |= NFT_SET_MAP;
				(yyval.set) = (yyvsp[-5].set);
			}
#line 7531 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 217:
#line 1802 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].set)->key = (yyvsp[-3].expr);
				(yyvsp[-5].set)->objtype = NFT_OBJECT_COUNTER;
				(yyvsp[-5].set)->flags  |= NFT_SET_OBJECT;
				(yyval.set) = (yyvsp[-5].set);
			}
#line 7542 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1811 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].set)->key = (yyvsp[-3].expr);
				(yyvsp[-5].set)->objtype = NFT_OBJECT_QUOTA;
				(yyvsp[-5].set)->flags  |= NFT_SET_OBJECT;
				(yyval.set) = (yyvsp[-5].set);
			}
#line 7553 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 219:
#line 1820 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].set)->key = (yyvsp[-3].expr);
				(yyvsp[-5].set)->objtype = NFT_OBJECT_LIMIT;
				(yyvsp[-5].set)->flags  |= NFT_SET_OBJECT;
				(yyval.set) = (yyvsp[-5].set);
			}
#line 7564 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1829 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].set)->key = (yyvsp[-3].expr);
				(yyvsp[-5].set)->objtype = NFT_OBJECT_SECMARK;
				(yyvsp[-5].set)->flags  |= NFT_SET_OBJECT;
				(yyval.set) = (yyvsp[-5].set);
			}
#line 7575 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1836 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->flags |= (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 7584 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1841 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->init = (yyvsp[0].expr);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 7593 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1849 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].set)->policy = (yyvsp[0].val);
			}
#line 7601 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1853 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].set)->desc.size = (yyvsp[0].val);
			}
#line 7609 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 226:
#line 1858 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SET_POL_PERFORMANCE; }
#line 7615 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 227:
#line 1859 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SET_POL_MEMORY; }
#line 7621 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 228:
#line 1863 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.flowtable) = flowtable_alloc(NULL);
			}
#line 7629 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 229:
#line 1868 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.flowtable) = (yyvsp[(-1) - (0)].flowtable); }
#line 7635 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1872 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.flowtable)->hookstr	= chain_hookname_lookup((yyvsp[-2].string));
				if ((yyval.flowtable)->hookstr == NULL) {
					erec_queue(error(&(yylsp[-2]), "unknown chain hook %s", (yyvsp[-2].string)),
						   state->msgs);
					xfree((yyvsp[-2].string));
					YYERROR;
				}
				xfree((yyvsp[-2].string));

				(yyval.flowtable)->priority = (yyvsp[-1].prio_spec);
			}
#line 7652 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 233:
#line 1885 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.flowtable)->dev_expr = (yyvsp[-1].expr);
			}
#line 7660 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1891 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 7669 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1898 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = compound_expr_alloc(&(yyloc), EXPR_LIST);
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 7678 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1903 "parser_bison.y" /* yacc.c:1646  */
    {
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 7687 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1911 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = constant_expr_alloc(&(yyloc), &string_type,
							 BYTEORDER_HOST_ENDIAN,
							 strlen((yyvsp[0].string)) * BITS_PER_BYTE, (yyvsp[0].string));
				xfree((yyvsp[0].string));
			}
#line 7698 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1920 "parser_bison.y" /* yacc.c:1646  */
    {
				const struct datatype *dtype = datatype_lookup_byname((yyvsp[0].string));
				if (dtype == NULL) {
					erec_queue(error(&(yylsp[0]), "unknown datatype %s", (yyvsp[0].string)),
						   state->msgs);
					YYERROR;
				}
				(yyval.expr) = constant_expr_alloc(&(yylsp[0]), dtype, dtype->byteorder,
							 dtype->size, NULL);
				xfree((yyvsp[0].string));
			}
#line 7714 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1932 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = constant_expr_alloc(&(yylsp[0]), &time_type, time_type.byteorder,
							 time_type.size, NULL);
			}
#line 7723 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1940 "parser_bison.y" /* yacc.c:1646  */
    {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 7736 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1951 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = obj_alloc(NULL);
			}
#line 7744 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 244:
#line 1956 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 7750 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 247:
#line 1960 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 7758 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1965 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 7764 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1969 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 7772 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1974 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 7778 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1978 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 7786 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1983 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 7792 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1987 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 7800 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 260:
#line 1992 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 7806 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1996 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 7814 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 264:
#line 2001 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 7820 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 267:
#line 2005 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 7828 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 268:
#line 2010 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 7834 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2014 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 7842 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2019 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 7848 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2023 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 7856 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2028 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = (yyvsp[0].string); }
#line 7862 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2029 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = xstrdup("mark"); }
#line 7868 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2030 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = xstrdup("dscp"); }
#line 7874 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2031 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = xstrdup("ecn"); }
#line 7880 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2032 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = xstrdup("classid"); }
#line 7886 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2036 "parser_bison.y" /* yacc.c:1646  */
    {
				const char *chain_type = chain_type_name_lookup((yyvsp[-4].string));

				if (chain_type == NULL) {
					erec_queue(error(&(yylsp[-4]), "unknown chain type %s", (yyvsp[-4].string)),
						   state->msgs);
					xfree((yyvsp[-4].string));
					YYERROR;
				}
				(yyvsp[-6].chain)->type		= xstrdup(chain_type);
				xfree((yyvsp[-4].string));

				(yyvsp[-6].chain)->hookstr	= chain_hookname_lookup((yyvsp[-2].string));
				if ((yyvsp[-6].chain)->hookstr == NULL) {
					erec_queue(error(&(yylsp[-2]), "unknown chain hook %s", (yyvsp[-2].string)),
						   state->msgs);
					xfree((yyvsp[-2].string));
					YYERROR;
				}
				xfree((yyvsp[-2].string));

				(yyvsp[-6].chain)->dev_expr	= (yyvsp[-1].expr);
				(yyvsp[-6].chain)->priority	= (yyvsp[0].prio_spec);
				(yyvsp[-6].chain)->flags	|= CHAIN_F_BASECHAIN;
			}
#line 7916 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2064 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.prio_spec) = (yyvsp[0].prio_spec);
				(yyval.prio_spec).loc = (yyloc);
			}
#line 7925 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2071 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.string) = strdup("out");
			}
#line 7933 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2078 "parser_bison.y" /* yacc.c:1646  */
    {
				struct prio_spec spec = {0};

				spec.expr = constant_expr_alloc(&(yyloc), &integer_type,
								BYTEORDER_HOST_ENDIAN,
								sizeof(int) *
								BITS_PER_BYTE, &(yyvsp[0].val32));
				(yyval.prio_spec) = spec;
			}
#line 7947 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2088 "parser_bison.y" /* yacc.c:1646  */
    {
				struct prio_spec spec = {0};

				datatype_set((yyvsp[0].expr)->sym->expr, &priority_type);
				spec.expr = (yyvsp[0].expr);
				(yyval.prio_spec) = spec;
			}
#line 7959 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2096 "parser_bison.y" /* yacc.c:1646  */
    {
				struct prio_spec spec = {0};

				spec.expr = constant_expr_alloc(&(yyloc), &string_type,
								BYTEORDER_HOST_ENDIAN,
								strlen((yyvsp[0].string)) * BITS_PER_BYTE,
								(yyvsp[0].string));
				xfree((yyvsp[0].string));
				(yyval.prio_spec) = spec;
			}
#line 7974 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2107 "parser_bison.y" /* yacc.c:1646  */
    {
				struct prio_spec spec = {0};

				char str[NFT_NAME_MAXLEN];
				snprintf(str, sizeof(str), "%s + %" PRIu64, (yyvsp[-2].string), (yyvsp[0].val));
				spec.expr = constant_expr_alloc(&(yyloc), &string_type,
								BYTEORDER_HOST_ENDIAN,
								strlen(str) * BITS_PER_BYTE,
								str);
				xfree((yyvsp[-2].string));
				(yyval.prio_spec) = spec;
			}
#line 7991 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2120 "parser_bison.y" /* yacc.c:1646  */
    {
				struct prio_spec spec = {0};
				char str[NFT_NAME_MAXLEN];

				snprintf(str, sizeof(str), "%s - %" PRIu64, (yyvsp[-2].string), (yyvsp[0].val));
				spec.expr = constant_expr_alloc(&(yyloc), &string_type,
								BYTEORDER_HOST_ENDIAN,
								strlen(str) * BITS_PER_BYTE,
								str);
				(yyval.prio_spec) = spec;
			}
#line 8007 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2133 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val32) = (yyvsp[0].val); }
#line 8013 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2134 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val32) = -(yyvsp[0].val); }
#line 8019 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2138 "parser_bison.y" /* yacc.c:1646  */
    {
				struct expr *expr;

				expr = constant_expr_alloc(&(yyloc), &string_type,
							   BYTEORDER_HOST_ENDIAN,
							   strlen((yyvsp[0].string)) * BITS_PER_BYTE, (yyvsp[0].string));
				(yyval.expr) = compound_expr_alloc(&(yyloc), EXPR_LIST);
				compound_expr_add((yyval.expr), expr);

			}
#line 8034 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2149 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = (yyvsp[0].expr);
			}
#line 8042 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2152 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = NULL; }
#line 8048 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2156 "parser_bison.y" /* yacc.c:1646  */
    {
				if ((yyvsp[-2].chain)->policy) {
					erec_queue(error(&(yyloc), "you cannot set chain policy twice"),
						   state->msgs);
					expr_free((yyvsp[0].expr));
					YYERROR;
				}
				(yyvsp[-2].chain)->policy	= (yyvsp[0].expr);
			}
#line 8062 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2168 "parser_bison.y" /* yacc.c:1646  */
    {
				datatype_set((yyvsp[0].expr)->sym->expr, &policy_type);
				(yyval.expr) = (yyvsp[0].expr);
			}
#line 8071 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2173 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = constant_expr_alloc(&(yyloc), &integer_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(int) *
							 BITS_PER_BYTE, &(yyvsp[0].val32));
			}
#line 8082 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2181 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val32) = NF_ACCEPT; }
#line 8088 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2182 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val32) = NF_DROP;   }
#line 8094 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2194 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				uint64_t res;

				erec = time_parse(&(yylsp[0]), (yyvsp[0].string), &res);
				xfree((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.val) = res;
			}
#line 8111 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2208 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_IPV4; }
#line 8117 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2212 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_IPV4; }
#line 8123 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2213 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_IPV6; }
#line 8129 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2214 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_INET; }
#line 8135 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2215 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_ARP; }
#line 8141 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2216 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_BRIDGE; }
#line 8147 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2217 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_NETDEV; }
#line 8153 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2221 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family	= (yyvsp[-1].val);
				(yyval.handle).table.location = (yylsp[0]);
				(yyval.handle).table.name	= (yyvsp[0].string);
			}
#line 8164 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2230 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family 		= (yyvsp[-2].val);
				(yyval.handle).handle.id 		= (yyvsp[0].val);
				(yyval.handle).handle.location	= (yyloc);
			}
#line 8175 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2239 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle)		= (yyvsp[-1].handle);
				(yyval.handle).chain.name	= (yyvsp[0].string);
				(yyval.handle).chain.location = (yylsp[0]);
			}
#line 8185 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2247 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle) 			= (yyvsp[-2].handle);
				(yyval.handle).handle.location 	= (yyloc);
				(yyval.handle).handle.id 		= (yyvsp[0].val);
			}
#line 8195 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2255 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).chain.name		= (yyvsp[0].string);
				(yyval.handle).chain.location	= (yylsp[0]);
			}
#line 8205 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2263 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle)		= (yyvsp[-1].handle);
				(yyval.handle).set.name	= (yyvsp[0].string);
				(yyval.handle).set.location	= (yylsp[0]);
			}
#line 8215 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2271 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle) 			= (yyvsp[-2].handle);
				(yyval.handle).handle.location 	= (yyloc);
				(yyval.handle).handle.id 		= (yyvsp[0].val);
			}
#line 8225 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2279 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).set.name	= (yyvsp[0].string);
				(yyval.handle).set.location	= (yylsp[0]);
			}
#line 8235 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2287 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle)			= (yyvsp[-1].handle);
				(yyval.handle).flowtable.name	= (yyvsp[0].string);
				(yyval.handle).flowtable.location	= (yylsp[0]);
			}
#line 8245 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2295 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle)			= (yyvsp[-2].handle);
				(yyval.handle).handle.location	= (yyloc);
				(yyval.handle).handle.id		= (yyvsp[0].val);
			}
#line 8255 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2303 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).flowtable.name	= (yyvsp[0].string);
				(yyval.handle).flowtable.location	= (yylsp[0]);
			}
#line 8265 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2311 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle)		= (yyvsp[-1].handle);
				(yyval.handle).obj.name	= (yyvsp[0].string);
				(yyval.handle).obj.location	= (yylsp[0]);
			}
#line 8275 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2319 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle) 			= (yyvsp[-2].handle);
				(yyval.handle).handle.location	= (yyloc);
				(yyval.handle).handle.id		= (yyvsp[0].val);
			}
#line 8285 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2327 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).obj.name		= (yyvsp[0].string);
				(yyval.handle).obj.location		= (yylsp[0]);
			}
#line 8295 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2335 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).handle.location	= (yyloc);
				(yyval.handle).handle.id		= (yyvsp[0].val);
			}
#line 8305 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2343 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).position.location	= (yyloc);
				(yyval.handle).position.id		= (yyvsp[0].val);
			}
#line 8315 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2351 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).index.location	= (yyloc);
				(yyval.handle).index.id		= (yyvsp[0].val) + 1;
			}
#line 8325 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2359 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle) = (yyvsp[0].handle);
			}
#line 8333 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2363 "parser_bison.y" /* yacc.c:1646  */
    {
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 8342 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2368 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[0].handle).position.location = (yyvsp[0].handle).handle.location;
				(yyvsp[0].handle).position.id = (yyvsp[0].handle).handle.id;
				(yyvsp[0].handle).handle.id = 0;
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 8354 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2376 "parser_bison.y" /* yacc.c:1646  */
    {
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 8363 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2383 "parser_bison.y" /* yacc.c:1646  */
    {
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 8372 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2390 "parser_bison.y" /* yacc.c:1646  */
    {
				if (strlen((yyvsp[0].string)) > NFTNL_UDATA_COMMENT_MAXLEN) {
					erec_queue(error(&(yylsp[0]), "comment too long, %d characters maximum allowed",
							 NFTNL_UDATA_COMMENT_MAXLEN),
						   state->msgs);
					YYERROR;
				}
				(yyval.string) = (yyvsp[0].string);
			}
#line 8386 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2402 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family	= NFPROTO_UNSPEC;
			}
#line 8395 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2407 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family	= (yyvsp[0].val);
			}
#line 8404 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2414 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.rule)->comment = NULL;
			}
#line 8412 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2418 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.rule)->comment = (yyvsp[0].string);
			}
#line 8420 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2424 "parser_bison.y" /* yacc.c:1646  */
    {
				struct stmt *i;

				(yyval.rule) = rule_alloc(&(yyloc), NULL);
				list_for_each_entry(i, (yyvsp[0].list), list)
					(yyval.rule)->num_stmts++;
				list_splice_tail((yyvsp[0].list), &(yyval.rule)->stmts);
				xfree((yyvsp[0].list));
			}
#line 8434 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2436 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.list) = xmalloc(sizeof(*(yyval.list)));
				init_list_head((yyval.list));
				list_add_tail(&(yyvsp[0].stmt)->list, (yyval.list));
			}
#line 8444 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2442 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.list) = (yyvsp[-1].list);
				list_add_tail(&(yyvsp[0].stmt)->list, (yyvsp[-1].list));
			}
#line 8453 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 366:
#line 2476 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = verdict_stmt_alloc(&(yyloc), (yyvsp[0].expr));
			}
#line 8461 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 367:
#line 2480 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = verdict_stmt_alloc(&(yyloc), (yyvsp[0].expr));
			}
#line 8469 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 368:
#line 2486 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = map_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 8477 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 369:
#line 2492 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 8486 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 371:
#line 2500 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = set_expr_alloc(&(yyloc), NULL);
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 8495 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 372:
#line 2505 "parser_bison.y" /* yacc.c:1646  */
    {
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 8504 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 374:
#line 2513 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = mapping_expr_alloc(&(yyloc), (yyvsp[-3].expr), (yyvsp[-1].expr));
			}
#line 8512 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 375:
#line 2519 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = connlimit_stmt_alloc(&(yyloc));
				(yyval.stmt)->connlimit.count	= (yyvsp[0].val);
			}
#line 8521 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 376:
#line 2524 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = connlimit_stmt_alloc(&(yyloc));
				(yyval.stmt)->connlimit.count = (yyvsp[0].val);
				(yyval.stmt)->connlimit.flags = NFT_CONNLIMIT_F_INV;
			}
#line 8531 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 379:
#line 2535 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = counter_stmt_alloc(&(yyloc));
			}
#line 8539 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 380:
#line 2539 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_COUNTER;
				(yyval.stmt)->objref.expr = (yyvsp[0].expr);
			}
#line 8549 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 381:
#line 2547 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 8557 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 383:
#line 2554 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->counter.packets = (yyvsp[0].val);
			}
#line 8565 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 384:
#line 2558 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->counter.bytes	 = (yyvsp[0].val);
			}
#line 8573 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 387:
#line 2568 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = log_stmt_alloc(&(yyloc));
			}
#line 8581 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 388:
#line 2574 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 8589 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 390:
#line 2581 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->log.prefix	 = (yyvsp[0].string);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_PREFIX;
			}
#line 8598 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 391:
#line 2586 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->log.group	 = (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_GROUP;
			}
#line 8607 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 392:
#line 2591 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->log.snaplen	 = (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_SNAPLEN;
			}
#line 8616 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 393:
#line 2596 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->log.qthreshold = (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_QTHRESHOLD;
			}
#line 8625 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 394:
#line 2601 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->log.level	= (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_LEVEL;
			}
#line 8634 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 395:
#line 2606 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->log.logflags	|= (yyvsp[0].val);
			}
#line 8642 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 396:
#line 2612 "parser_bison.y" /* yacc.c:1646  */
    {
				if (!strcmp("emerg", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_EMERG;
				else if (!strcmp("alert", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_ALERT;
				else if (!strcmp("crit", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_CRIT;
				else if (!strcmp("err", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_ERR;
				else if (!strcmp("warn", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_WARNING;
				else if (!strcmp("notice", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_NOTICE;
				else if (!strcmp("info", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_INFO;
				else if (!strcmp("debug", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_DEBUG;
				else if (!strcmp("audit", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_AUDIT;
				else {
					erec_queue(error(&(yylsp[0]), "invalid log level"),
						   state->msgs);
					xfree((yyvsp[0].string));
					YYERROR;
				}
				xfree((yyvsp[0].string));
			}
#line 8674 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 397:
#line 2642 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = (yyvsp[0].val);
			}
#line 8682 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 398:
#line 2646 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_LOG_IPOPT;
			}
#line 8690 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 399:
#line 2650 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_LOG_UID;
			}
#line 8698 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 400:
#line 2654 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_LOG_MACDECODE;
			}
#line 8706 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 401:
#line 2658 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_LOG_MASK;
			}
#line 8714 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 402:
#line 2664 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 8722 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 404:
#line 2671 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_LOG_TCPSEQ;
			}
#line 8730 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 405:
#line 2675 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_LOG_TCPOPT;
			}
#line 8738 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 406:
#line 2681 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = limit_stmt_alloc(&(yyloc));
				(yyval.stmt)->limit.rate	= (yyvsp[-3].val);
				(yyval.stmt)->limit.unit	= (yyvsp[-1].val);
				(yyval.stmt)->limit.burst	= (yyvsp[0].val);
				(yyval.stmt)->limit.type	= NFT_LIMIT_PKTS;
				(yyval.stmt)->limit.flags = (yyvsp[-4].val);
			}
#line 8751 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 407:
#line 2690 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				uint64_t rate, unit;

				erec = rate_parse(&(yyloc), (yyvsp[-1].string), &rate, &unit);
				xfree((yyvsp[-1].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}

				(yyval.stmt) = limit_stmt_alloc(&(yyloc));
				(yyval.stmt)->limit.rate	= rate * (yyvsp[-2].val);
				(yyval.stmt)->limit.unit	= unit;
				(yyval.stmt)->limit.burst	= (yyvsp[0].val);
				(yyval.stmt)->limit.type	= NFT_LIMIT_PKT_BYTES;
				(yyval.stmt)->limit.flags = (yyvsp[-3].val);
			}
#line 8774 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 408:
#line 2709 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_LIMIT;
				(yyval.stmt)->objref.expr = (yyvsp[0].expr);
			}
#line 8784 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 409:
#line 2716 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_QUOTA_F_INV; }
#line 8790 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 410:
#line 2717 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 8796 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 411:
#line 2718 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 8802 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 412:
#line 2721 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = xstrdup("bytes"); }
#line 8808 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 413:
#line 2722 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = (yyvsp[0].string); }
#line 8814 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 414:
#line 2725 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 8820 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 415:
#line 2727 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[0].string), &rate);
				xfree((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.val) = (yyvsp[-1].val) * rate;
			}
#line 8837 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 416:
#line 2742 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[-1].string), &rate);
				xfree((yyvsp[-1].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.stmt) = quota_stmt_alloc(&(yyloc));
				(yyval.stmt)->quota.bytes	= (yyvsp[-2].val) * rate;
				(yyval.stmt)->quota.used = (yyvsp[0].val);
				(yyval.stmt)->quota.flags	= (yyvsp[-3].val);
			}
#line 8857 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 417:
#line 2758 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_QUOTA;
				(yyval.stmt)->objref.expr = (yyvsp[0].expr);
			}
#line 8867 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 418:
#line 2765 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_LIMIT_F_INV; }
#line 8873 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 419:
#line 2766 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 8879 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 420:
#line 2767 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 8885 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 421:
#line 2770 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 8891 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 422:
#line 2771 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = (yyvsp[-1].val); }
#line 8897 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 423:
#line 2774 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 8903 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 424:
#line 2775 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = (yyvsp[-1].val); }
#line 8909 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 425:
#line 2777 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[0].string), &rate);
				xfree((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.val) = (yyvsp[-1].val) * rate;
			}
#line 8926 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 426:
#line 2791 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 1ULL; }
#line 8932 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 427:
#line 2792 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 1ULL * 60; }
#line 8938 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 428:
#line 2793 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 1ULL * 60 * 60; }
#line 8944 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 429:
#line 2794 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 1ULL * 60 * 60 * 24; }
#line 8950 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 430:
#line 2795 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 1ULL * 60 * 60 * 24 * 7; }
#line 8956 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 432:
#line 2802 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = reject_stmt_alloc(&(yyloc));
			}
#line 8964 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 433:
#line 2808 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[0].stmt)->reject.type = -1;
				(yyvsp[0].stmt)->reject.icmp_code = -1;
			}
#line 8973 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 434:
#line 2813 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].stmt)->reject.family = NFPROTO_IPV4;
				(yyvsp[-4].stmt)->reject.type = NFT_REJECT_ICMP_UNREACH;
				(yyvsp[-4].stmt)->reject.expr =
					symbol_expr_alloc(&(yyloc), SYMBOL_VALUE,
							  current_scope(state),
							  (yyvsp[0].string));
				datatype_set((yyvsp[-4].stmt)->reject.expr, &icmp_code_type);
				xfree((yyvsp[0].string));
			}
#line 8988 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 435:
#line 2824 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].stmt)->reject.family = NFPROTO_IPV6;
				(yyvsp[-4].stmt)->reject.type = NFT_REJECT_ICMP_UNREACH;
				(yyvsp[-4].stmt)->reject.expr =
					symbol_expr_alloc(&(yyloc), SYMBOL_VALUE,
							  current_scope(state),
							  (yyvsp[0].string));
				datatype_set((yyvsp[-4].stmt)->reject.expr, &icmpv6_code_type);
				xfree((yyvsp[0].string));
			}
#line 9003 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 436:
#line 2835 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].stmt)->reject.type = NFT_REJECT_ICMPX_UNREACH;
				(yyvsp[-4].stmt)->reject.expr =
					symbol_expr_alloc(&(yyloc), SYMBOL_VALUE,
							  current_scope(state),
							  (yyvsp[0].string));
				datatype_set((yyvsp[-4].stmt)->reject.expr, &icmpx_code_type);
				xfree((yyvsp[0].string));
			}
#line 9017 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 437:
#line 2845 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->reject.type = NFT_REJECT_TCP_RST;
			}
#line 9025 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 439:
#line 2853 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.stmt) = nat_stmt_alloc(&(yyloc), NFT_NAT_SNAT); }
#line 9031 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 440:
#line 2854 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.stmt) = nat_stmt_alloc(&(yyloc), NFT_NAT_DNAT); }
#line 9037 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 441:
#line 2858 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = NFPROTO_UNSPEC;
				(yyval.stmt)->tproxy.addr = (yyvsp[0].expr);
			}
#line 9047 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 442:
#line 2864 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = (yyvsp[-2].val);
				(yyval.stmt)->tproxy.addr = (yyvsp[0].expr);
			}
#line 9057 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 443:
#line 2870 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = NFPROTO_UNSPEC;
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 9067 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 444:
#line 2876 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = NFPROTO_UNSPEC;
				(yyval.stmt)->tproxy.addr = (yyvsp[-2].expr);
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 9078 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 445:
#line 2883 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = (yyvsp[-4].val);
				(yyval.stmt)->tproxy.addr = (yyvsp[-2].expr);
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 9089 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 446:
#line 2890 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = (yyvsp[-3].val);
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 9099 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 449:
#line 2902 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = synproxy_stmt_alloc(&(yyloc));
			}
#line 9107 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 450:
#line 2906 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_SYNPROXY;
				(yyval.stmt)->objref.expr = (yyvsp[0].expr);
			}
#line 9117 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 451:
#line 2914 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 9125 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 453:
#line 2921 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->synproxy.mss = (yyvsp[0].val);
				(yyvsp[-2].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_MSS;
			}
#line 9134 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 454:
#line 2926 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->synproxy.wscale = (yyvsp[0].val);
				(yyvsp[-2].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_WSCALE;
			}
#line 9143 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 455:
#line 2931 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_TIMESTAMP;
			}
#line 9151 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 456:
#line 2935 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_SACK_PERM;
			}
#line 9159 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 457:
#line 2941 "parser_bison.y" /* yacc.c:1646  */
    {
				struct synproxy *synproxy;
				uint32_t flags = 0;

				synproxy = &(yyvsp[-6].obj)->synproxy;
				synproxy->mss = (yyvsp[-4].val);
				flags |= NF_SYNPROXY_OPT_MSS;
				synproxy->wscale = (yyvsp[-2].val);
				flags |= NF_SYNPROXY_OPT_WSCALE;
				if ((yyvsp[-1].val))
					flags |= (yyvsp[-1].val);
				if ((yyvsp[0].val))
					flags |= (yyvsp[0].val);
				synproxy->flags = flags;
			}
#line 9179 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 458:
#line 2957 "parser_bison.y" /* yacc.c:1646  */
    {
				struct synproxy *synproxy;
				uint32_t flags = 0;

				synproxy = &(yyvsp[-8].obj)->synproxy;
				synproxy->mss = (yyvsp[-6].val);
				flags |= NF_SYNPROXY_OPT_MSS;
				synproxy->wscale = (yyvsp[-3].val);
				flags |= NF_SYNPROXY_OPT_WSCALE;
				if ((yyvsp[-1].val))
					flags |= (yyvsp[-1].val);
				if ((yyvsp[0].val))
					flags |= (yyvsp[0].val);
				synproxy->flags = flags;
			}
#line 9199 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 459:
#line 2975 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_SYNPROXY;
			}
#line 9208 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 460:
#line 2981 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 9214 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 461:
#line 2983 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_SYNPROXY_OPT_TIMESTAMP;
			}
#line 9222 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 462:
#line 2988 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 9228 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 463:
#line 2990 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_SYNPROXY_OPT_SACK_PERM;
			}
#line 9236 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 464:
#line 2995 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9242 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 465:
#line 2996 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9248 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 466:
#line 2997 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9254 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 467:
#line 2998 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9260 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 468:
#line 2999 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9266 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3000 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9272 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3001 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9278 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3002 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9284 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3003 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9290 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3004 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9296 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3005 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9302 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3006 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9308 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3011 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_LSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 9316 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3015 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_RSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 9324 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3022 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_AND, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 9332 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3029 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_XOR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 9340 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3036 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_OR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 9348 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3046 "parser_bison.y" /* yacc.c:1646  */
    {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 9361 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3061 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = map_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 9369 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3064 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9375 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3068 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = prefix_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].val));
			}
#line 9383 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3074 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = range_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 9391 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3080 "parser_bison.y" /* yacc.c:1646  */
    {
				struct expr *expr;

				expr = constant_expr_alloc(&(yyloc), &integer_type,
							   BYTEORDER_HOST_ENDIAN,
							   0, NULL);
				(yyval.expr) = prefix_expr_alloc(&(yyloc), expr, 0);
			}
#line 9404 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3101 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 9412 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3105 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 9420 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3109 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->nat.family = (yyvsp[-2].val);
				(yyvsp[-3].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 9429 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3114 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->nat.addr = (yyvsp[-2].expr);
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 9438 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3119 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].stmt)->nat.addr = (yyvsp[-2].expr);
				(yyvsp[-4].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 9447 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3124 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].stmt)->nat.family = (yyvsp[-4].val);
				(yyvsp[-5].stmt)->nat.addr = (yyvsp[-2].expr);
				(yyvsp[-5].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 9457 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3130 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 9465 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3134 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 9473 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3138 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 9481 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3147 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.stmt) = nat_stmt_alloc(&(yyloc), NFT_NAT_MASQ); }
#line 9487 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3151 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 9495 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3155 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].stmt)->nat.proto = (yyvsp[-1].expr);
				(yyvsp[-4].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 9504 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3160 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 9512 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3169 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.stmt) = nat_stmt_alloc(&(yyloc), NFT_NAT_REDIR); }
#line 9518 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3173 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 9526 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3177 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 9534 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3181 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 9542 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3185 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[-1].expr);
				(yyvsp[-3].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 9551 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3190 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].stmt)->nat.proto = (yyvsp[-1].expr);
				(yyvsp[-4].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 9560 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3197 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = dup_stmt_alloc(&(yyloc));
				(yyval.stmt)->dup.to = (yyvsp[0].expr);
			}
#line 9569 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3202 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = dup_stmt_alloc(&(yyloc));
				(yyval.stmt)->dup.to = (yyvsp[-2].expr);
				(yyval.stmt)->dup.dev = (yyvsp[0].expr);
			}
#line 9579 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3210 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = fwd_stmt_alloc(&(yyloc));
				(yyval.stmt)->fwd.dev = (yyvsp[0].expr);
			}
#line 9588 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3215 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = fwd_stmt_alloc(&(yyloc));
				(yyval.stmt)->fwd.family = (yyvsp[-4].val);
				(yyval.stmt)->fwd.addr = (yyvsp[-2].expr);
				(yyval.stmt)->fwd.dev = (yyvsp[0].expr);
			}
#line 9599 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3225 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 9607 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3230 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NF_NAT_RANGE_PROTO_RANDOM; }
#line 9613 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3231 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NF_NAT_RANGE_PROTO_RANDOM_FULLY; }
#line 9619 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3232 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NF_NAT_RANGE_PERSISTENT; }
#line 9625 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3240 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = queue_stmt_alloc(&(yyloc));
			}
#line 9633 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3246 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 9641 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3253 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->queue.queue = (yyvsp[0].expr);
				(yyvsp[-2].stmt)->queue.queue->location = (yyloc);
			}
#line 9650 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3258 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].stmt)->queue.flags |= (yyvsp[0].val);
			}
#line 9658 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 541:
#line 3265 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 9666 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 542:
#line 3270 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_QUEUE_FLAG_BYPASS; }
#line 9672 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 543:
#line 3271 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_QUEUE_FLAG_CPU_FANOUT; }
#line 9678 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 546:
#line 3279 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = set_elem_expr_alloc(&(yylsp[0]), (yyvsp[0].expr));
			}
#line 9686 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 547:
#line 3285 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = set_stmt_alloc(&(yyloc));
				(yyval.stmt)->set.op  = (yyvsp[-2].val);
				(yyval.stmt)->set.key = (yyvsp[-1].expr);
				(yyval.stmt)->set.set = (yyvsp[0].expr);
			}
#line 9697 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 548:
#line 3292 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = set_stmt_alloc(&(yyloc));
				(yyval.stmt)->set.op  = (yyvsp[-4].val);
				(yyval.stmt)->set.key = (yyvsp[-1].expr);
				(yyval.stmt)->set.set = (yyvsp[-3].expr);
			}
#line 9708 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 549:
#line 3299 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = set_stmt_alloc(&(yyloc));
				(yyval.stmt)->set.op  = (yyvsp[-5].val);
				(yyval.stmt)->set.key = (yyvsp[-2].expr);
				(yyval.stmt)->set.set = (yyvsp[-4].expr);
				(yyval.stmt)->set.stmt = (yyvsp[-1].stmt);
			}
#line 9720 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 550:
#line 3308 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_DYNSET_OP_ADD; }
#line 9726 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 551:
#line 3309 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_DYNSET_OP_UPDATE; }
#line 9732 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 552:
#line 3310 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_DYNSET_OP_DELETE; }
#line 9738 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 553:
#line 3314 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = map_stmt_alloc(&(yyloc));
				(yyval.stmt)->map.op  = (yyvsp[-6].val);
				(yyval.stmt)->map.key = (yyvsp[-3].expr);
				(yyval.stmt)->map.data = (yyvsp[-1].expr);
				(yyval.stmt)->map.set = (yyvsp[-5].expr);
			}
#line 9750 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 554:
#line 3322 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = map_stmt_alloc(&(yyloc));
				(yyval.stmt)->map.op  = (yyvsp[-7].val);
				(yyval.stmt)->map.key = (yyvsp[-4].expr);
				(yyval.stmt)->map.data = (yyvsp[-1].expr);
				(yyval.stmt)->map.stmt = (yyvsp[-3].stmt);
				(yyval.stmt)->map.set = (yyvsp[-6].expr);
			}
#line 9763 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 555:
#line 3333 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].stmt)->meter.key  = (yyvsp[-2].expr);
				(yyvsp[-5].stmt)->meter.stmt = (yyvsp[-1].stmt);
				(yyval.stmt)->location  = (yyloc);
				(yyval.stmt) = (yyvsp[-5].stmt);
			}
#line 9774 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 556:
#line 3339 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.stmt) = (yyvsp[0].stmt); }
#line 9780 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 557:
#line 3343 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = meter_stmt_alloc(&(yyloc));
			}
#line 9788 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 558:
#line 3349 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 9796 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 560:
#line 3356 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->meter.name = (yyvsp[0].string);
			}
#line 9804 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 561:
#line 3362 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = meter_stmt_alloc(&(yyloc));
				(yyval.stmt)->meter.name = (yyvsp[-4].string);
				(yyval.stmt)->meter.size = 0;
				(yyval.stmt)->meter.key  = (yyvsp[-2].expr);
				(yyval.stmt)->meter.stmt = (yyvsp[-1].stmt);
				(yyval.stmt)->location  = (yyloc);
			}
#line 9817 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 562:
#line 3371 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = meter_stmt_alloc(&(yyloc));
				(yyval.stmt)->meter.name = (yyvsp[-6].string);
				(yyval.stmt)->meter.size = (yyvsp[-4].val);
				(yyval.stmt)->meter.key  = (yyvsp[-2].expr);
				(yyval.stmt)->meter.stmt = (yyvsp[-1].stmt);
				(yyval.stmt)->location  = (yyloc);
			}
#line 9830 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 563:
#line 3382 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = expr_stmt_alloc(&(yyloc), (yyvsp[0].expr));
			}
#line 9838 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 564:
#line 3388 "parser_bison.y" /* yacc.c:1646  */
    {
				struct scope *scope = current_scope(state);
				struct symbol *sym;

				sym = symbol_get(scope, (yyvsp[0].string));
				if (!sym) {
					sym = symbol_lookup_fuzzy(scope, (yyvsp[0].string));
					if (sym) {
						erec_queue(error(&(yylsp[0]), "unknown identifier '%s'; "
								      "did you mean identifier ‘%s’?",
								      (yyvsp[0].string), sym->identifier),
							   state->msgs);
					} else {
						erec_queue(error(&(yylsp[0]), "unknown identifier '%s'", (yyvsp[0].string)),
							   state->msgs);
					}
					xfree((yyvsp[0].string));
					YYERROR;
				}

				(yyval.expr) = variable_expr_alloc(&(yyloc), scope, sym);
				xfree((yyvsp[0].string));
			}
#line 9866 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 566:
#line 3415 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = symbol_expr_alloc(&(yyloc), SYMBOL_VALUE,
						       current_scope(state),
						       (yyvsp[0].string));
				xfree((yyvsp[0].string));
			}
#line 9877 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 569:
#line 3428 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = symbol_expr_alloc(&(yyloc), SYMBOL_SET,
						       current_scope(state),
						       (yyvsp[0].string));
				xfree((yyvsp[0].string));
			}
#line 9888 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 570:
#line 3437 "parser_bison.y" /* yacc.c:1646  */
    {
				char str[64];

				snprintf(str, sizeof(str), "%" PRIu64, (yyvsp[0].val));
				(yyval.expr) = symbol_expr_alloc(&(yyloc), SYMBOL_VALUE,
						       current_scope(state),
						       str);
			}
#line 9901 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 571:
#line 3447 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9907 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 572:
#line 3448 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9913 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 573:
#line 3449 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9919 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 574:
#line 3450 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9925 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 575:
#line 3451 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9931 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 576:
#line 3452 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9937 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 577:
#line 3453 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9943 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 578:
#line 3454 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9949 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 579:
#line 3455 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9955 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 580:
#line 3456 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9961 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 581:
#line 3457 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9967 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 582:
#line 3458 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9973 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 583:
#line 3459 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9979 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 584:
#line 3460 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9985 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 585:
#line 3461 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[-1].expr); }
#line 9991 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 586:
#line 3465 "parser_bison.y" /* yacc.c:1646  */
    {
				if (((yyvsp[-1].val) & (NFTA_FIB_F_SADDR|NFTA_FIB_F_DADDR)) == 0) {
					erec_queue(error(&(yylsp[-1]), "fib: need either saddr or daddr"), state->msgs);
					YYERROR;
				}

				if (((yyvsp[-1].val) & (NFTA_FIB_F_SADDR|NFTA_FIB_F_DADDR)) ==
					  (NFTA_FIB_F_SADDR|NFTA_FIB_F_DADDR)) {
					erec_queue(error(&(yylsp[-1]), "fib: saddr and daddr are mutually exclusive"), state->msgs);
					YYERROR;
				}

				if (((yyvsp[-1].val) & (NFTA_FIB_F_IIF|NFTA_FIB_F_OIF)) ==
					  (NFTA_FIB_F_IIF|NFTA_FIB_F_OIF)) {
					erec_queue(error(&(yylsp[-1]), "fib: iif and oif are mutually exclusive"), state->msgs);
					YYERROR;
				}

				(yyval.expr) = fib_expr_alloc(&(yyloc), (yyvsp[-1].val), (yyvsp[0].val));
			}
#line 10016 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 587:
#line 3487 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) =NFT_FIB_RESULT_OIF; }
#line 10022 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 588:
#line 3488 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) =NFT_FIB_RESULT_OIFNAME; }
#line 10028 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 589:
#line 3489 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) =NFT_FIB_RESULT_ADDRTYPE; }
#line 10034 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 590:
#line 3492 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTA_FIB_F_SADDR; }
#line 10040 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 591:
#line 3493 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTA_FIB_F_DADDR; }
#line 10046 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 592:
#line 3494 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTA_FIB_F_MARK; }
#line 10052 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 593:
#line 3495 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTA_FIB_F_IIF; }
#line 10058 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 594:
#line 3496 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTA_FIB_F_OIF; }
#line 10064 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 595:
#line 3500 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 10072 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 597:
#line 3507 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = osf_expr_alloc(&(yyloc), (yyvsp[-1].val), NFT_OSF_F_VERSION);
			}
#line 10080 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 598:
#line 3511 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = osf_expr_alloc(&(yyloc), (yyvsp[-1].val), 0);
			}
#line 10088 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 599:
#line 3517 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_OSF_TTL_TRUE;
			}
#line 10096 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 600:
#line 3521 "parser_bison.y" /* yacc.c:1646  */
    {
				if (!strcmp((yyvsp[0].string), "loose"))
					(yyval.val) = NF_OSF_TTL_LESS;
				else if (!strcmp((yyvsp[0].string), "skip"))
					(yyval.val) = NF_OSF_TTL_NOCHECK;
				else {
					erec_queue(error(&(yylsp[0]), "invalid ttl option"),
						   state->msgs);
					YYERROR;
				}
			}
#line 10112 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 602:
#line 3536 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_LSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10120 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 603:
#line 3540 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_RSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10128 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 605:
#line 3547 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_AND, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10136 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 607:
#line 3554 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_XOR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10144 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 609:
#line 3561 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_OR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10152 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 612:
#line 3571 "parser_bison.y" /* yacc.c:1646  */
    {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 10165 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 613:
#line 3582 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = prefix_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].val));
			}
#line 10173 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 614:
#line 3588 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = range_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10181 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 617:
#line 3598 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = map_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10189 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 621:
#line 3609 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 10198 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 622:
#line 3616 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = set_expr_alloc(&(yyloc), NULL);
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 10207 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 623:
#line 3621 "parser_bison.y" /* yacc.c:1646  */
    {
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 10216 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 625:
#line 3629 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 10224 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 626:
#line 3633 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 10232 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 627:
#line 3637 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = mapping_expr_alloc(&(yyloc), (yyvsp[-3].expr), (yyvsp[-1].expr));
			}
#line 10240 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 629:
#line 3644 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 10249 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 630:
#line 3651 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = set_elem_expr_alloc(&(yylsp[0]), (yyvsp[0].expr));
			}
#line 10257 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 633:
#line 3661 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = set_elem_expr_alloc(&(yylsp[0]), (yyvsp[0].expr));
			}
#line 10265 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 634:
#line 3667 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr)	= (yyvsp[-1].expr);
			}
#line 10273 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 636:
#line 3674 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].expr)->timeout = (yyvsp[0].val);
			}
#line 10281 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 637:
#line 3678 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].expr)->expiration = (yyvsp[0].val);
			}
#line 10289 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 638:
#line 3682 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].expr)->comment = (yyvsp[0].string);
			}
#line 10297 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 639:
#line 3688 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr)	= (yyvsp[-1].expr);
			}
#line 10305 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 641:
#line 3695 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].expr)->timeout = (yyvsp[0].val);
			}
#line 10313 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 642:
#line 3699 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].expr)->expiration = (yyvsp[0].val);
			}
#line 10321 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 643:
#line 3703 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].expr)->stmt = counter_stmt_alloc(&(yyloc));
			}
#line 10329 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 644:
#line 3707 "parser_bison.y" /* yacc.c:1646  */
    {
				struct stmt *stmt;

				stmt = counter_stmt_alloc(&(yyloc));
				stmt->counter.packets = (yyvsp[-2].val);
				stmt->counter.bytes = (yyvsp[0].val);
				(yyvsp[-5].expr)->stmt = stmt;
			}
#line 10342 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 645:
#line 3716 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].expr)->comment = (yyvsp[0].string);
			}
#line 10350 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 652:
#line 3734 "parser_bison.y" /* yacc.c:1646  */
    {
				struct counter *counter;

				counter = &(yyvsp[-4].obj)->counter;
				counter->packets = (yyvsp[-2].val);
				counter->bytes = (yyvsp[0].val);
			}
#line 10362 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 653:
#line 3744 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_COUNTER;
			}
#line 10371 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 654:
#line 3751 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				struct quota *quota;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[-1].string), &rate);
				xfree((yyvsp[-1].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}

				quota = &(yyvsp[-4].obj)->quota;
				quota->bytes	= (yyvsp[-2].val) * rate;
				quota->used	= (yyvsp[0].val);
				quota->flags	= (yyvsp[-3].val);
			}
#line 10393 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 655:
#line 3771 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_QUOTA;
			}
#line 10402 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 656:
#line 3778 "parser_bison.y" /* yacc.c:1646  */
    {
				int ret;
				struct secmark *secmark;

				secmark = &(yyvsp[-1].obj)->secmark;
				ret = snprintf(secmark->ctx, sizeof(secmark->ctx), "%s", (yyvsp[0].string));
				if (ret <= 0 || ret >= (int)sizeof(secmark->ctx)) {
					erec_queue(error(&(yylsp[0]), "invalid context '%s', max length is %u\n", (yyvsp[0].string), (int)sizeof(secmark->ctx)), state->msgs);
					xfree((yyvsp[0].string));
					YYERROR;
				}
				xfree((yyvsp[0].string));
			}
#line 10420 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 657:
#line 3794 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_SECMARK;
			}
#line 10429 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 658:
#line 3800 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_OBJECT_CT_HELPER; }
#line 10435 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 659:
#line 3801 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_OBJECT_CT_TIMEOUT; }
#line 10441 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 660:
#line 3802 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_OBJECT_CT_EXPECT; }
#line 10447 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 661:
#line 3805 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPPROTO_TCP; }
#line 10453 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 662:
#line 3806 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPPROTO_UDP; }
#line 10459 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 663:
#line 3810 "parser_bison.y" /* yacc.c:1646  */
    {
				struct ct_helper *ct;
				int ret;

				ct = &(yyvsp[-5].obj)->ct_helper;

				ret = snprintf(ct->name, sizeof(ct->name), "%s", (yyvsp[-3].string));
				if (ret <= 0 || ret >= (int)sizeof(ct->name)) {
					erec_queue(error(&(yylsp[-3]), "invalid name '%s', max length is %u\n", (yyvsp[-3].string), (int)sizeof(ct->name)), state->msgs);
					YYERROR;
				}

				ct->l4proto = (yyvsp[-1].val);
			}
#line 10478 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 664:
#line 3825 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].obj)->ct_helper.l3proto = (yyvsp[-1].val);
			}
#line 10486 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 665:
#line 3831 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.list) = xmalloc(sizeof(*(yyval.list)));
				init_list_head((yyval.list));
				list_add_tail((yyvsp[0].list), (yyval.list));
			}
#line 10496 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 666:
#line 3837 "parser_bison.y" /* yacc.c:1646  */
    {
				list_add_tail((yyvsp[0].list), (yyvsp[-2].list));
				(yyval.list) = (yyvsp[-2].list);
			}
#line 10505 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 667:
#line 3845 "parser_bison.y" /* yacc.c:1646  */
    {
				struct timeout_state *ts;

				ts = xzalloc(sizeof(*ts));
				ts->timeout_str = (yyvsp[-2].string);
				ts->timeout_value = (yyvsp[0].val);
				ts->location = (yylsp[-2]);
				init_list_head(&ts->head);
				(yyval.list) = &ts->head;
			}
#line 10520 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 668:
#line 3858 "parser_bison.y" /* yacc.c:1646  */
    {
				struct ct_timeout *ct;
				int l4proto = (yyvsp[-1].val);

				ct = &(yyvsp[-3].obj)->ct_timeout;
				ct->l4proto = l4proto;
			}
#line 10532 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 669:
#line 3866 "parser_bison.y" /* yacc.c:1646  */
    {
				struct ct_timeout *ct;

				ct = &(yyvsp[-6].obj)->ct_timeout;
				init_list_head(&ct->timeout_list);
				list_splice_tail((yyvsp[-2].list), &ct->timeout_list);
			}
#line 10544 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 670:
#line 3874 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].obj)->ct_timeout.l3proto = (yyvsp[-1].val);
			}
#line 10552 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 671:
#line 3880 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].obj)->ct_expect.l4proto = (yyvsp[-1].val);
			}
#line 10560 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 672:
#line 3884 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].obj)->ct_expect.dport = (yyvsp[-1].val);
			}
#line 10568 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 673:
#line 3888 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].obj)->ct_expect.timeout = (yyvsp[-1].val);
			}
#line 10576 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 674:
#line 3892 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].obj)->ct_expect.size = (yyvsp[-1].val);
			}
#line 10584 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 675:
#line 3896 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].obj)->ct_expect.l3proto = (yyvsp[-1].val);
			}
#line 10592 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 676:
#line 3902 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = obj_alloc(&(yyloc));
			}
#line 10600 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 677:
#line 3908 "parser_bison.y" /* yacc.c:1646  */
    {
				struct limit *limit;

				limit = &(yyvsp[-6].obj)->limit;
				limit->rate	= (yyvsp[-3].val);
				limit->unit	= (yyvsp[-1].val);
				limit->burst	= (yyvsp[0].val);
				limit->type	= NFT_LIMIT_PKTS;
				limit->flags	= (yyvsp[-4].val);
			}
#line 10615 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 678:
#line 3919 "parser_bison.y" /* yacc.c:1646  */
    {
				struct limit *limit;
				struct error_record *erec;
				uint64_t rate, unit;

				erec = rate_parse(&(yyloc), (yyvsp[-1].string), &rate, &unit);
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}

				limit = &(yyvsp[-5].obj)->limit;
				limit->rate	= rate * (yyvsp[-2].val);
				limit->unit	= unit;
				limit->burst	= (yyvsp[0].val);
				limit->type	= NFT_LIMIT_PKT_BYTES;
				limit->flags	= (yyvsp[-3].val);
			}
#line 10638 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 679:
#line 3940 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_LIMIT;
			}
#line 10647 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 680:
#line 3947 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = relational_expr_alloc(&(yyloc), OP_IMPLICIT, (yyvsp[-1].expr), (yyvsp[0].expr));
			}
#line 10655 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 681:
#line 3951 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = relational_expr_alloc(&(yyloc), OP_IMPLICIT, (yyvsp[-1].expr), (yyvsp[0].expr));
			}
#line 10663 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 682:
#line 3955 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = relational_expr_alloc(&(yylsp[-1]), (yyvsp[-1].val), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10671 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 683:
#line 3961 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = list_expr_alloc(&(yyloc));
				compound_expr_add((yyval.expr), (yyvsp[-2].expr));
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 10681 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 684:
#line 3967 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].expr)->location = (yyloc);
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 10691 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 685:
#line 3974 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10697 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 686:
#line 3975 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10703 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 687:
#line 3976 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10709 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 688:
#line 3977 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10715 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 690:
#line 3982 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_LSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10723 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 691:
#line 3986 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_RSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10731 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 693:
#line 3993 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_AND, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10739 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4000 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_XOR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10747 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4007 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_OR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10755 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4018 "parser_bison.y" /* yacc.c:1646  */
    {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 10768 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4027 "parser_bison.y" /* yacc.c:1646  */
    {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 10781 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4037 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val8) = true; }
#line 10787 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4038 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val8) = false; }
#line 10793 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4042 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = constant_expr_alloc(&(yyloc), &boolean_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof((yyvsp[0].val8)) * BITS_PER_BYTE, &(yyvsp[0].val8));
			}
#line 10803 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4049 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "ether"); }
#line 10809 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4050 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "ip"); }
#line 10815 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4051 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "ip6"); }
#line 10821 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4052 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "vlan"); }
#line 10827 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4053 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "arp"); }
#line 10833 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4054 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "dnat"); }
#line 10839 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4055 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "snat"); }
#line 10845 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4056 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "ecn"); }
#line 10851 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4057 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "reset"); }
#line 10857 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4058 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "original"); }
#line 10863 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4059 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "reply"); }
#line 10869 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4060 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "label"); }
#line 10875 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4063 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10881 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4064 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10887 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 720:
#line 4065 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10893 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 721:
#line 4066 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10899 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 722:
#line 4068 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_TCP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 10910 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 723:
#line 4075 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_UDP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 10921 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 724:
#line 4082 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_UDPLITE;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 10932 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 725:
#line 4089 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_ESP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 10943 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 726:
#line 4096 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_AH;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 10954 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 727:
#line 4103 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_ICMP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 10965 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 728:
#line 4110 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_IGMP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 10976 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 729:
#line 4117 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_ICMPV6;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 10987 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 730:
#line 4124 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_COMP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 10998 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 731:
#line 4131 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_DCCP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 11009 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 732:
#line 4138 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_SCTP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 11020 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 733:
#line 4145 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = ICMP_REDIRECT;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &icmp_type_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 11031 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 734:
#line 4151 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[-1].expr); }
#line 11037 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 735:
#line 4154 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = OP_EQ; }
#line 11043 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 736:
#line 4155 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = OP_NEQ; }
#line 11049 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 737:
#line 4156 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = OP_LT; }
#line 11055 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 738:
#line 4157 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = OP_GT; }
#line 11061 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 739:
#line 4158 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = OP_GTE; }
#line 11067 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 740:
#line 4159 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = OP_LTE; }
#line 11073 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 741:
#line 4163 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NF_ACCEPT, NULL);
			}
#line 11081 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 742:
#line 4167 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NF_DROP, NULL);
			}
#line 11089 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 743:
#line 4171 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_CONTINUE, NULL);
			}
#line 11097 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 744:
#line 4175 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_JUMP, (yyvsp[0].expr));
			}
#line 11105 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 745:
#line 4179 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_GOTO, (yyvsp[0].expr));
			}
#line 11113 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 746:
#line 4183 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_RETURN, NULL);
			}
#line 11121 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 748:
#line 4190 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = constant_expr_alloc(&(yyloc), &string_type,
							 BYTEORDER_HOST_ENDIAN,
							 strlen((yyvsp[0].string)) * BITS_PER_BYTE,
							 (yyvsp[0].string));
				xfree((yyvsp[0].string));
			}
#line 11133 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 749:
#line 4200 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = meta_expr_alloc(&(yyloc), (yyvsp[0].val));
			}
#line 11141 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 750:
#line 4204 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = meta_expr_alloc(&(yyloc), (yyvsp[0].val));
			}
#line 11149 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 751:
#line 4208 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				unsigned int key;

				erec = meta_key_parse(&(yyloc), (yyvsp[0].string), &key);
				xfree((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}

				(yyval.expr) = meta_expr_alloc(&(yyloc), key);
			}
#line 11167 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 754:
#line 4227 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_LEN; }
#line 11173 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 755:
#line 4228 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_PROTOCOL; }
#line 11179 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 756:
#line 4229 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_PRIORITY; }
#line 11185 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 757:
#line 4230 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_PRANDOM; }
#line 11191 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 758:
#line 4231 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_SECMARK; }
#line 11197 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 759:
#line 4234 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_MARK; }
#line 11203 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 760:
#line 4235 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_IIF; }
#line 11209 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 761:
#line 4236 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_IIFNAME; }
#line 11215 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 762:
#line 4237 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_IIFTYPE; }
#line 11221 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 763:
#line 4238 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_OIF; }
#line 11227 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 764:
#line 4239 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_OIFNAME; }
#line 11233 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 765:
#line 4240 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_OIFTYPE; }
#line 11239 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 766:
#line 4241 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_SKUID; }
#line 11245 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 767:
#line 4242 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_SKGID; }
#line 11251 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 768:
#line 4243 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_NFTRACE; }
#line 11257 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 769:
#line 4244 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_RTCLASSID; }
#line 11263 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 770:
#line 4245 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_BRI_IIFNAME; }
#line 11269 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 771:
#line 4246 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_BRI_OIFNAME; }
#line 11275 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 772:
#line 4247 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_BRI_IIFNAME; }
#line 11281 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 773:
#line 4248 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_BRI_OIFNAME; }
#line 11287 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 774:
#line 4249 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_PKTTYPE; }
#line 11293 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 775:
#line 4250 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_CPU; }
#line 11299 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 776:
#line 4251 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_IIFGROUP; }
#line 11305 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 777:
#line 4252 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_OIFGROUP; }
#line 11311 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 778:
#line 4253 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_CGROUP; }
#line 11317 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 779:
#line 4254 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_SECPATH; }
#line 11323 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 780:
#line 4255 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_TIME_NS; }
#line 11329 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 781:
#line 4256 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_TIME_DAY; }
#line 11335 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 782:
#line 4257 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_TIME_HOUR; }
#line 11341 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 783:
#line 4261 "parser_bison.y" /* yacc.c:1646  */
    {
				switch ((yyvsp[-2].val)) {
				case NFT_META_SECMARK:
					switch ((yyvsp[0].expr)->etype) {
					case EXPR_CT:
						(yyval.stmt) = meta_stmt_alloc(&(yyloc), (yyvsp[-2].val), (yyvsp[0].expr));
						break;
					default:
						(yyval.stmt) = objref_stmt_alloc(&(yyloc));
						(yyval.stmt)->objref.type = NFT_OBJECT_SECMARK;
						(yyval.stmt)->objref.expr = (yyvsp[0].expr);
						break;
					}
					break;
				default:
					(yyval.stmt) = meta_stmt_alloc(&(yyloc), (yyvsp[-2].val), (yyvsp[0].expr));
					break;
				}
			}
#line 11365 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 784:
#line 4281 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = meta_stmt_alloc(&(yyloc), (yyvsp[-2].val), (yyvsp[0].expr));
			}
#line 11373 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 785:
#line 4285 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				unsigned int key;

				erec = meta_key_parse(&(yyloc), (yyvsp[-2].string), &key);
				xfree((yyvsp[-2].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}

				(yyval.stmt) = meta_stmt_alloc(&(yyloc), key, (yyvsp[0].expr));
			}
#line 11391 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 786:
#line 4299 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = notrack_stmt_alloc(&(yyloc));
			}
#line 11399 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 787:
#line 4303 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = flow_offload_stmt_alloc(&(yyloc), (yyvsp[0].string));
			}
#line 11407 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 788:
#line 4307 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = flow_offload_stmt_alloc(&(yyloc), (yyvsp[0].string));
			}
#line 11415 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 789:
#line 4313 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = socket_expr_alloc(&(yyloc), (yyvsp[0].val));
			}
#line 11423 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 790:
#line 4318 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SOCKET_TRANSPARENT; }
#line 11429 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 791:
#line 4319 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SOCKET_MARK; }
#line 11435 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 792:
#line 4322 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 11441 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 793:
#line 4323 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = (yyvsp[0].val); }
#line 11447 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 794:
#line 4326 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_NG_INCREMENTAL; }
#line 11453 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 795:
#line 4327 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_NG_RANDOM; }
#line 11459 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 796:
#line 4331 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = numgen_expr_alloc(&(yyloc), (yyvsp[-4].val), (yyvsp[-2].val), (yyvsp[-1].val));
			}
#line 11467 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 797:
#line 4336 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = (yyvsp[0].val); }
#line 11473 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 798:
#line 4337 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 11479 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 799:
#line 4340 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = XFRM_POLICY_IN; }
#line 11485 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 800:
#line 4341 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = XFRM_POLICY_OUT; }
#line 11491 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 801:
#line 4344 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_XFRM_KEY_SPI; }
#line 11497 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 802:
#line 4345 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_XFRM_KEY_REQID; }
#line 11503 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 803:
#line 4348 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_XFRM_KEY_DADDR_IP4; }
#line 11509 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 804:
#line 4349 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_XFRM_KEY_SADDR_IP4; }
#line 11515 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 805:
#line 4353 "parser_bison.y" /* yacc.c:1646  */
    {
				if ((yyvsp[-1].val) > 255) {
					erec_queue(error(&(yylsp[-1]), "value too large"), state->msgs);
					YYERROR;
				}
				(yyval.expr) = xfrm_expr_alloc(&(yyloc), (yyvsp[-2].val), (yyvsp[-1].val), (yyvsp[0].val));
			}
#line 11527 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 806:
#line 4361 "parser_bison.y" /* yacc.c:1646  */
    {
				enum nft_xfrm_keys xfrmk = (yyvsp[0].val);

				switch ((yyvsp[-1].val)) {
				case NFPROTO_IPV4:
					break;
				case NFPROTO_IPV6:
					if ((yyvsp[0].val) == NFT_XFRM_KEY_SADDR_IP4)
						xfrmk = NFT_XFRM_KEY_SADDR_IP6;
					else if ((yyvsp[0].val) == NFT_XFRM_KEY_DADDR_IP4)
						xfrmk = NFT_XFRM_KEY_DADDR_IP6;
					break;
				default:
					YYERROR;
					break;
				}

				if ((yyvsp[-2].val) > 255) {
					erec_queue(error(&(yylsp[-2]), "value too large"), state->msgs);
					YYERROR;
				}

				(yyval.expr) = xfrm_expr_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-2].val), xfrmk);
			}
#line 11556 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 807:
#line 4388 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = hash_expr_alloc(&(yyloc), (yyvsp[-4].val), true, (yyvsp[-2].val), (yyvsp[-1].val), NFT_HASH_JENKINS);
				(yyval.expr)->hash.expr = (yyvsp[-6].expr);
			}
#line 11565 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 808:
#line 4393 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = hash_expr_alloc(&(yyloc), (yyvsp[-2].val), false, 0, (yyvsp[-1].val), NFT_HASH_JENKINS);
				(yyval.expr)->hash.expr = (yyvsp[-4].expr);
			}
#line 11574 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 809:
#line 4398 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = hash_expr_alloc(&(yyloc), (yyvsp[-2].val), false, 0, (yyvsp[-1].val), NFT_HASH_SYM);
			}
#line 11582 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 810:
#line 4403 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_IPV4; }
#line 11588 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 811:
#line 4404 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_IPV6; }
#line 11594 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 812:
#line 4408 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = rt_expr_alloc(&(yyloc), (yyvsp[0].val), true);
			}
#line 11602 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 813:
#line 4412 "parser_bison.y" /* yacc.c:1646  */
    {
				enum nft_rt_keys rtk = (yyvsp[0].val);

				switch ((yyvsp[-1].val)) {
				case NFPROTO_IPV4:
					break;
				case NFPROTO_IPV6:
					if ((yyvsp[0].val) == NFT_RT_NEXTHOP4)
						rtk = NFT_RT_NEXTHOP6;
					break;
				default:
					YYERROR;
					break;
				}

				(yyval.expr) = rt_expr_alloc(&(yyloc), rtk, false);
			}
#line 11624 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 814:
#line 4431 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_RT_CLASSID; }
#line 11630 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 815:
#line 4432 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_RT_NEXTHOP4; }
#line 11636 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 816:
#line 4433 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_RT_TCPMSS; }
#line 11642 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 817:
#line 4434 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_RT_XFRM; }
#line 11648 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 818:
#line 4438 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = ct_expr_alloc(&(yyloc), (yyvsp[0].val), -1);
			}
#line 11656 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 819:
#line 4442 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = ct_expr_alloc(&(yyloc), (yyvsp[0].val), (yyvsp[-1].val));
			}
#line 11664 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 820:
#line 4446 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = ct_expr_alloc(&(yyloc), (yyvsp[0].val), (yyvsp[-1].val));
			}
#line 11672 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 821:
#line 4451 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP_CT_DIR_ORIGINAL; }
#line 11678 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 822:
#line 4452 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP_CT_DIR_REPLY; }
#line 11684 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 823:
#line 4455 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_L3PROTOCOL; }
#line 11690 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 824:
#line 4456 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_PROTOCOL; }
#line 11696 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 825:
#line 4457 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_MARK; }
#line 11702 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 826:
#line 4458 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_STATE; }
#line 11708 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 827:
#line 4459 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_DIRECTION; }
#line 11714 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 828:
#line 4460 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_STATUS; }
#line 11720 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 829:
#line 4461 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_EXPIRATION; }
#line 11726 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 830:
#line 4462 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_HELPER; }
#line 11732 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 831:
#line 4463 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_SRC; }
#line 11738 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 832:
#line 4464 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_DST; }
#line 11744 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 833:
#line 4465 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_PROTO_SRC; }
#line 11750 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 834:
#line 4466 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_PROTO_DST; }
#line 11756 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 835:
#line 4467 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_LABELS; }
#line 11762 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 836:
#line 4468 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_EVENTMASK; }
#line 11768 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 837:
#line 4469 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_SECMARK; }
#line 11774 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 839:
#line 4473 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_SRC; }
#line 11780 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 840:
#line 4474 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_DST; }
#line 11786 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 841:
#line 4475 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_L3PROTOCOL; }
#line 11792 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 842:
#line 4476 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_PROTOCOL; }
#line 11798 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 843:
#line 4477 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_PROTO_SRC; }
#line 11804 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 844:
#line 4478 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_PROTO_DST; }
#line 11810 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 846:
#line 4482 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_SRC_IP; }
#line 11816 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 847:
#line 4483 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_DST_IP; }
#line 11822 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 848:
#line 4484 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_SRC_IP6; }
#line 11828 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 849:
#line 4485 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_DST_IP6; }
#line 11834 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 850:
#line 4488 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_BYTES; }
#line 11840 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 851:
#line 4489 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_PKTS; }
#line 11846 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 852:
#line 4490 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_AVGPKT; }
#line 11852 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 853:
#line 4491 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_ZONE; }
#line 11858 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 856:
#line 4499 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = list_expr_alloc(&(yyloc));
				compound_expr_add((yyval.expr), (yyvsp[-2].expr));
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 11868 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 857:
#line 4505 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].expr)->location = (yyloc);
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 11878 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 858:
#line 4513 "parser_bison.y" /* yacc.c:1646  */
    {
				switch ((yyvsp[-2].val)) {
				case NFT_CT_HELPER:
					(yyval.stmt) = objref_stmt_alloc(&(yyloc));
					(yyval.stmt)->objref.type = NFT_OBJECT_CT_HELPER;
					(yyval.stmt)->objref.expr = (yyvsp[0].expr);
					break;
				default:
					(yyval.stmt) = ct_stmt_alloc(&(yyloc), (yyvsp[-2].val), -1, (yyvsp[0].expr));
					break;
				}
			}
#line 11895 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 859:
#line 4526 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_CT_TIMEOUT;
				(yyval.stmt)->objref.expr = (yyvsp[0].expr);

			}
#line 11906 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 860:
#line 4533 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_CT_EXPECT;
				(yyval.stmt)->objref.expr = (yyvsp[0].expr);
			}
#line 11916 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 861:
#line 4539 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = ct_stmt_alloc(&(yyloc), (yyvsp[-2].val), (yyvsp[-3].val), (yyvsp[0].expr));
			}
#line 11924 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 862:
#line 4545 "parser_bison.y" /* yacc.c:1646  */
    {
				if ((yyvsp[-2].expr)->etype == EXPR_EXTHDR)
					(yyval.stmt) = exthdr_stmt_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
				else
					(yyval.stmt) = payload_stmt_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 11935 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 881:
#line 4574 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), NULL, 0);
				payload_init_raw((yyval.expr), (yyvsp[-4].val), (yyvsp[-2].val), (yyvsp[0].val));
				(yyval.expr)->byteorder		= BYTEORDER_BIG_ENDIAN;
				(yyval.expr)->payload.is_raw	= true;
			}
#line 11946 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 882:
#line 4582 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = PROTO_BASE_LL_HDR; }
#line 11952 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 883:
#line 4583 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = PROTO_BASE_NETWORK_HDR; }
#line 11958 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 884:
#line 4584 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = PROTO_BASE_TRANSPORT_HDR; }
#line 11964 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 885:
#line 4588 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_eth, (yyvsp[0].val));
			}
#line 11972 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 886:
#line 4593 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ETHHDR_SADDR; }
#line 11978 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 887:
#line 4594 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ETHHDR_DADDR; }
#line 11984 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 888:
#line 4595 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ETHHDR_TYPE; }
#line 11990 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 889:
#line 4599 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_vlan, (yyvsp[0].val));
			}
#line 11998 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 890:
#line 4604 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = VLANHDR_VID; }
#line 12004 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 891:
#line 4605 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = VLANHDR_CFI; }
#line 12010 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 892:
#line 4606 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = VLANHDR_PCP; }
#line 12016 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 893:
#line 4607 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = VLANHDR_TYPE; }
#line 12022 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 894:
#line 4611 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_arp, (yyvsp[0].val));
			}
#line 12030 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 895:
#line 4616 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_HRD; }
#line 12036 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 896:
#line 4617 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_PRO; }
#line 12042 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 897:
#line 4618 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_HLN; }
#line 12048 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 898:
#line 4619 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_PLN; }
#line 12054 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 899:
#line 4620 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_OP; }
#line 12060 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 900:
#line 4621 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_SADDR_ETHER; }
#line 12066 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 901:
#line 4622 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_DADDR_ETHER; }
#line 12072 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 902:
#line 4623 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_SADDR_IP; }
#line 12078 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 903:
#line 4624 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_DADDR_IP; }
#line 12084 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 904:
#line 4628 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_ip, (yyvsp[0].val));
			}
#line 12092 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 905:
#line 4632 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = ipopt_expr_alloc(&(yyloc), (yyvsp[-1].val), (yyvsp[0].val), 0);
			}
#line 12100 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 906:
#line 4636 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = ipopt_expr_alloc(&(yyloc), (yyvsp[0].val), IPOPT_FIELD_TYPE, 0);
				(yyval.expr)->exthdr.flags = NFT_EXTHDR_F_PRESENT;
			}
#line 12109 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 907:
#line 4642 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_VERSION; }
#line 12115 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 908:
#line 4643 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_HDRLENGTH; }
#line 12121 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 909:
#line 4644 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_DSCP; }
#line 12127 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 910:
#line 4645 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_ECN; }
#line 12133 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 911:
#line 4646 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_LENGTH; }
#line 12139 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 912:
#line 4647 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_ID; }
#line 12145 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 913:
#line 4648 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_FRAG_OFF; }
#line 12151 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 914:
#line 4649 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_TTL; }
#line 12157 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 915:
#line 4650 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_PROTOCOL; }
#line 12163 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 916:
#line 4651 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_CHECKSUM; }
#line 12169 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 917:
#line 4652 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_SADDR; }
#line 12175 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 918:
#line 4653 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_DADDR; }
#line 12181 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 919:
#line 4656 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_LSRR; }
#line 12187 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 920:
#line 4657 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_RR; }
#line 12193 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 921:
#line 4658 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_SSRR; }
#line 12199 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 922:
#line 4659 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_RA; }
#line 12205 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 923:
#line 4662 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_FIELD_TYPE; }
#line 12211 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 924:
#line 4663 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_FIELD_LENGTH; }
#line 12217 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 925:
#line 4664 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_FIELD_VALUE; }
#line 12223 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 926:
#line 4665 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_FIELD_PTR; }
#line 12229 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 927:
#line 4666 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_FIELD_ADDR_0; }
#line 12235 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 928:
#line 4670 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_icmp, (yyvsp[0].val));
			}
#line 12243 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 929:
#line 4675 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMPHDR_TYPE; }
#line 12249 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 930:
#line 4676 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMPHDR_CODE; }
#line 12255 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 931:
#line 4677 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMPHDR_CHECKSUM; }
#line 12261 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 932:
#line 4678 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMPHDR_ID; }
#line 12267 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 933:
#line 4679 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMPHDR_SEQ; }
#line 12273 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 934:
#line 4680 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMPHDR_GATEWAY; }
#line 12279 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 935:
#line 4681 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMPHDR_MTU; }
#line 12285 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 936:
#line 4685 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_igmp, (yyvsp[0].val));
			}
#line 12293 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 937:
#line 4690 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IGMPHDR_TYPE; }
#line 12299 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 938:
#line 4691 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IGMPHDR_CHECKSUM; }
#line 12305 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 939:
#line 4692 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IGMPHDR_MRT; }
#line 12311 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 940:
#line 4693 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IGMPHDR_GROUP; }
#line 12317 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 941:
#line 4697 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_ip6, (yyvsp[0].val));
			}
#line 12325 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 942:
#line 4702 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_VERSION; }
#line 12331 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 943:
#line 4703 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_DSCP; }
#line 12337 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 944:
#line 4704 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_ECN; }
#line 12343 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 945:
#line 4705 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_FLOWLABEL; }
#line 12349 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 946:
#line 4706 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_LENGTH; }
#line 12355 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 947:
#line 4707 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_NEXTHDR; }
#line 12361 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 948:
#line 4708 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_HOPLIMIT; }
#line 12367 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 949:
#line 4709 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_SADDR; }
#line 12373 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 950:
#line 4710 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_DADDR; }
#line 12379 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 951:
#line 4713 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_icmp6, (yyvsp[0].val));
			}
#line 12387 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 952:
#line 4718 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_TYPE; }
#line 12393 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 953:
#line 4719 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_CODE; }
#line 12399 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 954:
#line 4720 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_CHECKSUM; }
#line 12405 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 955:
#line 4721 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_PPTR; }
#line 12411 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 956:
#line 4722 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_MTU; }
#line 12417 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 957:
#line 4723 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_ID; }
#line 12423 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 958:
#line 4724 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_SEQ; }
#line 12429 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 959:
#line 4725 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_MAXDELAY; }
#line 12435 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 960:
#line 4729 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_ah, (yyvsp[0].val));
			}
#line 12443 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 961:
#line 4734 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = AHHDR_NEXTHDR; }
#line 12449 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 962:
#line 4735 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = AHHDR_HDRLENGTH; }
#line 12455 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 963:
#line 4736 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = AHHDR_RESERVED; }
#line 12461 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 964:
#line 4737 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = AHHDR_SPI; }
#line 12467 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 965:
#line 4738 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = AHHDR_SEQUENCE; }
#line 12473 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 966:
#line 4742 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_esp, (yyvsp[0].val));
			}
#line 12481 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 967:
#line 4747 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ESPHDR_SPI; }
#line 12487 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 968:
#line 4748 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ESPHDR_SEQUENCE; }
#line 12493 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 969:
#line 4752 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_comp, (yyvsp[0].val));
			}
#line 12501 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 970:
#line 4757 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = COMPHDR_NEXTHDR; }
#line 12507 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 971:
#line 4758 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = COMPHDR_FLAGS; }
#line 12513 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 972:
#line 4759 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = COMPHDR_CPI; }
#line 12519 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 973:
#line 4763 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_udp, (yyvsp[0].val));
			}
#line 12527 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 974:
#line 4768 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_SPORT; }
#line 12533 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 975:
#line 4769 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_DPORT; }
#line 12539 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 976:
#line 4770 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_LENGTH; }
#line 12545 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 977:
#line 4771 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_CHECKSUM; }
#line 12551 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 978:
#line 4775 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_udplite, (yyvsp[0].val));
			}
#line 12559 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 979:
#line 4780 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_SPORT; }
#line 12565 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 980:
#line 4781 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_DPORT; }
#line 12571 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 981:
#line 4782 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_LENGTH; }
#line 12577 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 982:
#line 4783 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_CHECKSUM; }
#line 12583 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 983:
#line 4787 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_tcp, (yyvsp[0].val));
			}
#line 12591 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 984:
#line 4791 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = tcpopt_expr_alloc(&(yyloc), (yyvsp[-1].val), (yyvsp[0].val));
			}
#line 12599 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 985:
#line 4795 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = tcpopt_expr_alloc(&(yyloc), (yyvsp[0].val), TCPOPT_COMMON_KIND);
				(yyval.expr)->exthdr.flags = NFT_EXTHDR_F_PRESENT;
			}
#line 12608 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 986:
#line 4800 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = tcpopt_expr_alloc(&(yyloc), (yyvsp[-4].val), 0);
				tcpopt_init_raw((yyval.expr), (yyvsp[-4].val), (yyvsp[-2].val), (yyvsp[0].val), 0);
			}
#line 12617 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 987:
#line 4806 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_SPORT; }
#line 12623 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 988:
#line 4807 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_DPORT; }
#line 12629 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 989:
#line 4808 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_SEQ; }
#line 12635 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 990:
#line 4809 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_ACKSEQ; }
#line 12641 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 991:
#line 4810 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_DOFF; }
#line 12647 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 992:
#line 4811 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_RESERVED; }
#line 12653 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 993:
#line 4812 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_FLAGS; }
#line 12659 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 994:
#line 4813 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_WINDOW; }
#line 12665 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 995:
#line 4814 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_CHECKSUM; }
#line 12671 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 996:
#line 4815 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_URGPTR; }
#line 12677 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 997:
#line 4818 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_EOL; }
#line 12683 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 998:
#line 4819 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_NOP; }
#line 12689 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 999:
#line 4820 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_MAXSEG; }
#line 12695 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 4821 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_WINDOW; }
#line 12701 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 4822 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_SACK_PERMITTED; }
#line 12707 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 4823 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_SACK; }
#line 12713 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 4824 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_SACK; }
#line 12719 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 4825 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_SACK1; }
#line 12725 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 4826 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_SACK2; }
#line 12731 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 4827 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_SACK3; }
#line 12737 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 4828 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_ECHO; }
#line 12743 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 4829 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_TIMESTAMP; }
#line 12749 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 4830 "parser_bison.y" /* yacc.c:1646  */
    {
				if ((yyvsp[0].val) > 255) {
					erec_queue(error(&(yylsp[0]), "value too large"), state->msgs);
					YYERROR;
				}
				(yyval.val) = (yyvsp[0].val);
			}
#line 12761 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 4839 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_COMMON_KIND; }
#line 12767 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 4840 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_COMMON_LENGTH; }
#line 12773 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 4841 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_MAXSEG_SIZE; }
#line 12779 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 4842 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_WINDOW_COUNT; }
#line 12785 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 4843 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_SACK_LEFT; }
#line 12791 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 4844 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_SACK_RIGHT; }
#line 12797 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 4845 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_TS_TSVAL; }
#line 12803 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 4846 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_TS_TSECR; }
#line 12809 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 4850 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_dccp, (yyvsp[0].val));
			}
#line 12817 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 4855 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = DCCPHDR_SPORT; }
#line 12823 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 4856 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = DCCPHDR_DPORT; }
#line 12829 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 4857 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = DCCPHDR_TYPE; }
#line 12835 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 4860 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_DATA; }
#line 12841 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 4861 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_INIT; }
#line 12847 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 4862 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_INIT_ACK; }
#line 12853 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 4863 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_SACK; }
#line 12859 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 4864 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_HEARTBEAT; }
#line 12865 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 4865 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_HEARTBEAT_ACK; }
#line 12871 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 4866 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_ABORT; }
#line 12877 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 4867 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_SHUTDOWN; }
#line 12883 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 4868 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_SHUTDOWN_ACK; }
#line 12889 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 4869 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_ERROR; }
#line 12895 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 4870 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_COOKIE_ECHO; }
#line 12901 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 4871 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_COOKIE_ACK; }
#line 12907 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 4872 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_ECNE; }
#line 12913 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 4873 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_CWR; }
#line 12919 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 4874 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_SHUTDOWN_COMPLETE; }
#line 12925 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 4875 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_ASCONF_ACK; }
#line 12931 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 4876 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_FORWARD_TSN; }
#line 12937 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 4877 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_ASCONF; }
#line 12943 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 4880 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_COMMON_TYPE; }
#line 12949 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 4881 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_COMMON_FLAGS; }
#line 12955 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 4882 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_COMMON_LENGTH; }
#line 12961 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 4885 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_DATA_TSN; }
#line 12967 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 4886 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_DATA_STREAM; }
#line 12973 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 4887 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_DATA_SSN; }
#line 12979 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 4888 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_DATA_PPID; }
#line 12985 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 4891 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_INIT_TAG; }
#line 12991 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 4892 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_INIT_RWND; }
#line 12997 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 4893 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_INIT_OSTREAMS; }
#line 13003 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 4894 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_INIT_ISTREAMS; }
#line 13009 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 4895 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_INIT_TSN; }
#line 13015 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 4898 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_SACK_CTSN_ACK; }
#line 13021 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 4899 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_SACK_RWND; }
#line 13027 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 4900 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_SACK_GACK_BLOCKS; }
#line 13033 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 4901 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_SACK_DUP_TSNS; }
#line 13039 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 4905 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), (yyvsp[0].val), SCTP_CHUNK_COMMON_TYPE);
				(yyval.expr)->exthdr.flags = NFT_EXTHDR_F_PRESENT;
			}
#line 13048 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 4910 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), (yyvsp[-1].val), (yyvsp[0].val));
			}
#line 13056 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 4914 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_DATA, (yyvsp[0].val));
			}
#line 13064 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 4918 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_INIT, (yyvsp[0].val));
			}
#line 13072 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 4922 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_INIT_ACK, (yyvsp[0].val));
			}
#line 13080 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 4926 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_SACK, (yyvsp[0].val));
			}
#line 13088 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 4930 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_SHUTDOWN,
							   SCTP_CHUNK_SHUTDOWN_CTSN_ACK);
			}
#line 13097 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 4935 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_ECNE,
							   SCTP_CHUNK_ECNE_CWR_MIN_TSN);
			}
#line 13106 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 4940 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_CWR,
							   SCTP_CHUNK_ECNE_CWR_MIN_TSN);
			}
#line 13115 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 4945 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_ASCONF_ACK,
							   SCTP_CHUNK_ASCONF_SEQNO);
			}
#line 13124 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 4950 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_FORWARD_TSN,
							   SCTP_CHUNK_FORWARD_TSN_NCTSN);
			}
#line 13133 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 4955 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_ASCONF,
							   SCTP_CHUNK_ASCONF_SEQNO);
			}
#line 13142 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 4962 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_sctp, (yyvsp[-1].val));
			}
#line 13150 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 4966 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 13158 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 4971 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTPHDR_SPORT; }
#line 13164 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 4972 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTPHDR_DPORT; }
#line 13170 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 4973 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTPHDR_VTAG; }
#line 13176 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 4974 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTPHDR_CHECKSUM; }
#line 13182 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 4978 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_th, (yyvsp[0].val));
				if ((yyval.expr))
					(yyval.expr)->payload.is_raw = true;
			}
#line 13192 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 4985 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = THDR_SPORT; }
#line 13198 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 4986 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = THDR_DPORT; }
#line 13204 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 5000 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_hbh, (yyvsp[0].val));
			}
#line 13212 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 5005 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = HBHHDR_NEXTHDR; }
#line 13218 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 5006 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = HBHHDR_HDRLENGTH; }
#line 13224 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 5010 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt, (yyvsp[0].val));
			}
#line 13232 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 5015 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RTHDR_NEXTHDR; }
#line 13238 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 5016 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RTHDR_HDRLENGTH; }
#line 13244 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 5017 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RTHDR_TYPE; }
#line 13250 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 5018 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RTHDR_SEG_LEFT; }
#line 13256 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 5022 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt0, (yyvsp[0].val));
			}
#line 13264 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 5028 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = RT0HDR_ADDR_1 + (yyvsp[-1].val) - 1;
			}
#line 13272 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 5034 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt2, (yyvsp[0].val));
			}
#line 13280 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 5039 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RT2HDR_ADDR; }
#line 13286 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 5043 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt4, (yyvsp[0].val));
			}
#line 13294 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 5048 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RT4HDR_LASTENT; }
#line 13300 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 5049 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RT4HDR_FLAGS; }
#line 13306 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 5050 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RT4HDR_TAG; }
#line 13312 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 5052 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = RT4HDR_SID_1 + (yyvsp[-1].val) - 1;
			}
#line 13320 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 5058 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_frag, (yyvsp[0].val));
			}
#line 13328 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 5063 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = FRAGHDR_NEXTHDR; }
#line 13334 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 5064 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = FRAGHDR_RESERVED; }
#line 13340 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 5065 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = FRAGHDR_FRAG_OFF; }
#line 13346 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 5066 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = FRAGHDR_RESERVED2; }
#line 13352 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 5067 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = FRAGHDR_MFRAGS; }
#line 13358 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 5068 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = FRAGHDR_ID; }
#line 13364 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 5072 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_dst, (yyvsp[0].val));
			}
#line 13372 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 5077 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = DSTHDR_NEXTHDR; }
#line 13378 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 5078 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = DSTHDR_HDRLENGTH; }
#line 13384 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 5082 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_mh, (yyvsp[0].val));
			}
#line 13392 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 5087 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = MHHDR_NEXTHDR; }
#line 13398 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 5088 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = MHHDR_HDRLENGTH; }
#line 13404 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 5089 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = MHHDR_TYPE; }
#line 13410 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 5090 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = MHHDR_RESERVED; }
#line 13416 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 5091 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = MHHDR_CHECKSUM; }
#line 13422 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 5095 "parser_bison.y" /* yacc.c:1646  */
    {
				const struct exthdr_desc *desc;

				desc = exthdr_find_proto((yyvsp[0].val));

				/* Assume that NEXTHDR template is always
				 * the fist one in list of templates.
				 */
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), desc, 1);
				(yyval.expr)->exthdr.flags = NFT_EXTHDR_F_PRESENT;
			}
#line 13438 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 5108 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPPROTO_HOPOPTS; }
#line 13444 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 5109 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPPROTO_ROUTING; }
#line 13450 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 5110 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPPROTO_FRAGMENT; }
#line 13456 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 5111 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPPROTO_DSTOPTS; }
#line 13462 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 5112 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPPROTO_MH; }
#line 13468 "parser_bison.c" /* yacc.c:1646  */
    break;


#line 13472 "parser_bison.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, nft, scanner, state, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, nft, scanner, state, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, nft, scanner, state);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, nft, scanner, state);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, nft, scanner, state, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, nft, scanner, state);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, nft, scanner, state);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 5115 "parser_bison.y" /* yacc.c:1906  */

